<?php
/**
* Prompt.php - Model file
*
* This file is part of the Prompt component.
*-----------------------------------------------------------------------------*/

namespace App\Yantrana\Components\Prompt\Models;

use App\Yantrana\Components\User\Models\User as UserModel;
use App\Yantrana\Base\BaseModel;

class PromptModel extends BaseModel
{
    /**
     * @var  string $table - The database table used by the model.
     */
    protected $table = "prompts";

    /**
     * @var  array $casts - The attributes that should be casted to native types.
     */
    protected $casts = [
        '__data' => 'array'
    ];

    /**
     * @var  array $fillable - The attributes that are mass assignable.
     */
    protected $fillable = [
    ];

    /**
     * Let the system knows Text columns treated as JSON
     *
     * @var array
     *----------------------------------------------------------------------- */
    protected $jsonColumns = [
        '__data' => [
            'input_data' => 'array',
            'raw_response_data' => 'array',
        ]
    ];

    public function user()
    {
        return $this->belongsTo(UserModel::class, 'users__id', '_id');
    }
}
