<?php

namespace App\Yantrana\Components\User\Models;

use App\Yantrana\Base\BaseModel;
use App\Yantrana\Components\FinancialTransaction\Models\FinancialTransaction;

class CreditWalletTransaction extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'credit_wallet_transactions';

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        '_id' => 'integer',
        'status' => 'integer',
        'financial_transactions__id' => 'integer',
    ];

    /**
     * Let the system knows Text columns treated as JSON
     *
     * @var array
     *----------------------------------------------------------------------- */
    protected $jsonColumns = [];

    /**
     * Get user transaction data.
     */
    public function getUserFinancialTransaction()
    {
        return $this->hasOne(FinancialTransaction::class, '_id', 'financial_transactions__id');
    }
}
