<?php

// set configuration items
/* config([
    'services.facebook.redirect' => route('social.user.login.callback', [getSocialProviderKey('facebook')]),
    'services.google.redirect' => route('social.user.login.callback', [getSocialProviderKey('google')]),
]); */
// set configuration items
config([
    'services.facebook.client_id' => getAppSettings('facebook_client_id'),
    'services.facebook.client_secret' => getAppSettings('facebook_client_secret'),
    'services.facebook.redirect'      	=> route('social.user.login.callback', [getSocialProviderKey('facebook')]), // done in after-rotes-custom-tech-config.php
    'services.google.client_id' => getAppSettings('google_client_id'),
    'services.google.client_secret' => getAppSettings('google_client_secret'),
    'services.google.redirect'      	=> route('social.user.login.callback', [getSocialProviderKey('google')]), // done in after-rotes-custom-tech-config.php
    'filesystems.public-media-storage.url' => url(''),
]);

if (getAppSettings('use_env_default_email_settings') == false) {
    config([
        // Mail driver
        'mail.default' => getAppSettings('mail_driver'),
        // old
        'mail.driver' => getAppSettings('mail_driver'),
        'mail.transport' => getAppSettings('mail_driver'),

        // Mail Setting for SMTP and Mandrill
        'mail.port' => getAppSettings('smtp_mail_port'),
        'mail.host' => getAppSettings('smtp_mail_host'),
        'mail.username' => getAppSettings('smtp_mail_username'),
        'mail.encryption' => getAppSettings('smtp_mail_encryption'),
        'mail.password' => getAppSettings('smtp_mail_password_or_apikey'),
        'mail.from.address' => getAppSettings('mail_from_address'),
        'mail.from.name' => getAppSettings('mail_from_name'),
        // Mail Setting for Sparkpost
        'services.sparkpost.secret' => getAppSettings('sparkpost_mail_password_or_apikey'),
        // Mail Setting for Mailgun
        'services.mailgun.domain' => getAppSettings('mailgun_domain'),
        'services.mailgun.secret' => getAppSettings('mailgun_mail_password_or_apikey'),
        'services.mailgun.endpoint' => getAppSettings('mailgun_endpoint'),
        '__tech.mail_from' => [
            getAppSettings('mail_from_address'), getAppSettings('mail_from_name'),
        ],
    ]);
}
