<?php

return [

    /* Configuration setting data-types id
    ------------------------------------------------------------------------- */
    'datatypes' => [
        'string' => 1,
        'bool' => 2,
        'int' => 3,
        'json' => 4,
    ],

    /* Configuration Setting Items
    ------------------------------------------------------------------------- */
    'items' => [
        'general' => [
            'logo_name' => [
                'key' => 'logo_name',
                'data_type' => 1,    // string,
                'placeholder' => '',
                'default' => 'initial-logo.svg',
            ],
            'small_logo_name' => [
                'key' => 'small_logo_name',
                'data_type' => 1,    // string,
                'placeholder' => '',
                'default' => 'initial-small-short.svg',
            ],
            'favicon_name' => [
                'key' => 'favicon_name',
                'data_type' => 1,    // string,
                'placeholder' => '',
                'default' => 'initial-favicon.ico',
            ],
            'name' => [
                'key' => 'name',
                'data_type' => 1,    // string,
                'placeholder' => 'Your Website Name',
                'default' => 'aigen',
            ],
            'business_email' => [
                'key' => 'business_email',
                'data_type' => 1,    // string
                'placeholder' => 'your-email-address@example.com',
                'default' => 'your-business-email@domain.com',
            ],
            'contact_email' => [
                'key' => 'contact_email',
                'data_type' => 1,    // string
                'placeholder' => 'your-email-address@example.com',
                'default' => 'your-contact-email@domain.com',
            ],
            'default_language' => [
                'key' => 'default_language',
                'data_type' => 1,    // string
                'default' => config('__tech.default_translation_language.id', 'en_US'),
            ],
            'timezone' => [
                'key' => 'timezone',
                'data_type' => 1,    // string
                'default' => 'UTC',
            ],
            'distance_measurement' => [
                'key' => 'distance_measurement',
                'data_type' => 1,    // string
                'default' => '6371',
            ],

            'color_theme' => [
                'key' => 'color_theme',
                'data_type' => 1,    // string
                'default' => 'dark',
            ],
        ],
        'user' => [
            'activation_required_for_new_user' => [
                'key' => 'activation_required_for_new_user',
                'data_type' => 2,    // bool
                'default' => false,
            ],
            'activation_required_for_change_email' => [
                'key' => 'activation_required_for_change_email',
                'data_type' => 2,    // boolean
                'default' => false,
            ],
            'number_of_credits' => [
                'key' => 'number_of_credits',
                'data_type' => 3,    // integer
                'default' => 0,
            ],
            'send_welcome_email_to_newly_registered_users' => [
                'key' => 'send_welcome_email_to_newly_registered_users',
                'data_type' => 1,    // string
                'default' => 0,
            ],
            'disallow_disposable_emails' => [
                'key' => 'disallow_disposable_emails',
                'data_type' => 2,    // boolean
                'default' => true,
            ],
            'allow_user_login_with_mobile_number' => [
                'key' => 'allow_user_login_with_mobile_number',
                'data_type' => 2,     // boolean
                'default' => false,
            ],
            'enable_otp_login' => [
                'key' => 'enable_otp_login',
                'data_type' => 2,     // boolean
                'default' => false,
            ],
            'enable_bonus_credits' => [
                'key' => 'enable_bonus_credits',
                'data_type' => 2,     // boolean
                'default' => false,
            ],
            'number_of_credits' => [
                'key' => 'number_of_credits',
                'data_type' => 3,    // integer
                'default' => 0,
            ],
        ],
        'currency' => [
            'currency_format' => [
                'key' => 'currency_format',
                'data_type' => 1,    // string
                'default' => '{__currencySymbol__}{__amount__} {__currencyCode__}',
            ],
            // Currency settings
            'currency' => [
                'key' => 'currency',
                'data_type' => 1,    // string
                'default' => 'USD',
            ],
            'currency_symbol' => [
                'key' => 'currency_symbol',
                'data_type' => 1,    // string
                'default' => '&#36;',
            ],
            'currency_value' => [
                'key' => 'currency_value',
                'data_type' => 1,    // string
                'default' => 'USD',
            ],
            'round_zero_decimal_currency' => [
                'key' => 'round_zero_decimal_currency',
                'data_type' => 2, // boolean
                'default' => true, // round
            ],
        ],
        'payment' => [
            // Payment method
            'enable_paypal' => [
                'key' => 'enable_paypal',
                'data_type' => 2,    // boolean
                'default' => false,
            ],
            'use_test_paypal_checkout' => [
                'key' => 'use_test_paypal_checkout',
                'data_type' => 2,    // boolean
                'default' => false,
            ],
            'paypal_checkout_testing_client_id' => [
                'key' => 'paypal_checkout_testing_client_id',
                'data_type' => 1,    // string
                'default' => '',
                'hide_value' => true,
            ],
            'paypal_checkout_testing_secret_key' => [
                'key' => 'paypal_checkout_testing_secret_key',
                'data_type' => 1,    // string
                'default' => '',
                'hide_value' => true,
            ],
            'paypal_checkout_live_client_id' => [
                'key' => 'paypal_checkout_live_client_id',
                'data_type' => 1,    // string
                'default' => '',
                'hide_value' => true,
            ],
            'paypal_checkout_live_secret_key' => [
                'key' => 'paypal_checkout_live_secret_key',
                'data_type' => 1,    // string
                'default' => '',
                'hide_value' => true,
            ],
            // Payment method
            'enable_stripe' => [
                'key' => 'enable_stripe',
                'data_type' => 2,    // boolean
                'default' => false,
            ],
            'use_test_stripe' => [
                'key' => 'use_test_stripe',
                'data_type' => 2,    // boolean
                'default' => false,
            ],
            'stripe_testing_secret_key' => [
                'key' => 'stripe_testing_secret_key',
                'data_type' => 1,    // string
                'default' => '',
                'placeholder' => 'Test Secret Key',
                'hide_value' => true,
            ],
            'stripe_testing_publishable_key' => [
                'key' => 'stripe_testing_publishable_key',
                'data_type' => 1,    // string
                'default' => '',
                'placeholder' => 'Test Publishable key',
                'hide_value' => true,
            ],
            'stripe_testing_webhook_secret'          => [
                'key'           => 'stripe_testing_webhook_secret',
                'data_type'     => 1,    // string
                'default'       => '',
                'placeholder'   => 'Stripe Test Webhook Secret',
                'hide_value'    => true,
            ],
            'stripe_live_secret_key' => [
                'key' => 'stripe_live_secret_key',
                'data_type' => 1,    // string
                'default' => '',
                'placeholder' => 'Live secret key',
                'hide_value' => true,
            ],
            'stripe_live_publishable_key' => [
                'key' => 'stripe_live_publishable_key',
                'data_type' => 1,    // string
                'default' => '',
                'placeholder' => 'Live Publishable Key',
                'hide_value' => true,
            ],
            'stripe_live_webhook_secret'          => [
                'key'           => 'stripe_live_webhook_secret',
                'data_type'     => 1,    // string
                'default'       => '',
                'placeholder'   => 'Stripe Live Webhook Secret',
                'hide_value'    => true,
            ],
            'enable_razorpay' => [
                'key' => 'enable_razorpay',
                'data_type' => 2,    // boolean
                'default' => false,
            ],
            'use_test_razorpay' => [
                'key' => 'use_test_razorpay',
                'data_type' => 2,    // boolean
                'default' => false,
            ],
            'razorpay_live_key' => [
                'key' => 'razorpay_live_key',
                'data_type' => 1,    // string
                'default' => '',
                'placeholder' => 'Razorpay Live Key',
                'hide_value' => true,
            ],
            'razorpay_live_secret_key' => [
                'key' => 'razorpay_live_secret_key',
                'data_type' => 1,    // string
                'default' => '',
                'placeholder' => 'Razorpay Live Secret Key',
                'hide_value' => true,
            ],
            'razorpay_live_webhook_secret'          => [
                'key'           => 'razorpay_live_webhook_secret',
                'data_type'     => 1,    // string
                'default'       => '',
                'placeholder'   => 'Webhook Secret',
                'hide_value'    => true,
            ],
            'razorpay_testing_key' => [
                'key' => 'razorpay_testing_key',
                'data_type' => 1,    // string
                'default' => '',
                'placeholder' => 'Razorpay Testing Key',
                'hide_value' => true,
            ],
            'razorpay_testing_secret_key' => [
                'key' => 'razorpay_testing_secret_key',
                'data_type' => 1,    // string
                'default' => '',
                'placeholder' => 'Razorpay Testing Secret Key',
                'hide_value' => true,
            ],
            'razorpay_testing_webhook_secret'          => [
                'key'           => 'razorpay_testing_webhook_secret',
                'data_type'     => 1,    // string
                'default'       => '',
                'placeholder'   => 'Webhook Secret',
                'hide_value'    => true,
            ],
            'enable_coingate' => [
                'key' => 'enable_coingate',
                'data_type' => 2,    // boolean
                'default' => false,
            ],
            'use_test_coingate' => [
                'key' => 'use_test_coingate',
                'data_type' => 2,    // boolean
                'default' => false,
            ],
            'coingate_live_token' => [
                'key' => 'coingate_live_token',
                'data_type' => 1,    // string
                'default' => '',
                'placeholder' => 'Coingate Live Token',
                'hide_value' => true,
            ],
            'coingate_test_token' => [
                'key' => 'coingate_test_token',
                'data_type' => 1,    // string
                'default' => '',
                'placeholder' => 'Coingate Testing Token',
                'hide_value' => true,
            ],
        ],
        'social_login' => [
            // Social Login Settings
            'allow_facebook_login' => [
                'key' => 'allow_facebook_login',
                'data_type' => 2,     // boolean
                'default' => false,
            ],
            'facebook_client_id' => [
                'key' => 'facebook_client_id',
                'data_type' => 1,    // string
                'default' => '',
                'hide_value' => true,
            ],
            'facebook_client_secret' => [
                'key' => 'facebook_client_secret',
                'data_type' => 1,    // string
                'default' => '',
                'hide_value' => true,
            ],
            'allow_google_login' => [
                'key' => 'allow_google_login',
                'data_type' => 2,     // boolean
                'default' => false,
            ],
            'google_client_id' => [
                'key' => 'google_client_id',
                'data_type' => 1,    // string
                'default' => '',
                'hide_value' => true,
            ],
            'google_client_secret' => [
                'key' => 'google_client_secret',
                'data_type' => 1,    // string
                'default' => '',
                'hide_value' => true,
            ],
        ],
        'integration' => [
            'microsoft_translator_api_key'  => [
                'key'           => 'microsoft_translator_api_key',
                'data_type'     => 1,     // string
                'default'       => '',
                'hide_value'    => true
            ],
            'recaptcha_site_key'  => [
                'key'           => 'recaptcha_site_key',
                'data_type'     => 1,     // string
                'default'       => '',
                'hide_value'    => true
            ],
            'recaptcha_secret_key'  => [
                'key'           => 'recaptcha_secret_key',
                'data_type'     => 1,     // string
                'default'       => '',
                'hide_value'    => true
            ],
            'allow_recaptcha'  => [
                'key'           => 'allow_recaptcha',
                'data_type'     => 2,    // boolean
                'default'       => false
            ],
        ],
        'ai_provider' => [
            'enable_open_ai' => [
                'key' => 'enable_open_ai',
                'data_type' => 2,     // boolean
                'default' => false,
            ],
            'open_ai_keys' => [
                'key' => 'open_ai_keys',
                'data_type' => 1,    // string
                'default' => '',
                'hide_value' => true,
            ],
            'open_ai_text_generation_model' => [
                'key' => 'open_ai_text_generation_model',
                'data_type' => 1,    // string
                'default' => '',
            ],
            'ai_image_generation_model' => [
                'key' => 'ai_image_generation_model',
                'data_type' => 1,    // string
                'default' => '',
            ],
            'open_ai_speech_to_text_generation_model' => [
                'key' => 'open_ai_speech_to_text_generation_model',
                'data_type' => 1,    // string
                'default' => '',
            ],
            'open_ai_text_to_speech_generation_model' => [
                'key' => 'open_ai_text_to_speech_generation_model',
                'data_type' => 1,    // string
                'default' => 'tts-1',
            ],
            //stable diffusion start
            'allow_stable_diffusion_ai' => [
                'key' => 'allow_stable_diffusion_ai',
                'data_type' => 2,     // boolean
                'default' => false,
            ],
            'stable_diffusion_key' => [
                'key' => 'stable_diffusion_key',
                'data_type' => 1,    // string
                'default' => '',
                'hide_value' => true,
            ],
            'stable_diffusion_steps' => [
                'key' => 'stable_diffusion_steps',
                'data_type' => 3,    // int
                'default' => 7,
                'hide_value' => true,
            ],
            'stable_diffusion_cfg_scale' => [
                'key' => 'stable_diffusion_cfg_scale',
                'data_type' => 3,    // int
                'default' => 25,
                'hide_value' => true,
            ],
            /**
             * image animation using Leiapix settings
             */
            'enable_image_animation' => [
                'key' => 'enable_image_animation',
                'data_type' => 2,     // boolean
                'default' => false,
            ],
            'leiapix_client_id' => [
                'key' => 'leiapix_client_id',
                'data_type' => 1,    // string
                'default' => '',
                'hide_value' => true,
            ],
            'leiapix_client_secret' => [
                'key' => 'leiapix_client_secret',
                'data_type' => 1,    // string
                'default' => '',
                'hide_value' => true,
            ],
            'leiapix_s3_access_key' => [
                'key' => 'leiapix_s3_access_key',
                'data_type' => 1,    // string
                'default' => '',
                'hide_value' => true,
            ],
            'leiapix_s3_access_secret' => [
                'key' => 'leiapix_s3_access_secret',
                'data_type' => 1,    // string
                'default' => '',
                'hide_value' => true,
            ],
            'leiapix_s3_region' => [
                'key' => 'leiapix_s3_region',
                'data_type' => 1,    // string
                'default' => '',
                // 'hide_value' => true,
            ],
            'leiapix_s3_bucket' => [
                'key' => 'leiapix_s3_bucket',
                'data_type' => 1,    // string
                'default' => '',
                // 'hide_value' => true,
            ],
            'leiapix_s3_url' => [
                'key' => 'leiapix_s3_url',
                'data_type' => 1,    // string
                'default' => '',
                // 'hide_value' => true,
            ],
            'leiapix_s3_endpoint' => [
                'key' => 'leiapix_s3_endpoint',
                'data_type' => 1,    // string
                'default' => '',
                // 'hide_value' => true,
            ],
            'features_availability_users_settings' => [
                'key' => 'features_availability_users_settings',
                'data_type' => 4,    // json
                'default' => [
                    'use_translation_generation' => 0,
                    'use_text_generation' => 0,
                    'use_templates_text_generation' => 0,
                    'use_image_generation' => 0,
                    'use_image_to_animation_conversion' => 0,
                    'use_speech_to_text_generation' => 0,
                    'use_code_generation' => 0,
                    'use_speech_generation' => 0,
                ],
            ],
        ],
        'language_settings' => [
            'translation_languages' => [
                'key' => 'translation_languages',
                'data_type' => 4,    // string
                'default' => '',
            ],
        ],
        'advertisement' => [
            'header_advertisement' => [
                'key' => 'header_advertisement',
                'data_type' => 4,
                'default' => [
                    'status' => 'disabled',
                    'content' => '',
                ],
            ],
            'footer_advertisement' => [
                'key' => 'footer_advertisement',
                'data_type' => 4,
                'default' => [
                    'status' => 'disabled',
                    'content' => '',
                ],
            ],
            'user_sidebar_advertisement' => [
                'key' => 'user_sidebar_advertisement',
                'data_type' => 4,
                'default' => [
                    'status' => 'disabled',
                    'content' => '',
                ],
            ],
        ],
        'email' => [
            'use_env_default_email_settings' => [
                'key' => 'use_env_default_email_settings',
                'data_type' => 2,    // boolean
                'placeholder' => '',
                'default' => true,
            ],
            'mail_driver' => [
                'key' => 'mail_driver',
                'data_type' => 1,    // integer
                'placeholder' => '',
                'default' => 'smtp',
            ],
            'mail_from_address' => [
                'key' => 'mail_from_address',
                'data_type' => 1,    // string
                'placeholder' => '',
                'default' => '',
            ],
            'mail_from_name' => [
                'key' => 'mail_from_name',
                'data_type' => 1,    // string
                'placeholder' => '',
                'default' => '',
            ],
            'smtp_mail_port' => [
                'key' => 'smtp_mail_port',
                'data_type' => 3,    // integer
                'placeholder' => '',
                'default' => null,
            ],
            'smtp_mail_host' => [
                'key' => 'smtp_mail_host',
                'data_type' => 1,    // string
                'placeholder' => '',
                'default' => '',
            ],
            'smtp_mail_username' => [
                'key' => 'smtp_mail_username',
                'data_type' => 1,    // string
                'placeholder' => '',
                'default' => '',
            ],
            'smtp_mail_encryption' => [
                'key' => 'smtp_mail_encryption',
                'data_type' => 1,    // string
                'placeholder' => '',
                'default' => '',
            ],
            'smtp_mail_password_or_apikey' => [
                'key' => 'smtp_mail_password_or_apikey',
                'data_type' => 1,    // string
                'placeholder' => '',
                'default' => '',
                'hide_value' => true,
            ],
            'sparkpost_mail_password_or_apikey' => [
                'key' => 'sparkpost_mail_password_or_apikey',
                'data_type' => 1,    // string
                'placeholder' => '',
                'default' => '',
                'hide_value' => true,
            ],
            'mailgun_mail_password_or_apikey' => [
                'key' => 'mailgun_mail_password_or_apikey',
                'data_type' => 1,    // string
                'placeholder' => '',
                'default' => '',
                'hide_value' => true,
            ],
            'mailgun_domain' => [
                'key' => 'mailgun_domain',
                'data_type' => 1,    // string
                'placeholder' => '',
                'default' => '',
            ],
            'mailgun_endpoint' => [
                'key' => 'mailgun_endpoint',
                'data_type' => 1,    // string
                'placeholder' => '',
                'default' => '',
            ],
            'use_enable_sms_settings' => [
                'key' => 'use_enable_sms_settings',
                'data_type' => 2,    // boolean
                'placeholder' => '',
                'default' => false,
            ],
            'sms_driver' => [
                'key' => 'sms_driver',
                'data_type' => 1,    // integer
                'placeholder' => '',
                'default' => 'twilio',
            ],
            'sms77' => [
                'key' => 'sms77',
                'data_type' => 1,    // string
                'placeholder' => '',
                'default' => '',
            ],
            'sms_sms77_apiKey' => [
                'key' => 'sms_sms77_apiKey',
                'data_type' => 1,    // string
                'placeholder' => 'Your API Key',
                'default' => '',
            ],
            'sms_sms77_from' => [
                'key' => 'sms_sms77_from',
                'data_type' => 1,    // string
                'placeholder' => 'Sender name',
                'default' => '',
            ],
            'sms_sms77_flash' => [
                'key' => 'sms_sms77_flash',
                'data_type' => 1,    // string
                'placeholder' => 'false',
                'default' => '',
            ],
            'twilio' => [
                'key' => 'twilio',
                'data_type' => 1,    // string
                'placeholder' => '',
                'default' => '',
            ],
            'sms_twilio_sid' => [
                'key' => 'sms_twilio_sid',
                'data_type' => 1,    // string
                'placeholder' => 'Your SID',
                'default' => '',
            ],
            'sms_twilio_token' => [
                'key' => 'sms_twilio_token',
                'data_type' => 1,    // string
                'placeholder' => 'Your Token',
                'default' => '',
                'hide_value' => true,
            ],
            'sms_twilio_from' => [
                'key' => 'sms_twilio_from',
                'data_type' => 1,    // string
                'placeholder' => 'Your Default From Number',
                'default' => '',
            ],
            'textlocal' => [
                'key' => 'textlocal',
                'data_type' => 1,    // string
                'placeholder' => '',
                'default' => '',
            ],
            'sms_textlocal_username' => [
                'key' => 'sms_textlocal_username',
                'data_type' => 1,    // string
                'placeholder' => 'Your Username',
                'default' => '',
            ],
            'sms_textlocal_hash' => [
                'key' => 'sms_textlocal_hash',
                'data_type' => 1,    // string
                'placeholder' => 'Your Hash',
                'default' => '',
                'hide_value' => true,
            ],
            'sms_textlocal_from' => [
                'key' => 'sms_textlocal_from',
                'data_type' => 1,    // string
                'placeholder' => 'Sender Name',
                'default' => '',
            ],
            'sms_textlocal_url' => [
                'key' => 'sms_textlocal_url',
                'data_type' => 1,    // string
                'placeholder' => '',
                'default' => 'http://api.textlocal.in/send/',
            ],
        ],
        'product_registration' => [
            'product_registration' => [
                'key' => 'product_registration',
                'data_type' => 4, // json
                'default' => [
                    'registration_id' => '',
                    'email' => '',
                    'registered_at' => '',
                    'licence' => '',
                    'signature' => '',
                ],
            ],
        ],
        'usage_pricing' => [
            'per_word_pricing' => [
                'key' => 'per_word_pricing',
                'data_type' => 3,    // int
                'placeholder' => '',
                'default' => 2,
            ],
            'image_animation_pricing' => [
                'key' => 'image_animation_pricing',
                'data_type' => 3,    // int
                'placeholder' => '',
                'default' => 100,
            ],
            'image_pricing' => [
                'key' => 'image_pricing',
                'data_type' => 4,    // json
                'placeholder' => '',
                'default' => [
                    '1024x1024' => 30,
                    '512x512' => 20,
                    '256x256' => 10,
                ],
            ],
            // per second pricing
            'speech_to_text_pricing' => [
                'key' => 'speech_to_text_pricing',
                'data_type' => 3,    // int
                'placeholder' => '',
                'default' => 10,
            ],
            'text_to_speech_pricing' => [
                'key' => 'text_to_speech_pricing',
                'data_type' => 3,    // int
                'placeholder' => '',
                'default' => 2,
            ],
        ],

        'referral'  => [
            'enable_referral_system' => [
                'key' => 'enable_referral_system',
                'data_type' => 2,     // boolean
                'default' => false,
            ],
            'give_bonus' => [
                'key' => 'give_bonus',
                'data_type' => 4,    // json
                'default' => [
                    'select_type' => 1,
                    'referred_to' => 0,
                    'referred_by' => 0,
                    'options' => [
                        [
                            'title' => __tr('On Signup'),
                            'value' => 1,
                        ],
                        [
                            'title' => __tr("On user's first payment"),
                            'value' => 2,
                        ],
                    ],
                ]
            ],
        ],
        'terms_and_policies' => [
            'cookie_policy' => [
                'key' => 'cookie_policy',
                'data_type' => 1,     // string
                'default' => false,
            ],
            'terms_and_conditions' => [
                'key' => 'terms_and_conditions',
                'data_type' => 1,     // string
                'default' => false,
            ],
            'privacy_policy' => [
                'key' => 'privacy_policy',
                'data_type' => 1,     // string
                'default' => false,
            ],
        ],
    ],
];
