<?php

// Response Codes & other global configurations
$techConfig = require app_path('Yantrana/__Laraware/Config/tech-config.php');

$techAppConfig = [

    /* Admin Receiver channel Id
    ------------------------------------------------------------------------- */
    'admin_receiver_channel' => 'c2123c21-c5df-4b58-9b51-038ee78f9cbd',

    /* Account related
    ------------------------------------------------------------------------- */
    'account' => [
        'expiry' => 24 * 2, // 48 Hours
        'password_reminder_expiry' => 24 * 2, // hours
        'app_password_reminder_expiry' => 2, // minutes
        'change_email_expiry' => 24 * 2, // hours
    ],

    /* Login Otp valid minutes
    ------------------------------------------------------------------------- */
    'otp_expiry' => 60 * 2,

    /* Email Config
    ------------------------------------------------------------------------- */
    'mail_from' => [
        config('mail.from.address', 'your@domain.com'),
        config('mail.from.name', 'E-Mail Service'),
    ],

    /* There is defined the key for social login providers
    ------------------------------------------------------------------------- */
    'social_login_driver' => [
        'via-facebook' => 'facebook',
        'via-google' => 'google',
    ],

    /* There is defined the key for social login providers
    ------------------------------------------------------------------------- */
    'social_login_driver_keys' => [
        'facebook' => 'via-facebook',
        'google' => 'via-google',
    ],

    /* Status Code Multiple Uses
    ------------------------------------------------------------------------- */
    'status_codes' => [
        1 => __tr('Active'),
        2 => __tr('Inactive'),
        3 => __tr('Blocked'),
        4 => __tr('Never Activated'),
        5 => __tr('Deleted'),
        6 => __tr('Suspended'),
        7 => __tr('On Hold'),
        8 => __tr('Completed'),
        9 => __tr('Invite'),
    ],

    /* User Wallet Transaction type
    ------------------------------------------------------------------------- */
    'user_transaction_type' => [
        1 => __tr('Purchase'),
        2 => __tr('Text Generation'),
        3 => __tr('Image Generation'),
        4 => __tr('Code Generation'),
        5 => __tr('Speech To Text Conversion'),
        6 => __tr('Welcome Bonus'),
        7 => __tr('Translation'),
        8 => __tr('Image Depth Animation Generation'),
        9 => __tr('Referral Bonus'),
        10 => __tr('Referral Earning'),
        11 => __tr('Text to Speech'),
    ],

    /* Payment Status Code Multiple Uses
    ------------------------------------------------------------------------- */
    'payments' => [
        'in_app_test_mode' => env('IN_APP_TEST_MODE', 2), // 2 is live
        'payment_methods' => [
            1 => ('PayPal'),
            2 => ('Stripe'),
            3 => ('Razorpay'),
            4 => ('PayPal Checkout'),
            5 => ('Google In App Purchase'),
            6 => ('Coingate Crypto'),
        ],
        'status_codes' => [
            1 => __tr('Awaiting Payment'), // PayPal IPN Payments
            2 => __tr('Completed'),
            3 => __tr('Payment Failed'),
            4 => __tr('Pending'),
            5 => __tr('Refunded'),
        ],
        'payment_checkout_modes' => [
            1 => __tr('Test'),
            2 => __tr('Live'),
        ],
        'credit_type' => [
            1 => __tr('Bonuses'),
            2 => __tr('Purchased'),
        ],
    ],

    "paypal_checkout_urls" => [
        "production" => "https://api-m.paypal.com",
        "sandbox" => "https://api-m.sandbox.paypal.com",
    ],

    /* Mail Drivers
    ------------------------------------------------------------------------- */
    'mail_drivers' => [
        'smtp' => [
            'id' => 'smtp',
            'name' => 'SMTP',
            'config_data' => [
                'port' => 'smtp_mail_port',
                'host' => 'smtp_mail_host',
                'username' => 'smtp_mail_username',
                'encryption' => 'smtp_mail_encryption',
                'password' => 'smtp_mail_password_or_apikey',
            ],
        ],
        'sparkpost' => [
            'id' => 'sparkpost',
            'name' => 'Sparkpost',
            'config_data' => [
                'sparkpost_mail_password_or_apikey',
            ],
        ],
        'mailgun' => [
            'id' => 'mailgun',
            'name' => 'Mailgun',
            'config_data' => [
                'mailgun_domain',
                'mailgun_mail_password_or_apikey',
                'mailgun_endpoint',
            ],
        ],
    ],
    'sms_drivers' => [
        'textlocal' => [
            'id' => 'textlocal',
            'name' => 'Textlocal',
            'config_data' => [
                'url' => 'http://api.textlocal.in/send/', // Country Wise this may change.
                'username' => 'sms_textlocal_username',
                'hash' => 'sms_textlocal_hash',
                'from' => 'sms_textlocal_from', // sender
            ],
        ],
        'twilio' => [
            'id' => 'twilio',
            'name' => 'Twilio',
            'config_data' => [
                'sid' => 'sms_twilio_sid',
                'token' => 'sms_twilio_token',
                'from' => 'sms_twilio_from',
            ]
        ],
        'sms77' => [
            'id' => 'sms77',
            'name' => 'Sms77',
            'config_data' => [
                'apiKey' => 'sms_sms77_apiKey',
                'flash' => 'sms_sms77_flash',
                'from' => 'sms_sms77_from',
            ]
        ],
    ],

    /* Mail encryption types
    ------------------------------------------------------------------------- */
    'mail_encryption_types' => [
        'ssl' => 'SSL',
        'tls' => 'TLS',
        'starttls' => 'STARTTLS',
    ],

    /* Report User Status Code Multiple Uses
    ------------------------------------------------------------------------- */
    'report_user_status_codes' => [
        1 => __tr('Awaiting'),
        2 => __tr('Accepted'),
        3 => __tr('Rejected'),
    ],

    /* Define logo name of application
    ------------------------------------------------------------------------- */
    'logo_name' => 'logo.png',

    /* Define small logo name of application
    ------------------------------------------------------------------------- */
    'small_logo_name' => 'logo-short.png',

    /* Define favicon name of application
    ------------------------------------------------------------------------- */
    'favicon_name' => 'favicon.ico',

    /* Default paginate count
    ------------------------------------------------------------------------- */
    'paginate_count' => 18,

    /* Digital Ocean Keys
    ------------------------------------------------------------------------- */
    'do_full_url' => env('DO_FULL_URL'),

    /* User Settings / Profile related items
    ------------------------------------------------------------------------- */

    /*
        Default translations
    */
    'default_translation_language' => [
        'id' => 'en_US',
        'name' => 'English',
        'is_rtl' => false,
        'status' => true,
    ],

    /* User Settings / Profile related items
    ------------------------------------------------------------------------- */
    'user_settings' => [
        // Search / Find Matches Pagination
        'search_pagination' => 18,
        'gender' => [
            1 => __tr('Male'),
            2 => __tr('Female'),
            3 => __tr('Secret'),
        ],
        // 'min_age' => range(18,70),
        // 'max_age' => range(18,70),
        'preferred_language' => [
            1 => __tr('English'),
            2 => __tr('Arabic'),
            3 => __tr('Dutch'),
            4 => __tr('French'),
            5 => __tr('German'),
            6 => __tr('Italian'),
            7 => __tr('Portuguese'),
            8 => __tr('Russian'),
            9 => __tr('Spanish'),
            10 => __tr('Turkish'),
            11 => __tr('Urdu'),
            12 => __tr('Hindi'),
            13 => __tr('Marathi'),
            14 => __tr('Chinese'),
            15 => __tr('Japanese'),
            16 => __tr('Bengali'),
            17 => __tr('Persian'),
            18 => __tr('Korean'),
            19 => __tr('Tamil'),
            20 => __tr('Hausa'),
            21 => __tr('Indonesian'),
            22 => __tr('Panjabi'),
        ],
        'educations' => [
            1 => __tr('Secondary school'),
            2 => __tr('ITI'),
            3 => __tr('College'),
            4 => __tr('University'),
            5 => __tr('Advanced degree'),
            6 => __tr('Other'),
        ],
    ],

    'open_ai' => [
        'models' => [
            'text_generation' => [
                'gpt-3.5-turbo' => [
                    'label' => __tr('GPT-3.5 Turbo'),
                    'endPoint' => 'https://api.openai.com/v1/chat/completions',
                    'max_tokens' => '4097'
                ],
                'gpt-3.5-turbo-0613' => [
                    'label' => __tr('GPT-3.5 Turbo 0613'),
                    'endPoint' => 'https://api.openai.com/v1/chat/completions',
                    'max_tokens' => '4097'
                ],
                'gpt-3.5-turbo-16k' => [
                    'label' => __tr('GPT-3.5 Turbo Model With 16k'),
                    'endPoint' => 'https://api.openai.com/v1/chat/completions',
                    'max_tokens' => '16385'
                ],
                'gpt-3.5-turbo-16k-0613' => [
                    'label' => __tr('GPT-3.5 Turbo Model With 16k 0613'),
                    'endPoint' => 'https://api.openai.com/v1/chat/completions',
                    'max_tokens' => '16385'
                ],
                'gpt-3.5-turbo-instruct' => [
                    'label' => __tr('GPT-3.5 Turbo Instruct'),
                    'endPoint' => 'https://api.openai.com/v1/completions',
                    'max_tokens' => '4,097'
                ],
                'gpt-4' => [
                    'label' => __tr('GPT-4'),
                    'endPoint' => 'https://api.openai.com/v1/chat/completions',
                    'max_tokens' => '8192'
                ],
                'gpt-4-0613' => [
                    'label' => __tr('GPT-4 0613'),
                    'endPoint' => 'https://api.openai.com/v1/chat/completions',
                    'max_tokens' => '8192'
                ],
                'gpt-4-32k' => [
                    'label' => __tr('GPT-4 32K'),
                    'endPoint' => 'https://api.openai.com/v1/chat/completions',
                    'max_tokens' => '32768'
                ],
                'gpt-4-32k-0613' => [
                    'label' => __tr('GPT-4 32k 0613'),
                    'endPoint' => 'https://api.openai.com/v1/chat/completions',
                    'max_tokens' => '32768'
                ],
                'babbage-002' => [
                    'label' => __tr('Babbage 002'),
                    'endPoint' => 'https://api.openai.com/v1/completions',
                    'max_tokens' => '4097'
                ],
                'davinci-002' => [
                    'label' => __tr('Davinci 002'),
                    'endPoint' => 'https://api.openai.com/v1/completions',
                    'max_tokens' => '4097'
                ],
            ],
            'dall_e' => [
                'DALL-E' => __tr('DALL-E'),
                'DALL-E 2' => __tr('DALL-E 2')
            ],
            'speech_to_text' => [
                'whisper-1' => __tr('Whisper 1')
            ],
            'text_to_speech' => [
                'tts-1' => __tr('TTS 1'),
                'tts-1-hd' => __tr('TTS 1 HD'),
            ],
        ],
        'image_size' => [
            0 => '256x256',
            1 => '512x512',
            2 => '1024x1024',
        ],
    ],

    'stable_diffusion_ai' => [
        'models' => [
            'text_to_image_generation' => [
                'stable-diffusion-xl-1024-v1-0' => [
                    'label' => __tr('Stable Diffusion XL 1.0'),
                    'size'  => '1024'
                ],
                'stable-diffusion-xl-1024-v0-9' => [
                    'label' => __tr('Stable Diffusion XL 0.9'),
                    'size'  => '1024'
                ],
                'stable-diffusion-v1-6' => [
                    'label' => __tr('Stable Diffusion 1.6'),
                    'size'  => '512'
                ],
                'stable-diffusion-512-v2-1' => [
                    'label' =>  __tr('Stable Diffusion 2.1'),
                    'size'  => '512'
                ],
            ],
        ]
    ],
    // available generator types
    'generator_type' => [
        'text' => __tr('Text'),
        'image' => __tr('Image'),
        // 'video' => __tr('Video'),
        'text-to-speech' => __tr('Text to Speech'),
        'speech-to-text' => __tr('Speech to text'),
        'code' => __tr('Code'),
        'translation' => __tr('Translation'),
        'image-animation' => __tr('Image Animation'),
    ],
    // Key should be used from upper generator_type array and values should be matched with
    // __settings features_availability_users_settings's default array
    'generator_type_features' => [
        'translation' => 'use_translation_generation',
        'text' => 'use_text_generation',
        'image' => 'use_image_generation',
        'image-animation' => 'use_image_to_animation_conversion',
        'speech-to-text' => 'use_speech_to_text_generation',
        'code' => 'use_code_generation',
        'text-to-speech' => 'use_speech_generation',
    ],

    'style_preset' => [
        "enhance" => __tr('Enhance'),
        "anime" => __tr('Anime'),
        "photographic" => __tr('Photographic'),
        "digital-art" => __tr('Digital Art'),
        "comic-book" => __tr('Comic Book'),
        "fantasy-art" => __tr('Fantasy Art'),
        "line-art" => __tr('Line Art'),
        "analog-film" => __tr('Analog Film'),
        "neon-punk" => __tr('Neon Punk'),
        "isometric" => __tr('Isometric'),
        "low-poly" => __tr('Low Poly'),
        "origami" => __tr('Origami'),
        "modeling-compound" => __tr('Modeling Compound'),
        "cinematic" => __tr('Cinematic'),
        "3d-model" => __tr('3D Model'),
        "pixel-art" => __tr('Pixel Art'),
        "tile-texture" => __tr('Tile Texture')
    ],

    'ai_generate_image_type' => '.png',

    'no_of_images' => 3,

    'image_generation_steps' => 50,

    'image_generation_cfg_scale' => 35,
    // text to speech
    'ai_generate_speech_file_type' => '.mp3',
    'speech_speeds' => [
        '0.25' => __tr('Slowest'),
        '0.5' => __tr('Slow'),
        '1.0' => __tr('Normal'),
        '2.0' => __tr('Fast'),
        '4.0' => __tr('Fastest'),
    ],
    'speech_voices' => [
        'alloy' =>  __tr('Alloy'),
        'echo' =>  __tr('Echo'),
        'fable' =>  __tr('Fable'),
        'onyx' =>  __tr('Onyx'),
        'nova' =>  __tr('Nova'),
        'shimmer' =>  __tr('Shimmer'),
    ],

    'programming_languages_list' => [
        "java" => "Java",
        "php" => "PHP",
        "javascript" => "JavaScript",
        "sql" => "SQL",
        "python" => "Python",
        "cpp" => "C++",
        "c#" => "C#",
        "ruby" => "Ruby",
        "swift" => "Swift",
        "kotlin" => "Kotlin",
        "GO" => "Go (Golang)",
        "R" => "R",
        "scala" => "Scala",
        "perl" => "Perl",
        "rust" => "Rust",
        "lua" => "Lua",
        "typeScript" => "TypeScript",
        "dart" => "Dart",
    ],

];

$appTechConfig = [];
if (file_exists(base_path('user-tech-config.php'))) {
    $appTechConfig = require base_path('user-tech-config.php');
}

return array_merge($techConfig, $techAppConfig, $appTechConfig);
