(function ($) {
    "use strict";
    window.__globals.default_show_message = true;
    window.appFuncs = {
        dataTableReload: function (res, datatableId) {
            window.reloadDT($(datatableId).DataTable());
        },
        modelSuccessCallback: function (data, callbackParams) {
            if ((data.reaction === 1) && callbackParams) {
                if (callbackParams.datatableId) {
                    if (_.isArray(callbackParams.datatableId)) {
                        _.each(callbackParams.datatableId, function (index) {
                            $(index).dataTable().api().ajax.reload();
                        });
                    } else {
                        $(callbackParams.datatableId).dataTable().api().ajax.reload();
                    }
                }
                if (callbackParams.modalId) {
                    $(callbackParams.modalId).modal('hide');
                }

                if (callbackParams.pageReload) {
                    _.delay(function () {
                        __Utils.viewReload();
                    }, 300);
                }
            }
        },
        clearContainer: function (data, $element) {
            var $responseHolder = $($element.data('response-template')),
                $responseTemplate = $($element.data('response-template') + '-template');
            $responseHolder.html(
                '<div class="lw-spinner-box"><div class="text-center align-middle"><div class="lds-ring"><div></div><div></div><div></div><div></div></div><div></div>'
            );
        },
        prepareUpload: function () {
        }
    };

    $('.modal').on('shown.bs.modal', function (shownEvent) {
        var $targetModal = $(shownEvent.target);
        if ($targetModal.data('init-uploader') && $targetModal.find('.lw-file-uploader').length) {
            window.initUploader();
        }
    });

    // Reset forms in the modal after close
    $('.modal').on('hidden.bs.modal', function (hiddenEvent) {
        // Get the modal
        var $targetForm = $(hiddenEvent.target).find('form');
        if ($targetForm.length) {
            $targetForm[0].reset();
            var validator = $targetForm.validate();
            validator.resetForm();
            $targetForm.find('.lw-validation-error').removeClass('lw-validation-error');
            if ($targetForm.data('on-close-update-models')) {
                __DataRequest.updateModels(($targetForm.data('on-close-update-models')))
            }
        }
    });

    //Outer-home
    window.addEventListener('DOMContentLoaded', event => {

        // Activate Bootstrap scrollspy on the main nav element
        const mainNav = document.body.querySelector('#mainNav');
        if (mainNav && bootstrap['ScrollSpy']) {
            new bootstrap.ScrollSpy(document.body, {
                target: '#mainNav',
                offset: 74,
            });
        };

        // Collapse responsive navbar when toggler is visible
        const navbarToggler = document.body.querySelector('.navbar-toggler');
        const responsiveNavItems = [].slice.call(
            document.querySelectorAll('#navbarResponsive .nav-link')
        );
        responsiveNavItems.map(function (responsiveNavItem) {
            responsiveNavItem.addEventListener('click', () => {
                if (window.getComputedStyle(navbarToggler).display !== 'none') {
                    navbarToggler.click();
                }
            });
        });
    });

    //for cookie terms
    window.showCookiePolicyDialog = function () {
        if (__Cookie.get('cookie_policy_terms_accepted') != '1') {
            $('#lwCookiePolicyContainer').show();
        } else {
            $('#lwCookiePolicyContainer').hide();
        }
    };
    // email and sms
    window.toggleFormOptions = function (value) {
        switch (value) {
            case 'smtp':
                $('#lwSparkpostBlock, #lwMailgunBlock').hide();
                $('#lwSmtpBlock').show();
                break;
            case 'sparkpost':
                $('#lwSmtpBlock, #lwMailgunBlock').hide();
                $('#lwSparkpostBlock').show();
                break;
            case 'mailgun':
                $('#lwSparkpostBlock, #lwSmtpBlock').hide();
                $('#lwMailgunBlock').show();
                break;
            default:
        }
    };

    window.toggleSmsFormOptions = function (value) {
        switch (value) {
            case 'textlocal':
                $('#lwTwilioBlock, #lwSms77Block').hide();
                $('#lwTextlocalBlock').show();
                break;
            case 'twilio':
                $('#lwSms77Block, #lwTextlocalBlock').hide();
                $('#lwTwilioBlock').show();
                break;
            case 'sms77':
                $('#lwTwilioBlock, #lwTextlocalBlock').hide();
                $('#lwSms77Block').show();
                break;
            default:
        }
    };

    //for all form fields
    window.toggleFormByEnvSettings = function (value) {
        if (value == true) {
            $('#lwAllFormFieldsBlock').hide();
        } else {
            $('#lwAllFormFieldsBlock').show();
        }
    };

    window.toggleFormBySmsSettings = function (value) {
        if (value == true) {
            $('#lwAllSmsFieldsBlock').show();
        } else {
            $('#lwAllSmsFieldsBlock').hide();
        }
    };

    $('body').on('change', '#forEnvDefaultSettings:checkbox', function (value) {
        toggleFormByEnvSettings(this.checked);
    });

    $('body').on('change', '#forEnableSmsSettings:checkbox', function (value) {
        toggleFormBySmsSettings(this.checked);
    });

    // After file successfully uploaded then this function is called
    window.afterUploadedFile = function (responseData) {
        var requestData = responseData.data;
        $('#lwUploadedLogo').attr('src', requestData.path);
    };
    
    // Credit package upload file
    window.afterUploadedFileCreditPackageFile = function (responseData) {
        if (responseData.reaction == 1) {
            $("#lwPackageImagePreview").show();
            $('.lw-package-preview-image').attr('src', responseData.data.path);
        }
    };
    // credit package delete
    window.onDeleteCreditPackage = function (response) {
        //check reaction code is 1
        if (response.reaction == 1) {
            //apply class row fade in
            $("#lw-package-row-" + response.data.packageUId).addClass("lw-deleted-row");
        }
    };

// delete all test transaction callback
	 // Perform actions after delete
    window.onSuccessFinancialAction = function (response, params) {
        reloadDT(params.datatableId);
    };

    // copy referral url
    window.copyToClipboardUrlRefUrl = function () {
        /* Get the text field */
        var copyTextElement = document.getElementById("lwReferralUrl");
        /* Select the text field */
        copyTextElement.select();
        copyTextElement.setSelectionRange(0, 99999); /* For mobile devices */
        /* Copy the text inside the text field */
        window.navigator.clipboard.writeText(copyTextElement.value);
    };

    //  on category success callback
    window.onCategorySuccessCallback = function (response){
		if (response.reaction == 1) {
            $("#lwCreateCategoryForm")[0].reset();
			$('#addNewCategoryDialog').modal('hide');
            _.defer(function() {
                __Utils.viewReload();
            });
		}
	};
    $('body').on('click', "#lwAddNewCategory", function(){
        $("#lwCreateCategoryForm")[0].reset();
        _.defer(function() {
            initializeFontAwesomeIconsDropdown('#lwAddIcon');
        });
    });

    //on category update success callback
	window.onCategoryUpdateSuccessCallback = function (responseData) {
		if (responseData.reaction == 1) {
			$('#editCategoryDialog').modal('hide');
            _.defer(function() {
                __Utils.viewReload();
            });
		}
    };

    $('body').on("input", "#lwFilterInput", function() {
        var value = $(this).val().toLowerCase();
        $(".lw-category-content .lw-template-item-box").filter(function(element) {
          $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1);
          if(!$(".lw-category-content .lw-template-item-box:visible").length) {
            $('.lw-nothing-container').show();
          } else {
            $('.lw-nothing-container').hide();
          }
        });
    });
    // Open update form
    window.openLanguageUpdateForm = function (formId) {
        $('#lwDynamicRow' + formId).show();
        $('#lwStaticRow' + formId).hide();
    }
    // close Update Form
    window.closeLanguageUpdateForm = function (formId) {
        $('#lwDynamicRow' + formId).hide();
        $('#lwStaticRow' + formId).show();
    }
    // Reload View
    window.reloadPage = function () {
        __Utils.viewReload();
    }

    window.onChangeEmailCallback = function (response) {
		if (response.reaction == 1 && response.data.activationRequired) {
			__DataRequest.updateModels({
				'activationRequired': true,
				'newChangeEmailRequestForm': false
			});
		} else {
			$("#lwChangeEmailForm")[0].reset();
			$("#lwCurrentEmail").val(response.data.newEmail);
		};
    };

    window.onChangePasswordCallback = function(response) {
		if (response.reaction == 1) {
			$("#lwChangePasswordForm")[0].reset();
		}
	};

    $(document).off('tempAnimationFileUploaded');
    $(document).on('tempAnimationFileUploaded', function(event, responseData) {
            __DataRequest.updateModels({
                'tempUploadedImage' : responseData.data.data.path,
                'tempImageFileName' : responseData.data.data.fileName,
            });
            _.defer(function() {
                $('#lwImageAnimationRequestForm').submit();
            });
        });
    window.onImageAnimationRequestSuccessCallback = function (responseData) {
        var lwAnimationVideo = document.getElementById('lwAnimationVideo');
        lwAnimationVideo.load();
        lwAnimationVideo.play();
    };

    window.onImageGenerationPreCallback = function (params) {
        __DataRequest.updateModels({
                showImageLoader:true,
        });
        return params;
    };
    //callback response
    window.onImageGenerationSuccessCallback = function (responseData) {
        if(responseData.reaction == 1) {
            __DataRequest.updateModels({
                showImageLoader:false,
                'latestImageResponses': responseData.data.response, //update array of responses
            });
        }
    };
})(jQuery);