(function($) {
    "use strict"; // Start of use strict
    

    // Closes responsive menu when a scroll trigger link is clicked
    $('.js-scroll-trigger').click(function() {
        $('.navbar-collapse').collapse('hide');
    });

    // Activate scrollspy to add active class to navbar items on scroll
    $('body').scrollspy({
        target: '#mainNav',
        offset: 100
    });

    // Collapse Navbar
    var navbarCollapse = function() {
        if ($("#mainNav").offset().top > 100) {
            $("#mainNav").addClass("navbar-shrink");
        } else {
            $("#mainNav").removeClass("navbar-shrink");
        }
    };
    // Collapse now if page is not at top
    navbarCollapse();
    // Collapse the navbar when page is scrolled
    $(window).scroll(navbarCollapse);

    function scrollTrigger(selector, options = {}){
let els = document.querySelectorAll(selector);
els = Array.from(els);
els.forEach(el => {
    addObserver(el, options)
});
};

function addObserver(el, options){
if(!('IntersectionObserver' in window)){
    if(options.cb){
        options.cb(el)
    }else{
        entry.target.classList.add('lw-scroll-revealed')
    }
    return
}
let observer = new IntersectionObserver((entries, observer) => { //this takes a callback function which receives two arguments: the elemts list and the observer instance
    entries.forEach(entry => {
        if (entry.isIntersecting) {
            if (options.cb) {
                options.cb(el)
            } else {
                entry.target.classList.add('lw-scroll-revealed')
            }
            observer.unobserve(entry.target)
        }
    })
}, options);
observer.observe(el);
};
scrollTrigger('.lw-scroll-reveal', {
rootMargin: '-200px',
});
})(jQuery); // End of use strict