<!-- Page Heading -->
<h3>
    <?= __tr('AI Providers Settings') ?>
</h3>
<!-- /Page Heading -->
<hr>
<!-- Setting Form -->
<form class="lw-ajax-form lw-form" method="post" data-callback="onAiProviderSettingCallback"
    action="<?= route('manage.configuration.write', ['pageType' => request()->pageType]) ?>">
    <!-- Features availability for users settings -->
    <fieldset class="lw-fieldset mb-4">
        <legend class="lw-fieldset-legend">{{ __tr('Features Availability For Users') }}</legend>
        <div class="form-group">
            <!-- for Text generation -->
            <input type="hidden" name="features_availability_users_settings[use_text_generation]" value="0" />
            <div class="custom-control custom-switch my-3">
                <input type="checkbox" class="custom-control-input" id="forTextGenerationSettings"
                    name="features_availability_users_settings[use_text_generation]" value="1" {{
                    getAppSettings('features_availability_users_settings', 'use_text_generation')==1 ? 'checked' : '' }}>
                <label class="custom-control-label" for="forTextGenerationSettings">
                    <?= __tr('Text generation') ?>
                </label>
            </div>
            <!-- /for Text generation -->
            <!-- for Text Translations -->
            <input type="hidden" name="features_availability_users_settings[use_translation_generation]" value="0" />
            <div class="custom-control custom-switch my-3">
                <input type="checkbox" class="custom-control-input" id="forTextTranslationSettings"
                    name="features_availability_users_settings[use_translation_generation]" value="1" {{
                    getAppSettings('features_availability_users_settings', 'use_translation_generation') ==1 ? 'checked' : '' }}>
                <label class="custom-control-label" for="forTextTranslationSettings">
                    <?= __tr('Translation') ?>
                </label>
            </div>
            <!-- /for Text Translations -->
            <!-- for Templates generation -->
            <input type="hidden" name="features_availability_users_settings[use_templates_text_generation]" value="0" />
            <div class="custom-control custom-switch my-3">
                <input type="checkbox" class="custom-control-input" id="forTemplatesTextGenerationSettings"
                    name="features_availability_users_settings[use_templates_text_generation]" value="1" 
                    {{ getAppSettings('features_availability_users_settings')['use_templates_text_generation'] == 1 ? 'checked' : '' }}
                    >
                <label class="custom-control-label" for="forTemplatesTextGenerationSettings">
                    <?= __tr('Templates text generation') ?>
                </label>
            </div>
            <!-- /for Templates generation -->

            <!-- for Image generation -->
            <input type="hidden" name="features_availability_users_settings[use_image_generation]" value="0" />
            <div class="custom-control custom-switch my-3">
                <input type="checkbox" class="custom-control-input" id="forImageGenerationSettings"
                    name="features_availability_users_settings[use_image_generation]" value="1" {{
                    getAppSettings('features_availability_users_settings')['use_image_generation']==1 ? 'checked' : '' }}>
                <label class="custom-control-label" for="forImageGenerationSettings">
                    <?= __tr('Image generation') ?>
                </label>
            </div>
            <!-- /for Image generation -->
            <!-- for Image generation -->
            <input type="hidden" name="features_availability_users_settings[use_image_to_animation_conversion]" value="0" />
            <div class="custom-control custom-switch my-3">
                <input type="checkbox" class="custom-control-input" id="forImageAnimationSettings"
                    name="features_availability_users_settings[use_image_to_animation_conversion]" value="1" {{
                    getAppSettings('features_availability_users_settings')['use_image_to_animation_conversion']==1 ? 'checked' : '' }}>
                <label class="custom-control-label" for="forImageAnimationSettings">
                    <?= __tr('Image Depth Animation') ?>
                </label>
            </div>
            <!-- /for Image generation -->

            <!-- for Speech to text generation -->
            <input type="hidden" name="features_availability_users_settings[use_speech_to_text_generation]" value="0" />
            <div class="custom-control custom-switch my-3">
                <input type="checkbox" class="custom-control-input" id="forSpeechSettings"
                    name="features_availability_users_settings[use_speech_to_text_generation]" value="1" {{
                    getAppSettings('features_availability_users_settings')['use_speech_to_text_generation']==1 ? 'checked'
                    : '' }}>
                <label class="custom-control-label" for="forSpeechSettings">
                    <?= __tr('Speech to text generation') ?>
                </label>
            </div>
            <!-- /for Speech to text generation -->
            <!-- for Text to speech generation -->
            <input type="hidden" name="features_availability_users_settings[use_speech_generation]" value="0" />
            <div class="custom-control custom-switch my-3">
                <input type="checkbox" class="custom-control-input" id="forTextToSpeechSettings"
                    name="features_availability_users_settings[use_speech_generation]" value="1" {{
                    getAppSettings('features_availability_users_settings')['use_speech_generation']==1 ? 'checked'
                    : '' }}>
                <label class="custom-control-label" for="forTextToSpeechSettings">
                    <?= __tr('Text to speech generation') ?>
                </label>
            </div>
            <!-- /forText to speech generation -->

            <!-- for Code generation -->
            <input type="hidden" name="features_availability_users_settings[use_code_generation]" value="0" />
            <div class="custom-control custom-switch my-3">
                <input type="checkbox" class="custom-control-input" id="forCodeSettings"
                    name="features_availability_users_settings[use_code_generation]" value="1" {{
                    getAppSettings('features_availability_users_settings')['use_code_generation']==1 ? 'checked' : '' }}>
                <label class="custom-control-label" for="forCodeSettings">
                    <?= __tr('Code generation') ?>
                </label>
            </div>
            <!-- /for Code generation -->
        </div>
    </fieldset>
    <!-- /Features availability for users settings End -->

    {{-- MODELS SETTING STARTS --}}
    <fieldset class="lw-fieldset mb-3">
        <div class="row ml-2">
            <div class="mt-3 col-md-6">
                <div class="form-group">
                    <label for="lwOpenAiKey"><?= __tr('Text Generation Models') ?></label>
                    <select name="open_ai_text_generation_model"
                        class="form-control lw-ai-model-select custom-select openAiModels" required>
                        @foreach (config('__tech.open_ai.models.text_generation') as $key => $value)
                            <option value="{{ $key }}"
                                <?= $key == getAppSettings('open_ai_text_generation_model') ? 'selected' : '' ?>>
                                <?= $value['label'] ?></option>
                        @endforeach
                    </select>
                </div>
            </div>
            <div class="mt-3 col-md-6">
                <div class="form-group">
                    <label for="lwOpenAiKey"><?= __tr('Image Generation Models') ?></label>
                    <select name="ai_image_generation_model" class="form-control lw-ai-model-select custom-select"
                        >
                        <optgroup class="openAiModels" label="Open AI">
                            @foreach (config('__tech.open_ai.models.dall_e') as $key => $value)
                                <option value="{{ $key }}"
                                    <?= $key == getAppSettings('ai_image_generation_model') ? 'selected' : '' ?>>
                                    <?= $value ?></option>
                            @endforeach
                        </optgroup>
                        <optgroup class="stableDiffusionModels" label="{{ __tr('Stable Diffusion AI') }}">
                            @foreach (configItem('stable_diffusion_ai.models.text_to_image_generation') as $key => $value)
                                <option value="{{ $key }}"
                                    <?= $key == getAppSettings('ai_image_generation_model') ? 'selected' : '' ?>>
                                    <?= $value['label'] ?></option>
                            @endforeach
                        </optgroup>
                    </select>
                </div>
            </div>
        </div>
        <div class="row ml-2">
            <div class="col-md-6">
                <div class="form-group">
                    <label for="lwSpeechToTextGenerationModels"><?= __tr('Speech To Text Generation Models') ?></label>
                    <select id="lwSpeechToTextGenerationModels" name="open_ai_speech_to_text_generation_model"
                        class="form-control lw-ai-model-select custom-select openAiModels" required>
                        @foreach (config('__tech.open_ai.models.speech_to_text') as $key => $value)
                            <option value="{{ $key }}"
                                <?= $key == getAppSettings('open_ai_speech_to_text_generation_model') ? 'selected' : '' ?>>
                                <?= $value ?></option>
                        @endforeach
                    </select>
                </div>
            </div>
            {{-- Text to speech --}}
            <div class="col-md-6">
                <div class="form-group">
                    <label for="lwTextToSpeechGenerationModels"><?= __tr('Speech to Text Generation Models') ?></label>
                    <select id="lwTextToSpeechGenerationModels" name="open_ai_text_to_speech_generation_model"
                        class="form-control lw-ai-model-select custom-select openAiModels" required>
                        @foreach (config('__tech.open_ai.models.text_to_speech') as $key => $value)
                            <option value="{{ $key }}"
                                <?= $key == getAppSettings('open_ai_text_to_speech_generation_model') ? 'selected' : '' ?>>
                                <?= $value ?></option>
                        @endforeach
                    </select>
                </div>
            </div>
            {{-- /Text to speech --}}
        </div>
    </fieldset>
    <!-- /OpenAi settings End -->
    {{-- MODELS SETTINGS END --}}
    <!-- Start OpenAi settings -->
    <fieldset class="lw-fieldset mb-3">
        <legend class="lw-fieldset-legend">
            <!-- enable OpenAi hidden field -->
            <input type="hidden" name="enable_open_ai" id="lwEnableOpenAi" value="0" />
            <!-- enable OpenAi hidden field -->
            <div class="custom-control custom-switch">
                <input type="checkbox" class="custom-control-input" id="lwAllowOpenAi" name="enable_open_ai"
                    value="1" <?= getAppSettings('enable_open_ai') == true ? 'checked' : '' ?>>
                <label class="custom-control-label" for="lwAllowOpenAi">
                    <?= __tr('Allow Open AI') ?>
                </label>
            </div>
        </legend>
        <!-- show after OpenAi allow information -->
        <div class="btn-group" id="lwIsOpenAiKeysExist" style="display:none">
            <button type="button" disabled="true" class="btn btn-success lw-btn">
                <?= __tr('Open AI keys are installed.') ?>
            </button>
            <button type="button" class="btn btn-light lw-btn" id="lwAddOpenAiKeys">
                <?= __tr('Update') ?>
            </button>
        </div>
        <!-- show after OpenAi allow information -->

        <!-- OpenAi key exists hidden field -->
        <input type="hidden" name="open_ai_key_exist" id="lwOpenAiKeysExist"
            value="{{ getAppSettings('open_ai_keys') }}" />
        <!-- OpenAi key exists hidden field -->

        <div id="lwOpenAiKeyInputField">
            <div class="">
                <label for="lwOpenAiKey">
                    <?= __tr('Open AI Key') ?>
                </label>
                <input type="text" class="form-control form-control-user" name="open_ai_keys" id="lwOpenAiKey"
                    placeholder="<?= __tr('OpenAi Key') ?>" value="">
            </div>
        </div>
    </fieldset>
    <!-- /OpenAi settings End -->

    <!-- Start stable diffusion settings -->
    <fieldset class="lw-fieldset mb-3">
        <legend class="lw-fieldset-legend">
            <!-- enable OpenAi hidden field -->
            <input type="hidden" name="allow_stable_diffusion_ai" id="lwEnableStableDiffusion" value="0" />
            <!-- enable OpenAi hidden field -->
            <div class="custom-control custom-switch">
                <input type="checkbox" class="custom-control-input" id="lwAllowStableDiffusion"
                    name="allow_stable_diffusion_ai" value="1"
                    <?= getAppSettings('allow_stable_diffusion_ai') == true ? 'checked' : '' ?>>
                <label class="custom-control-label" for="lwAllowStableDiffusion">
                    <?= __tr('Stable Diffusion AI') ?>
                </label>
            </div>
        </legend>
        <!-- show after OpenAi allow information -->

        <div class="btn-group" id="lwIsStableDiffusionKeysExist" style="display:none">
            <button type="button" disabled="true" class="btn btn-success lw-btn">
                <?= __tr('Stable Diffusion are installed.') ?>
            </button>
            <button type="button" class="btn btn-light lw-btn" id="lwAddStableDiffusionKeys">
                <?= __tr('Update') ?>
            </button>
        </div>
        <!-- show after OpenAi allow information -->

        <!-- OpenAi key exists hidden field -->
        <input type="hidden" name="stable_diffusion_key_exist" id="lwStableDiffusionKeysExist"
            value="<?= getAppSettings('stable_diffusion_key') ?>" />
        <!-- OpenAi key exists hidden field -->

        <div id="lwStableDiffusionKeyInputField">
            <div class="">
                <label for="lwStableDiffusionKey">
                    <?= __tr('Stable Diffusion Key') ?>
                </label>
                <input type="text" class="form-control form-control-user "
                    name="stable_diffusion_key" id="lwStableDiffusionKey"
                    placeholder="<?= __tr('Stable Diffusion Key') ?>"
                    value="">
            </div>
            <div class="row mt-2">
                <div class="col-md-6">
                    <div class="form-group">
                        <label for="lwStableDiffusionSteps"><?= __tr('Stable Diffusion Steps') ?></label>
                        <select name="stable_diffusion_steps"
                            class="form-control lw-ai-model-select custom-select stableDiffusionModels" required>
                            @for($i = 1; $i <= config('__tech.image_generation_steps'); $i++)
                                <option value="{{ $i }}" <?= $i == getAppSettings('stable_diffusion_steps') ? 'selected' : '' ?>>{{ $i }}</option>
                            @endfor
                        </select>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label for="lwCFGScale"><?= __tr('Stable Diffusion CFG Scale') ?></label>
                        <select name="stable_diffusion_cfg_scale" class="form-control lw-ai-model-select custom-select stableDiffusionModels">
                            @for($i = 1; $i <= config('__tech.image_generation_cfg_scale'); $i++)
                                <option value="{{ $i }}"
                                <?= $i == getAppSettings('stable_diffusion_cfg_scale') ? 'selected' : '' ?>>{{ $i }}</option>
                            @endfor
                        </select>
                    </div>
                </div>
            </div>
        </div>
        <!-- show after OpenAi allow information -->
    </fieldset>
    <!-- /stable diffusion settings End -->

        <!-- Start Leiapix settings -->
        <fieldset class="lw-fieldset mb-3" x-cloak x-data={enableImageAnimation:"{{ getAppSettings('enable_image_animation') }}",leiapixClientId:"{{ getAppSettings('leiapix_client_id') }}",leiapixClientSecret:"{{ getAppSettings('leiapix_client_secret') }}",leiapixCloseForUpdate:"{{ getAppSettings('enable_image_animation') || getAppSettings('leiapix_client_id') }}"}>
            <legend class="lw-fieldset-legend">
                <x-lw.switch checked="enableImageAnimation" name="enable_image_animation" label="{{ __tr('Enable Leiapix for Image Animation') }}"></x-lw.switch>
            </legend>
            <div :class="(!enableImageAnimation) ? 'lw-disabled-block-content' : ''">
                <input type="hidden" name="is_leiapix_close_for_update" :value="leiapixCloseForUpdate">
                <!-- show after Leiapix allow information -->
                <div class="btn-group" x-show="leiapixCloseForUpdate">
                    <button type="button" disabled="true" class="btn btn-success lw-btn">
                        <?= __tr('Leiapix Configured') ?>
                    </button>
                    <button type="button" class="btn btn-light lw-btn" @click="leiapixCloseForUpdate = 0">
                        <?= __tr('Update') ?>
                    </button>
                </div>
                <div class="row" x-show="!leiapixCloseForUpdate">
                    <div class="col-md-6">
                        <div class="form-group">
                        <label for="lwLeiapixClientIdField"> {{ __tr('Leiapix Client ID') }}</label>
                            <input id="lwLeiapixClientIdField" type="text" class="form-control" name="leiapix_client_id" value="">
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="lwLeiapixClientSecret"> {{ __tr('Leiapix Client Secret') }}</label>
                            <input id="lwLeiapixClientSecret" type="text" class="form-control" name="leiapix_client_secret" value="">
                        </div>
                    </div>
                    <div class="col">
                        <div class="alert alert-info my-2">https://auth.leialoft.com/auth/realms/leialoft/account/client-credentials</div>
                    </div>
                </div>
                <fieldset class="row lw-fieldset" x-show="!leiapixCloseForUpdate" x-data="{leiapixS3ProviderCloseForUpdate:'{{ getAppSettings('leiapix_s3_access_key') }}'}">
                   <legend class="lw-fieldset-legend">{{  __tr('S3 Configuration for Presigned URL') }}</legend>
                   <div class="row">
                    <div class="col-12">
                        <div class="alert alert-info my-2">{{  __tr('It needs S3 compatible services to generate Presigned url, eg. AWS S3, Digital Ocean Spaces, Storj.io etc. Tip: Storj.io free plan works well') }}</div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="btn-group" x-show="leiapixS3ProviderCloseForUpdate">
                            <button type="button" disabled="true" class="btn btn-success lw-btn">
                                <?= __tr('S3 provider for Leiapix Configured') ?>
                            </button>
                            <button type="button" class="btn btn-light lw-btn" @click="leiapixS3ProviderCloseForUpdate = 0">
                                <?= __tr('Update S3 provider for Leiapix') ?>
                            </button>
                        </div>
                        <input type="hidden" name="is_leiapix_s3_provider_close_for_update" :value="leiapixS3ProviderCloseForUpdate">
                    </div>
                </div>
                   <div class="row" x-show="!leiapixS3ProviderCloseForUpdate">
                    {{-- s3 access key --}}
                   <div class="col-md-6">
                    <div class="form-group">
                        <label for="lwS3AccessKey"> {{ __tr('Key') }}</label>
                        <input id="lwS3AccessKey" type="text" class="form-control" name="leiapix_s3_access_key" value="">
                    </div>
                </div>
                {{-- /s3 access key --}}
               {{-- s3 access secret --}}
               <div class="col-md-6">
                    <div class="form-group">
                        <label for="lwS3AccessSecret"> {{ __tr('Secret') }}</label>
                        <input id="lwS3AccessSecret" type="text" class="form-control" name="leiapix_s3_access_secret" value="">
                    </div>
                </div>
                {{-- /s3 access secret --}}
               {{-- s3 access region --}}
               <div class="col-md-6">
                    <div class="form-group">
                        <label for="lwS3Region"> {{ __tr('Region') }}</label>
                        <input id="lwS3Region" type="text" class="form-control" name="leiapix_s3_region" value="{{ getAppSettings('leiapix_s3_region') }}">
                    </div>
                </div>
                {{-- /s3 access region --}}
               {{-- s3 access bucket --}}
               <div class="col-md-6">
                    <div class="form-group">
                        <label for="lwS3Bucket"> {{ __tr('Bucket') }}</label>
                        <input id="lwS3Bucket" type="text" class="form-control" name="leiapix_s3_bucket" value="{{ getAppSettings('leiapix_s3_bucket') }}">
                    </div>
                </div>
                {{-- /s3 access bucket --}}
               {{-- s3 access url --}}
               <div class="col-md-6">
                    <div class="form-group">
                        <label for="lwS3Url"> {{ __tr('URL') }}</label>
                        <input id="lwS3Url" type="text" class="form-control" name="leiapix_s3_url" value="{{ getAppSettings('leiapix_s3_url') }}">
                    </div>
                </div>
                {{-- /s3 access url --}}
               {{-- s3 access endpoint --}}
               <div class="col-md-6">
                    <div class="form-group">
                        <label for="lwS3Endpoint"> {{ __tr('Endpoint') }}</label>
                        <input id="lwS3Endpoint" type="text" class="form-control" name="leiapix_s3_endpoint" value="{{ getAppSettings('leiapix_s3_endpoint') }}">
                    </div>
                </div>
                {{-- /s3 access endpoint --}}
                   </div>
                </fieldset>
            </div>
        </fieldset>
        <!-- /Leiapix settings End -->
    <!-- Update Button -->
    <a href class="lw-ajax-form-submit-action btn btn-primary btn-user lw-btn-block-mobile ml-2">
        <?= __tr('Update') ?>
    </a>
    <!-- /Update Button -->
</form>


@lwPush('appScripts')
<script>
    (function($) {
        /*********** OpenAi Enable / Disable Checkout start here ***********/
    var isOpenAiAllow = $('#lwAllowOpenAi').is(':checked');
    if (!isOpenAiAllow) {
        $('#lwOpenAiKeyInputField')
            .addClass(
                'lw-disabled-block-content');
        $('#lwAddOpenAiKeys, .openAiModels')
            .attr("disabled", true);
    }

    $("#lwAllowOpenAi").on('change', function(event) {
        isPusherAllow = $(this).is(":checked");
        //check is enable false then add class
        if (!isPusherAllow) {
            $("#lwOpenAiKeyInputField")
                .addClass('lw-disabled-block-content');
            $('#lwAddOpenAiKeys, .openAiModels')
                .attr(
                    "disabled", true);
            //else remove class
        }
         else {
            $("#lwOpenAiKeyInputField")
                .removeClass('lw-disabled-block-content');
            $('#lwAddOpenAiKeys, .openAiModels')
                .attr(
                    "disabled", false);
        }
    });
    /*********** OpenAi Enable / Disable Checkout end here ***********/
    /*********** OpenAi Keys setting start here ***********/
    var isOpenAiKeysInstalled = "{{ getAppSettings('open_ai_keys') }}",
        lwOpenAiKeyInputField = $('#lwOpenAiKeyInputField'),
        lwIsOpenAiKeysExist = $('#lwIsOpenAiKeysExist');

    // Check if Live OpenAi keys are installed
    if (isOpenAiKeysInstalled) {
        lwOpenAiKeyInputField.hide();
        lwIsOpenAiKeysExist.show();
    } else {
        lwIsOpenAiKeysExist.hide();
    }
    $('#lwAddOpenAiKeys')
        .click(function() {
            $("#lwOpenAiKeysExist")
                .val(
                    0);
            lwOpenAiKeyInputField.show();
            lwIsOpenAiKeysExist.hide();

        });
    /***********  Stable Diffusion/ Disable Checkout start here ***********/
    var isStableDiffusionAllow = $('#lwAllowStableDiffusion').is(':checked');
    if (!isStableDiffusionAllow) {
        $('#lwStableDiffusionKeyInputField')
            .addClass('lw-disabled-block-content');
        $('#lwAddStableDiffusionKeys, .stableDiffusionModels')
            .attr("disabled", true);
    }

    $("#lwAllowStableDiffusion").on('change', function(event) {
        isPusherAllow = $(this).is(":checked");
        //check is enable false then add class
        if (!isPusherAllow) {
            $("#lwStableDiffusionKeyInputField")
                .addClass('lw-disabled-block-content');
            $('#lwAddStableDiffusionKeys,  .stableDiffusionModels')
                .attr("disabled", true);
            //else remove class
        } else {
            $("#lwStableDiffusionKeyInputField,#lwOpenAiKeyInputField")
                .removeClass('lw-disabled-block-content');
            $('#lwAddStableDiffusionKeys, .stableDiffusionModels')
                .attr("disabled", false);
        }
    });
    // 	/*********** OpenAi Keys setting start here ***********/
    var isStableDiffusionKeysInstalled = "<?= getAppSettings('stable_diffusion_key') ?>",
        lwStableDiffusionKeyInputField = $('#lwStableDiffusionKeyInputField'),
        lwIsStableDiffusionKeysExist = $('#lwIsStableDiffusionKeysExist');
    // Check if Live OpenAi keys are installed
    if (isStableDiffusionKeysInstalled) {
        lwStableDiffusionKeyInputField.hide();
        lwIsStableDiffusionKeysExist.show();
    } else {
        lwIsStableDiffusionKeysExist.hide();
    }
    // Update OpenAi checkout keys
    $('#lwAddStableDiffusionKeys')
        .click(function() {
            $("#lwStableDiffusionKeysExist")
                .val(0);
            lwStableDiffusionKeyInputField.show();
            lwIsStableDiffusionKeysExist.hide();
        });
    //on integration setting success callback function
    function onAiProviderSettingCallback(responseData) {
        //check reaction code is 1 then reload view
        if (responseData.reaction == 1) {
            showConfirmation("{{ __tr('Settings Updated Successfully') }}", function() {
                __Utils.viewReload();
            }, {
                confirmButtonText: "{{ __tr('Reload Page') }}",
                type: "success"
            });
        }
    };
})(jQuery);
</script>
@lwPushEnd
