<!-- Page Heading -->
<h3>
    <?= __tr('Integration Settings') ?>
</h3>
<!-- /Page Heading -->
<hr>
<!-- Setting Form -->
<form class="lw-ajax-form lw-form" method="post" data-callback="onIntegrationSettingCallback"
    action="<?= route('manage.configuration.write', ['pageType' => request()->pageType]) ?>">

    <!-- Start recaptcha settings -->
    <fieldset class="lw-fieldset mb-3">
        <legend class="lw-fieldset-legend">
            <!-- enable recaptcha hidden field -->
            <input type="hidden" name="allow_recaptcha" id="lwEnableRecaptcha" value="0" />
            <!-- enable Recaptcha hidden field -->
            <div class="custom-control custom-switch">
                <input type="checkbox" class="custom-control-input" id="lwAllowRecaptcha" name="allow_recaptcha"
                    value="1" <?=$configurationData['allow_recaptcha']==true ? 'checked' : '' ?>>
                <label class="custom-control-label" for="lwAllowRecaptcha">
                    <?= __tr('Allow ReCaptcha V2') ?>
                </label>
            </div>
        </legend>
        <!-- show after Recaptcha allow information -->
        <div class="btn-group" id="lwIsRecaptchaKeysExist" style="display:none">
            <button type="button" disabled="true" class="btn btn-success lw-btn">
                <?= __tr('ReCaptcha keys are installed.') ?>
            </button>
            <button type="button" class="btn btn-light lw-btn" id="lwAddRecaptchaKeys">
                <?= __tr('Update') ?>
            </button>
        </div>
        <!-- show after recaptcha allow information -->

        <!-- recaptcha key exists hidden field -->
        <input type="hidden" name="recaptcha_site_key_exist" id="lwRecaptchaKeysExist"
            value="<?= $configurationData['recaptcha_site_key'] ?>" />
        <!-- Recaptcha key exists hidden field -->

        <div id="lwRecaptchaKeyInputField">
            <div class="">
                <label for="lwReCaptchaClientSecret">
                    <?= __tr('Site Key') ?>
                </label>
                <input type="text" class="form-control form-control-user" name="recaptcha_site_key"
                    placeholder="<?= __tr('Recaptcha Site Key') ?>" id="lwReCaptchaClientSecret"
                    value="">

                <label for="lwSecretKey">
                    <?= __tr('Secret Key') ?>
                </label>
                <input type="text" class="form-control form-control-user" name="recaptcha_secret_key" id="lwSecretKey"
                    placeholder="<?= __tr('Recaptcha Secret Key') ?>"
                    value="">
            </div>
        </div>
    </fieldset>
    <!-- /Re-captcha End -->
    <!-- Microsoft Block Start-->
    <div class="form-group mt-2">
        <!-- giphy map settings -->
        <fieldset class="lw-fieldset mb-3" x-data="{disableMicrosoftTranslatorKeyUpdate:'{{ getAppSettings("microsoft_translator_api_key") }}'}">
            <!-- allow giphy input radio field -->
            <legend class="lw-fieldset-legend">
                <div class="">
                    <label class="" for="lwMicrosoftTranslatorAPIKey">
                        <?= __tr('Microsoft Translator API') ?>
                    </label>
                </div>
            </legend>
            <!-- /allow giphy input radio field -->
            <!-- show after giphy allow information -->
            <div class="alert alert-info">
                <a target="_blank"
                    href="https://azure.microsoft.com/en-us/pricing/details/cognitive-services/translator-text-api/">https://azure.microsoft.com/en-us/pricing/details/cognitive-services/translator-text-api/</a>
            </div>
            <div class="form-group" x-cloak x-show="!disableMicrosoftTranslatorKeyUpdate">
                <label for="lwMicrosoftTranslatorAPIKey">
                    <?= __tr('Microsoft Translator API Key') ?>
                </label>
                <input type="text" class="form-control form-control-user" name="microsoft_translator_api_key"
                    id="lwMicrosoftTranslatorAPIKey">
            </div>
            <div class="form-group" x-cloak x-show="disableMicrosoftTranslatorKeyUpdate">
                <div class="btn-group" id="lwLiveStripeCheckoutExists">
                    <button type="button" disabled="true" class="btn btn-success lw-btn">
                        {{ __tr('Microsoft Translator API Key exist') }}
                    </button>
                    <button type="button"
                        @click="disableMicrosoftTranslatorKeyUpdate = !disableMicrosoftTranslatorKeyUpdate"
                        class="btn btn-light lw-btn ">{{ __tr('Update') }}</button>
                </div>
            </div>
        </fieldset>
        <!-- / Microsoft Block End -->
    </div>
    <!-- /ReCaptcha Block End-->

    <!-- Update Button -->
    <a href class="lw-ajax-form-submit-action btn btn-primary btn-user lw-btn-block-mobile ml-2" >
        <?= __tr('Update') ?>
    </a>
    <!-- /Update Button -->
</form>
<!-- /Setting Form -->

@lwPush('appScripts')
<script>
    //js block start
	$(document).ready(function() {
        'use strict';
        /*********** Recaptcha Enable / Disable Checkout start here ***********/
		var isRecaptchaAllow = $('#lwAllowRecaptcha').is(':checked');
		if (!isRecaptchaAllow) {
			$('#lwRecaptchaKeyInputField').addClass('lw-disabled-block-content');
			$('#lwAddRecaptchaKeys').attr("disabled", true);
		}

		$("#lwAllowRecaptcha").on('change', function(event) {
			isRecaptchaAllow = $(this).is(":checked");
			//check is enable false then add class
			if (!isRecaptchaAllow) {
				$("#lwRecaptchaKeyInputField").addClass('lw-disabled-block-content');
				$('#lwAddRecaptchaKeys').attr("disabled", true);
				//else remove class
			} else {
				$("#lwRecaptchaKeyInputField").removeClass('lw-disabled-block-content');
				$('#lwAddRecaptchaKeys').attr("disabled", false);
			}
		});
		/*********** Recaptcha Enable / Disable Checkout end here ***********/

		/*********** Recaptcha Keys setting start here ***********/
		var isRecaptchaKeysInstalled = "<?= $configurationData['recaptcha_site_key'] ?>",
			lwRecaptchaKeyInputField = $('#lwRecaptchaKeyInputField'),
			lwIsRecaptchaKeysExist = $('#lwIsRecaptchaKeysExist');

		// Check if Live Recaptcha keys are installed
		if (isRecaptchaKeysInstalled) {
			lwRecaptchaKeyInputField.hide();
			lwIsRecaptchaKeysExist.show();
		} else {
			lwIsRecaptchaKeysExist.hide();
		}
		// Update Recaptcha checkout keys
		$('#lwAddRecaptchaKeys').click(function() {
			$("#lwRecaptchaKeysExist").val(0);
			lwRecaptchaKeyInputField.show();
			lwIsRecaptchaKeysExist.hide();
		});
		/*********** Recaptcha Keys setting end here ***********/

//on integration setting success callback function
	window.onIntegrationSettingCallback = function (responseData) {
		//check reaction code is 1 then reload view
		if (responseData.reaction == 1) {
            showConfirmation("{{ __tr('Settings Updated Successfully') }}", function() {
                __Utils.viewReload();
            }, {
                confirmButtonText: "{{ __tr('Reload Page') }}",
                type: "success"
            });
        }
	};
	});
</script>
@lwPushEnd