<!-- Page Heading -->
<h3>
    {{ __tr('Referral') }}
</h3>
<!-- /Page Heading -->
<hr>
<!-- Referral Setting Form -->
<form class="lw-ajax-form lw-form" method="post"
    action="<?= route('manage.configuration.write', ['pageType' => request()->pageType]) ?>">


    <!-- Start recaptcha settings -->
    <fieldset class="lw-fieldset mb-3">
        <legend class="lw-fieldset-legend">
            <!-- enable recaptcha hidden field -->
            <input type="hidden" name="enable_referral_system" value="0" />
            <!-- enable Recaptcha hidden field -->
            <div class="custom-control custom-switch">
                <input type="checkbox" class="custom-control-input" id="lwEnableDisable"
                        name="enable_referral_system" value="1" {{ getAppSettings('enable_referral_system') == 1
                        ? 'checked' : '' }}>
                <label class="custom-control-label" for="lwEnableDisable">
                    {{ __tr('Referral System') }}
                </label>
            </div>
        </legend>
        <small class="text-muted">{{ __tr('If this setting remains off then all referral systems will be turned off.') }}</small>
    </fieldset>
    <!-- /Re-captcha End -->
    <hr class="mt-4">

    <!-- Give Bonus for Users -->
    <fieldset class="lw-fieldset mb-3">
        <!-- Give Bonus for Users-->
        <legend class="lw-fieldset-legend">
            {{ __tr('Give Bonus') }}
        </legend>
        <!-- /Give Bonus for Users -->
        <!-- On Signup -->
        <div class="custom-control custom-radio custom-control-inline">
            <input type="radio" id="give_bonus_on_signup" name="give_bonus[select_type]" class="custom-control-input"
                value="1" {{ getAppSettings('give_bonus')['select_type']==1 ? 'checked' : '' }}>
            <label class="custom-control-label" for="give_bonus_on_signup">
                <?= __tr('On sign-up') ?>
            </label>
        </div>
        <!-- /On Signup -->
        <!-- On first Payment -->
        <div class="custom-control custom-radio custom-control-inline">
            <input type="radio" id="give_bonus_on_first_payment" name="give_bonus[select_type]"
                class="custom-control-input" value="2" {{ getAppSettings('give_bonus')['select_type']==2 ? 'checked'
                : '' }}>
            <label class="custom-control-label" for="give_bonus_on_first_payment">
                {{ __tr("On user's first payment") }}
            </label>
        </div>
        <!-- /On first Payment -->

        <div class="form-group row mt-3">
            <!-- Referrals price field -->
            <div class="col-sm-4 mb-3 mb-sm-0">
                <label for="referredBy">
                    <?= __tr('Referred by') ?>
                </label>
                <div class="input-group">
                    <input type="number" class="form-control d-block" name="give_bonus[referred_by]" required
                        digits="true" value="{{ getAppSettings('give_bonus')['referred_by'] }}" id="referredBy"
                        placeholder="{{ __tr('Referred by') }}">
                    <div class="input-group-append">
                        <span class="input-group-text">
                            <?= __tr('Credits') ?>
                        </span>
                    </div>
                </div>
            </div>

            <div class="col-sm-4 mb-3 mb-sm-0">
                <label for="referredTo">
                    <?= __tr('Referred to') ?>
                </label>
                <div class="input-group">
                    <input type="number" class="form-control d-block" name="give_bonus[referred_to]" required
                        digits="true" value="{{ getAppSettings('give_bonus')['referred_to'] }}" id="referredTo"
                        placeholder="{{ __tr('Referred to') }}">
                    <div class="input-group-append">
                        <span class="input-group-text">
                            <?= __tr('Credits') ?>
                        </span>
                    </div>
                </div>
            </div>
            <!-- / Referrals price field -->
        </div>
    </fieldset>
    <!-- /Give Bonus for Users -->

    <hr class="mt-4">
    <!-- Update Button -->
    <a href class="lw-ajax-form-submit-action btn btn-primary btn-user lw-btn-block-mobile mt-2">
        <?= __tr('Update') ?>
    </a>
    <!-- /Update Button -->
</form>
<!-- /Referral Setting Form -->