<!-- Page Heading -->
<h3>
    {{ __tr('Usage Pricing') }}
</h3>
<!-- /Page Heading -->
<hr>
<!-- Setting Form -->
<form class="lw-ajax-form lw-form" method="post" data-callback="onAiProviderSettingCallback"
    action="{{ route('manage.configuration.write', ['pageType' => request()->pageType]) }}">
    <!-- Text label -->
    <h5>{{ __tr('Text') }}</h5>
    <!-- / Text label -->
    <div class="form-group row ml-1">
        <!-- Per word price field -->
        <div class="col-sm-4 mb-3 mb-sm-0">
            <label for="lwPerWordPricing">
                <?= __tr('Per word pricing') ?>
            </label>
            <div class="input-group">
                <input type="number" class="form-control d-block" name="per_word_pricing" id="lwPerWordPricing" required
                    digits="true" value="{{ getAppSettings('per_word_pricing') }}"
                    placeholder="{{ __tr('Per word pricing') }}">
                <div class="input-group-append">
                    <span class="input-group-text">
                        <?= __tr('Credits') ?>
                    </span>
                </div>
            </div>
        </div>
        <!-- / Per word price field -->
    </div>
    <hr>

    <!-- Image label -->
    <h5>{{ __tr('Image') }}</h5>
    <div class="form-group row ml-1">
        <!-- Per image price field -->
        <div class="col-sm-4 mb-3 mb-sm-0">
            <label for="lw1024Credits">
                <?= __tr('1024x1024 per image') ?>
            </label>
            <div class="input-group">
                <input type="number" class="form-control d-block" name="image_pricing[1024x1024]" required digits="true"
                    value="{{ getAppSettings('image_pricing')['1024x1024'] }}" id="lw1024Credits"
                    placeholder="{{ __tr('1024x1024') }}">
                <div class="input-group-append">
                    <span class="input-group-text">
                        <?= __tr('Credits') ?>
                    </span>
                </div>
            </div>
        </div>
        <div class="col-sm-4 mb-3 mb-sm-0">
            <label for="lw512Credits">
                <?= __tr('512x512 per image') ?>
            </label>
            <div class="input-group">
                <input type="number" class="form-control d-block" name="image_pricing[512x512]" required digits="true"
                    value="{{ getAppSettings('image_pricing')['512x512'] }}" id="lw512Credits"
                    placeholder="{{ __tr('512x512') }}">
                <div class="input-group-append">
                    <span class="input-group-text">
                        <?= __tr('Credits') ?>
                    </span>
                </div>
            </div>
        </div>
        <div class="col-sm-4 mb-3 mb-sm-0">
            <label for="lw256Credits">
                <?= __tr('256x256 per image') ?>
            </label>
            <div class="input-group">
                <input type="number" class="form-control d-block" name="image_pricing[256x256]" required digits="true"
                    value="{{ getAppSettings('image_pricing')['256x256'] }}" id="lw256Credits"
                    placeholder="{{ __tr('256x256') }}">
                <div class="input-group-append">
                    <span class="input-group-text">
                        <?= __tr('Credits') ?>
                    </span>
                </div>
            </div>
        </div>
        <!-- / Per image price field -->
    </div>
    <!-- / Price field -->
    <hr>
<!-- Text label -->
<h5>{{ __tr('Text to Speech') }}</h5>
<!-- / Text label -->
<div class="form-group row ml-1">
    <!-- Per word price field -->
    <div class="col-sm-4 mb-3 mb-sm-0">
        <label for="lwPerWordTextToSpeechPricing">
            <?= __tr('Per input word pricing') ?>
        </label>
        <div class="input-group">
            <input type="number" class="form-control d-block" name="text_to_speech_pricing" id="lwPerWordTextToSpeechPricing" required
                digits="true" value="{{ getAppSettings('text_to_speech_pricing') }}"
                placeholder="{{ __tr('Per input word pricing') }}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <?= __tr('Credits') ?>
                </span>
            </div>
        </div>
    </div>
    <!-- / Per word price field -->
</div>
<hr>
    <!-- Speech to text label -->
    <h5>{{ __tr('Speech To Text') }}</h5>
    <!-- / Speech to text label -->

    <div class="form-group row ml-1">
        <!-- Per word price field -->
        <div class="col-sm-4 mb-3 mb-sm-0">
            <label for="lwPerMinCredits"><?= __tr('Per Second Price') ?></label>
            <div class="input-group">
                <input type="number" class="form-control d-block" name="speech_to_text_pricing" id="lwPerMinCredits" required digits="true" value="{{ getAppSettings('speech_to_text_pricing') }}" placeholder="{{ __tr('Price in credits') }}">
                <div class="input-group-append">
                    <span class="input-group-text">
                        <?= __tr('Credits') ?>
                    </span>
                </div>
            </div>
        </div>
        <!-- / Per word price field -->
    </div>
    <hr>
    <!-- / Credits per minute for speech to text -->
    <h5>{{ __tr('Image Animation') }}</h5>
    <div class="form-group row ml-1">
        <div class="col-sm-4 mb-3 mb-sm-0">
            <label for="lwPerImageDepthAnimation"><?= __tr('Price Per Image Depth Animation') ?></label>
            <div class="input-group">
                <input type="number" class="form-control d-block" name="image_animation_pricing" id="lwPerImageDepthAnimation" required digits="true" value="{{ getAppSettings('image_animation_pricing') }}" placeholder="{{ __tr('Price in credits') }}">
                <div class="input-group-append">
                    <span class="input-group-text">
                        <?= __tr('Credits') ?>
                    </span>
                </div>
            </div>
        </div>
        <!-- / Per word price field -->
    </div>
    <!-- / Credits per minute for speech to text -->

    <hr>

    <!-- Update Button -->
    <a href class="lw-ajax-form-submit-action btn btn-primary btn-user lw-btn-block-mobile">
        {{ __tr('Update') }}
    </a>
    <!-- /Update Button -->
</form>