<!-- Page Heading -->
<h3><?= __tr('User Settings') ?></h3>
<!-- /Page Heading -->
<hr>
<!-- User Setting Form -->
<form class="lw-ajax-form lw-form" method="post" action="<?= route('manage.configuration.write', ['pageType' => request()->pageType]) ?>">
	<!-- Activation Required For New User -->
	<div class="form-group mt-2 lw-fieldset">
		<!-- Activation required for new user -->
		<label><?= __tr('Email activation required for new user') ?></label>
		<!-- /Activation required for new user -->
		<!-- Yes -->
		<div class="custom-control custom-radio custom-control-inline">
			<input type="radio" id="activation_required_yes" name="activation_required_for_new_user" class="custom-control-input" value="1" <?= $configurationData['activation_required_for_new_user'] == true ? 'checked' : '' ?>>
			<label class="custom-control-label" for="activation_required_yes"><?= __tr('Yes') ?></label>
		</div>
		<!-- /Yes -->
		<!-- No -->
		<div class="custom-control custom-radio custom-control-inline">
			<input type="radio" id="activation_required_no" name="activation_required_for_new_user" class="custom-control-input" value="0" <?= $configurationData['activation_required_for_new_user'] == false ? 'checked' : '' ?>>
			<label class="custom-control-label" for="activation_required_no"><?= __tr('No') ?></label>
		</div>
		<!-- /No -->
        <small class="mt-3 text-muted d-block">
            <strong>{{  __tr('Note:') }}</strong> {{  __tr('To update content of activation email you need to edit /resources/views/emails/account/activation.blade.php file.') }}
        </small>
        <!-- /Activation Required For New User -->
	</div>
	<div class="lw-fieldset">
    <!-- Activation required for change email -->
		<label><?= __tr('Activation required for change email') ?></label>
		<!-- /Activation required for change email -->
        <!-- Activation Required For Change Email -->
	<div class="form-group mt-2 mb-4">
		<!-- Yes -->
		<div class="custom-control custom-radio custom-control-inline">
			<input type="radio" id="activation_required_change_email_yes" name="activation_required_for_change_email" class="custom-control-input" value="1" <?= $configurationData['activation_required_for_change_email'] == true ? 'checked' : '' ?>>
			<label class="custom-control-label" for="activation_required_change_email_yes"><?= __tr('Yes') ?></label>
		</div>
		<!-- /Yes -->
		<!-- No -->
		<div class="custom-control custom-radio custom-control-inline">
			<input type="radio" id="activation_required_change_email_no" name="activation_required_for_change_email" class="custom-control-input" value="0" <?= $configurationData['activation_required_for_change_email'] == false ? 'checked' : '' ?>>
			<label class="custom-control-label" for="activation_required_change_email_no"><?= __tr('No') ?></label>
		</div>
		<!-- /No -->
	</div>
    <small class="mt-3 text-muted d-block">
        <strong>{{  __tr('Note:') }}</strong> {{  __tr('To update content of welcome email you need to edit /resources/views/emails/account/new-email-activation.blade.php file.') }}
    </small>
	<!-- /Activation Required For Change Email -->
    </div>

    <div class="lw-fieldset mt-3">
        <div class="form-group">
        <!-- Disallow Disposable Emails -->
            <div class="custom-control custom-checkbox custom-control-inline">
                <input type="hidden" name="disallow_disposable_emails" value="0">
                <input type="checkbox" class="custom-control-input" id="forWelcomeEmailSetting" name="disallow_disposable_emails" value="1" <?= $configurationData['disallow_disposable_emails'] == true ? 'checked' : '' ?>>
                <label class="custom-control-label" for="forWelcomeEmailSetting"><?= __tr('Disallow Disposable Emails') ?></label>
            </div>
            <small class="mt-3 text-muted d-block">
                <strong>{{  __tr('Note:') }}</strong> {{  __tr('It will disallow users to use disposable emails like Mailinator, Guerillamail etc') }}
            </small>
            <!-- /Disallow Disposable Emails -->
        </div>
    </div>
    <div class="lw-fieldset mt-3">
        <div class="form-group">
<!-- /Send welcome email to newly registered users -->
            <div class="custom-control custom-checkbox custom-control-inline">
                <input type="hidden" name="send_welcome_email_to_newly_registered_users" value="0">
                <input type="checkbox" class="custom-control-input" id="forDisposableEmail" name="send_welcome_email_to_newly_registered_users" value="1" <?= $configurationData['send_welcome_email_to_newly_registered_users'] == true ? 'checked' : '' ?>>
                <label class="custom-control-label" for="forDisposableEmail"><?= __tr('Send welcome email to newly registered users') ?></label>
            </div>
            <small class="mt-3 text-muted d-block">
                <strong>{{  __tr('Note:') }}</strong> {{  __tr('To update content of welcome email you need to edit /resources/views/emails/account/welcome.blade.php file.') }}
            </small>
            <!-- /Send welcome email to newly registered users -->
        </div>
    </div>
<!-- Allocate Bonus Credit To User -->
	<div class="lw-fieldset mt-3 mb-4">
		<!-- Allocate Bonus Credits field -->
		<div class="custom-control custom-checkbox custom-control-inline">
			<input type="hidden" name="enable_bonus_credits" value="">
			<input type="checkbox" class="custom-control-input" id="lwEnableBonusCredits" name="enable_bonus_credits" value="1" <?= $configurationData['enable_bonus_credits'] == true ? 'checked' : '' ?>>
			<label class="custom-control-label" for="lwEnableBonusCredits"><?= __tr('Allocate Bonus Credits')  ?></label>
		</div>
		<!-- / Allocate Bonus Credits field -->

		<!-- Number of credits -->
		<div class="mt-3" id="lwNumberOfCredits">
			<label for="lwNumberOfCredits"><?= __tr('How many free credits, do you want to offer to the newly registered user?') ?></label>
			<input type="number" class="form-control form-control-user" value="<?= $configurationData['number_of_credits'] ?>" name="number_of_credits" id="lwNumberOfCredits">
		</div>
		<!-- / Number of credits -->
	</div>
    <!-- /Allocate Bonus Credit To User -->

    <div class="lw-fieldset mt-3">
        <div class="form-group mb-4">
            <!-- Allow User login with Mobile Number -->
            <label><?= __tr('Allow User login with Mobile Number') ?></label>
            <!-- /Allow User login with Mobile Number -->
            <!-- Yes -->
            <div class="custom-control custom-radio custom-control-inline">
                <input type="radio" id="allow_user_login_with_mobile_number_yes" name="allow_user_login_with_mobile_number" class="custom-control-input" value="1" <?= $configurationData['allow_user_login_with_mobile_number'] == true ? 'checked' : '' ?>>
                <label class="custom-control-label" for="allow_user_login_with_mobile_number_yes"><?= __tr('Yes') ?></label>
            </div>
            <!-- /Yes -->
            <!-- No -->
            <div class="custom-control custom-radio custom-control-inline">
                <input type="radio" id="allow_user_login_with_mobile_number_no" name="allow_user_login_with_mobile_number" class="custom-control-input" value="0" <?= $configurationData['allow_user_login_with_mobile_number'] == false ? 'checked' : '' ?>>
                <label class="custom-control-label" for="allow_user_login_with_mobile_number_no"><?= __tr('No') ?></label>
            </div>
            <!-- /No -->
        </div>
        <small class="text-muted help-text">{{  __tr('Enabling it will allow user to login with mobile number along with email and username') }}</small>
    </div>
    <div class="lw-fieldset mt-3">
        <div class="form-group mb-4">
            <!-- Allow User login with Mobile Number -->
            <label><?= __tr('Enable OTP Login') ?></label>
            <!-- /Allow User login with Mobile Number -->
            <!-- Yes -->
            <div class="custom-control custom-radio custom-control-inline">
                <input type="radio" id="enable_otp_login_yes" name="enable_otp_login" class="custom-control-input" value="1" <?= $configurationData['enable_otp_login'] == true ? 'checked' : '' ?>>
                <label class="custom-control-label" for="enable_otp_login_yes"><?= __tr('Yes') ?></label>
            </div>
            <!-- /Yes -->
            <!-- No -->
            <div class="custom-control custom-radio custom-control-inline">
                <input type="radio" id="enable_otp_login_no" name="enable_otp_login" class="custom-control-input" value="0" <?= $configurationData['enable_otp_login'] == false ? 'checked' : '' ?>>
                <label class="custom-control-label" for="enable_otp_login_no"><?= __tr('No') ?></label>
            </div>
            <!-- /No -->
        </div>
        <small class="text-muted help-text">{!! __tr('For the SMS OTP you should have working SMS gateway configured from Email & SMS settings.') !!}</small>
    </div>
    <hr class="mt-4">
	<!-- Update Button -->
	<a href class="lw-ajax-form-submit-action btn btn-primary btn-user lw-btn-block-mobile mt-2 ml-2">
		<?= __tr('Update') ?>
	</a>
	<!-- /Update Button -->
</form>
<!-- /User Setting Form -->

@lwPush('appScripts')
<script>
	$(document).ready(function() {
        "use strict";
		var enableBonusCredits = '<?= $configurationData['enable_bonus_credits'] ?>';
		//check is false then disabled input price field
		if (!enableBonusCredits) {
			//hide number of credits input field
			$("#lwNumberOfCredits").hide();
		}

		// on change enable credits event
		$("#lwEnableBonusCredits").on('change', function() {
			enableBonusCredits = $(this).is(':checked');
			//check is enable true
			if (enableBonusCredits) {
				//show number of credits input field
				$("#lwNumberOfCredits").show();
			} else {
				//hide number of credits input field
				$("#lwNumberOfCredits").hide();
			}
		});
	});
</script>
@lwPushEnd