@section('page-title', __tr("Dashboard"))
@section('head-title', __tr("Dashboard"))
@section('keywordName', strip_tags(__tr("Dashboard")))
@section('keyword', strip_tags(__tr("Dashboard")))
@section('description', strip_tags(__tr("Dashboard")))
@section('keywordDescription', strip_tags(__tr("Dashboard")))
@section('page-image', getAppSettings('logo_image_url'))
@section('twitter-card-image', getAppSettings('logo_image_url'))
@section('page-url', url()->current())


<div class="d-sm-flex align-items-center justify-content-between mb-4">
    <h1 class="h3 mb-0 text-gray-200">
        <?= __tr("Dashboard") ?>
    </h1>
</div>

@if(__isEmpty(getAppSettings('open_ai_keys')) OR __isEmpty(getAppSettings('stable_diffusion_key')))
<div class="alert alert-warning">
    <i class="fas fa-exclamation-triangle"></i>
    <span>{{ __tr("AI provider not configured yet, first configure it to use.") }}</span>
</div>
@endif

<!-- Counts -->
<div class="row" x-cloak x-data="{allActiveUsersCounts:'{{ __tr($allActiveUsersCounts)}}',allInactiveUsersCounts:'{{ __tr($allInactiveUsersCounts)}}',allblockedUsersCounts:'{{ __tr($allblockedUsersCounts)}}'}">

    <!-- Active Users -->
    <div class="col-xl-4 col-md-6 mb-4">
        <div class="card border-left-success shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <a class="nav-link p-0" href="<?= route('manage.user.view_list', ['status' => 1]) ?>">
                            <div class="font-weight-bold text-success text-uppercase mb-1">
                                <?= __tr("Active Users") ?>
                            </div>
                        </a>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" x-text="allActiveUsersCounts">
                        </div>
                    </div>
                    <div class="col-auto">
                        <i class="fas fa-user-check fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- / Active Users -->

    <!-- Inactive Users -->
    <div class="col-xl-4 col-md-6 mb-4">
        <div class="card border-left-info shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <a class="nav-link p-0" href="<?= route('manage.user.view_list', ['status' => 2]) ?>">
                            <div class="font-weight-bold text-info text-uppercase mb-1">
                                <?= __tr("Inactive Users") ?>
                            </div>
                        </a>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" x-text="allInactiveUsersCounts">

                        </div>
                    </div>
                    <div class="col-auto">
                        <i class="fas fa-user-times fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- / Inactive Users -->

    <!-- Pending Requests Card Example -->
    <div class="col-xl-4 col-md-6 mb-4">
        <div class="card border-left-danger shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <a class="nav-link p-0" href="<?= route('manage.user.view_list', ['status' => 3]) ?>">
                            <div class="font-weight-bold text-danger text-uppercase mb-1">
                                <?= __tr("Blocked Users") ?>
                            </div>
                        </a>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" x-text="allblockedUsersCounts">

                        </div>
                    </div>
                    <div class="col-auto">
                        <i class="fas fa-user-slash fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
     <!-- Pending Requests Card Example -->
</div>
    {{-- date filter --}}
<form method="post" action="{{ route('admin.read.dashboard_data') }}"
class="lw-ajax-form lw-form lw-dashboard-date-picker" data-callback="onSuccessCallback">
<div class="input-group mb-3">
    <input type="text" class="form-control lw-date-range-picker date-text"
        data-start-date="{{$firstOfMonth}}" data-end-date="{{$lastOfMonth}}"
        name="daterange" value='' />
    <div class="input-group-append">
        <button type="submit" class="btn btn-secondary show-btn">{{ __tr('Show') }}</button>
    </div>
</div>
</form>
{{-- date filter --}}

<div class="row" x-cloak x-data="{textGeneratedCounts:'{{ __tr($textGeneratedCounts)}}',imageGeneratedCounts:'{{ __tr($imageGeneratedCounts)}}',codeGeneratedCounts:'{{ __tr($codeGeneratedCounts)}}',speechToTextGeneratedCounts:'{{ __tr($speechToTextGeneratedCounts)}}',textTranslationCount:'{{ __tr($textTranslationCount)}}',imageAnimationCounts:'{{ __tr($imageAnimationCounts)}}',textToSpeechGeneratedCounts:'{{ __tr($textToSpeechGeneratedCounts)}}',totalEarnings:'{{ __tr($totalEarnings)}}'}">

     <!-- Total Text Generated -->
     <div class="col-xl-3 col-md-6 mb-4">
        <div class="card border-left-success shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <a class="nav-link p-0" href="#">
                            <div class="font-weight-bold text-success text-uppercase mb-1">
                                <?= __tr('Total Text Generated') ?>
                            </div>
                        </a>

                        <div class="h5 mb-0 font-weight-bold text-gray-800" x-text="textGeneratedCounts">

                        </div>
                    </div>
                    <div class="col-auto">
                        <i class="fas fa-file-alt fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- / Total Text Generated -->

    <!-- Total Image Generated -->
    <div class="col-xl-3 col-md-6 mb-4">
        <div class="card border-left-info shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <a class="nav-link p-0" href="#">
                            <div class="font-weight-bold text-info text-uppercase mb-1">
                                <?= __tr('Total Image Generated') ?>
                            </div>
                        </a>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" x-text="imageGeneratedCounts">

                        </div>
                    </div>
                    <div class="col-auto">
                        <i class="fas fa-images fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- / Total Image Generated -->

    <!-- Total Code Generated -->
    <div class="col-xl-3 col-md-6 mb-4">
        <div class="card border-left-danger shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <a class="nav-link p-0" href="#">
                            <div class="font-weight-bold text-danger text-uppercase mb-1">
                                <?= __tr('Total Code Generated') ?>
                            </div>
                        </a>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" x-text="codeGeneratedCounts">

                        </div>
                    </div>
                    <div class="col-auto">
                        <i class="fas fa-code fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--/Total Code Generated -->


    <!-- speech To Text -->
    <div class="col-xl-3 col-md-6 mb-4">
        <div class="card border-left-warning shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <div class="font-weight-bold text-warning text-uppercase mb-1">
                            <?= __tr('Total Speech To Text Generated') ?>
                        </div>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" x-text="speechToTextGeneratedCounts">

                        </div>
                    </div>
                    <div class="col-auto">
                        <i class="fas fa-solid fa-microphone fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- / speech To Text -->

    <!--Translation Count -->
    <div class="col-xl-3 col-md-6 mb-4">
        <div class="card border-left-success shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <div class="font-weight-bold text-success text-uppercase mb-1">
                            <?= __tr("Total Translations") ?>
                        </div>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" x-text="textTranslationCount">

                        </div>
                    </div>
                    <div class="col-auto">
                        <i class="fas fa-fas fa-language fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /Translation Count -->
    <!--Image Animation Count -->
    <div class="col-xl-3 col-md-6 mb-4">
        <div class="card border-left-info shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <div class="font-weight-bold text-info text-uppercase mb-1">
                            <?= __tr("Total Image Animations") ?>
                        </div>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" x-text="imageAnimationCounts">

                        </div>
                    </div>
                    <div class="col-auto">
                        <i class="fas fa-film fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /Image Animation Count -->
    <!-- text to speech -->
    <div class="col-xl-3 col-md-6 mb-4">
        <div class="card border-left-danger shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <div class="font-weight-bold text-danger text-uppercase mb-1">
                            <?= __tr('Total Text To Speech Generated') ?>
                        </div>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" x-text="textToSpeechGeneratedCounts">

                        </div>
                    </div>
                    <div class="col-auto">
                        <i class="fas fa-volume-up  fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- / Texts To speech   -->
     <!-- Earning this month -->
     <div class="col-xl-3 col-md-6 mb-4">
        <div class="card border-left-warning shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <div class="font-weight-bold text-warning text-uppercase mb-1">
                            <?= __tr("Total Earnings") ?>
                        </div>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" x-text="totalEarnings">

                        </div>
                    </div>
                    <div class="col-auto">
                        <i class="fas fa-hand-holding-usd fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- / Earning this month -->
</div>

<div class="row">
    <div class="col-xl-12 mb-4">
        <div class="card shadow mb-4">
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                <h6 class="m-0 font-weight-bold text-primary">
                    <?= __tr("Earnings Overview") ?>
                </h6>
            </div>
            <!-- Card Body -->
            <div class="card-body">
                <div class="chart-area">
                    <div class="chartjs-size-monitor">
                        <div class="chartjs-size-monitor-expand">
                            <div class=""></div>
                        </div>
                        <div class="chartjs-size-monitor-shrink">
                            <div class=""></div>
                        </div>
                    </div>
                    <canvas id="myAreaChart" style="display: block; width: 668px; height: 320px;" width="668"
                        height="320" class="chartjs-render-monitor"></canvas>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-xl-12 mb-4">
        <div class="card shadow mb-4">
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                <h6 class="m-0 font-weight-bold text-primary">
                    <?= __tr('Last 12 Month Registrations') ?>
                </h6>
            </div>
            <!-- Card Body -->
            <div class="card-body">
                <div class="chart-area">
                    <div class="chartjs-size-monitor">
                        <div class="chartjs-size-monitor-expand">
                            <div class=""></div>
                        </div>
                        <div class="chartjs-size-monitor-shrink">
                            <div class=""></div>
                        </div>
                    </div>
                    <canvas id="myAreaChart2" style="display: block; width: 668px; height: 320px;" width="668"
                        height="320" class="chartjs-render-monitor"></canvas>
                </div>
            </div>
        </div>
    </div>
</div>

@lwPush('appScripts')
<script type="text/javascript">
(function($) {
"use strict";
    var year = @json($dashboardData['labels']),
    currency = '<?= $dashboardData['currency'] ?>';
    // Area Chart Example
    var ctx = document.getElementById("myAreaChart");
    var myLineChart = new Chart(ctx, {
        type: 'line',
        data: {
            labels: year,
            datasets: [{
                label: "{{ __tr('Earnings') }}",
                lineTension: 0.3,
                backgroundColor: "rgba(78, 115, 223, 0.05)",
                borderColor: "#c61d61",
                pointRadius: 3,
                pointBackgroundColor: "rgba(255,255,255, 1)",
                pointBorderColor: "rgba(255,255,255, 1)",
                pointHoverRadius: 3,
                pointHoverBackgroundColor: "rgba(255,255,255, 1)",
                pointHoverBorderColor: "rgba(255,255,255, 1)",
                pointHitRadius: 10,
                pointBorderWidth: 2,
                data: <?= json_encode($dashboardData['month_wise_income']) ?>,
            }],
        },
        options: {
            maintainAspectRatio: false,
            layout: {
                padding: {
                    left: 10,
                    right: 25,
                    top: 25,
                    bottom: 0
                }
            },
            legend: {
                display: false
            },
            tooltips: {
                backgroundColor: "rgb(255,255,255)",
                bodyFontColor: "#000000",
                titleMarginBottom: 10,
                titleFontColor: 'rgba(210, 0, 156, 1)',
                titleFontSize: 14,
                borderColor: '#dddfeb',
                borderWidth: 1,
                xPadding: 15,
                yPadding: 15,
                displayColors: false,
                intersect: false,
                mode: 'index',
                caretPadding: 10,
                callbacks: {
                    label: function(tooltipItem, chart) {
                        var datasetLabel = chart.datasets[tooltipItem.datasetIndex].label || '';
                        return datasetLabel + ': ' + currency + tooltipItem.yLabel;
                    }
                }
            }
        }
    });

    // Area Chart Example
    var ctx2 = document.getElementById("myAreaChart2");
    var myLineChart = new Chart(ctx2, {
        type: 'bar',
        data: {
            labels: year,
            datasets: Object.values(<?= json_encode($dashboardData['current_year_registrations']) ?>),
        },
        options: {
            maintainAspectRatio: false,
            layout: {
                padding: {
                    left: 10,
                    right: 25,
                    top: 25,
                    bottom: 0
                }
            },
            legend: {
                display: false
            },
            tooltips: {
                backgroundColor: "rgb(255,255,255)",
                bodyFontColor: "#000000",
                titleMarginBottom: 10,
                titleFontColor: 'rgba(210, 0, 156, 1)',
                titleFontSize: 14,
                borderColor: '#dddfeb',
                borderWidth: 1,
                xPadding: 15,
                yPadding: 15,
                displayColors: false,
                intersect: false,
                mode: 'index',
                caretPadding: 10,
                callbacks: {
                    label: function(tooltipItem, chart) {
                        var datasetLabel = chart.datasets[tooltipItem.datasetIndex].label || '';
                        return datasetLabel + ': ' + tooltipItem.yLabel;
                    }
                }
            }
        }
    });

    //date filter start
    $('input.lw-date-range-picker').each(function(index, element) {
    $(element).daterangepicker({
        "startDate": $(element).data('startDate'),
        "endDate": $(element).data('endDate'),
        locale : {
            "format": "YYYY-MM-DD",
            "separator": " - ",
            "applyLabel": "{{ __tr('Apply') }}",
            "cancelLabel": "{{ __tr('Cancel') }}",
            "fromLabel": "{{ __tr('From') }}",
            "toLabel": "{{ __tr('To') }}",
            "customRangeLabel": "{{ __tr('Custom') }}",
            "weekLabel": "{{ 'W' }}",
            "daysOfWeek": [
                "{{ __tr('Su') }}",
                "{{ __tr('Mo') }}",
                "{{ __tr('Tu') }}",
                "{{ __tr('We') }}",
                "{{ __tr('Th') }}",
                "{{ __tr('Fr') }}",
                "{{ __tr('Sa') }}"
            ],
            "monthNames": [
                "{{ __tr('January') }}",
                "{{ __tr('February') }}",
                "{{ __tr('March') }}",
                "{{ __tr('April') }}",
                "{{ __tr('May') }}",
                "{{ __tr('June') }}",
                "{{ __tr('July') }}",
                "{{ __tr('August') }}",
                "{{ __tr('September') }}",
                "{{ __tr('October') }}",
                "{{ __tr('November') }}",
                "{{ __tr('December') }}"
            ],
        },
        ranges: {
            '{{ __tr("Today") }}': [moment(),moment()],
            '{{ __tr("Yesterday") }}': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
            '{{ __tr("Last 7 Days") }}': [moment().subtract(6, 'days'), moment()],
            '{{ __tr("Last 30 Days") }}': [moment().subtract(29, 'days'), moment()],
            '{{ __tr("This Month") }}': [moment().startOf('month'), moment().endOf('month')],
            '{{ __tr("Last Month") }}': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
        },
        opens: 'right',
    }, function(start, end, label) {
        start.format('YYYY-MM-DD') + ',' + end.format('YYYY-MM-DD');
    });
});
//date filter end
})(jQuery);
</script>
@lwPushEnd