<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" dir="<?= config('CURRENT_LOCALE_DIRECTION') ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Primary Meta Tags -->
    <title>@yield('title')</title>
    <meta name="title" content="@yield('title')">
    <meta name="description" content="@yield('title')">

    <!-- Open Graph / Facebook -->
    <meta property="og:type" content="website">
    <meta property="og:url" content="{{ url('/') }}">
    <meta property="og:title" content="@yield('title')">
    <meta property="og:description" content="@yield('title')">
    <meta property="og:image" content="{{ getAppSettings('logo_image_url') }}">

    <!-- Twitter -->
    <meta property="twitter:card" content="summary_large_image">
    <meta property="twitter:url" content="{{ url('/') }}">
    <meta property="twitter:title" content="@yield('title')">
    <meta property="twitter:description" content="@yield('title')">
    <meta property="twitter:image" content="{{ getAppSettings('logo_image_url') }}">

    <?= __yesset([
        'dist/css/bootstrap-assets-app*.css',
        'dist/css/public-assets-app*.css',
        'dist/fa/css/all.min.css',
        'dist/css/custom*.css',
        'dist/css/home*.css',
        'dist/css/login-register*.css'
        ], true) ?>

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=AR+One+Sans:wght@400;600;700&family=Bungee+Spice&family=Bungee&display=swap" rel="stylesheet">

    <link rel="shortcut icon" href="<?= getAppSettings('favicon_image_url') ?>" type="image/x-icon">
    <link rel="icon" href="<?= getAppSettings('favicon_image_url') ?>" type="image/x-icon">
</head>

<body id="page-top" class="bg-dark lw-login-register-page lw-gradient-bg">

<!-- Page Wrapper -->
   <!-- Begin Page Content -->
   <div class="lw-page-content lw-other-page-content">
    <section class="section">
        <div class="container text-center">
            <div class="row">
                <div class="col-12">
                    <img class="lw-logo-img" src="<?= getAppSettings('logo_image_url') ?>"
                            alt="<?= getAppSettings('name') ?>">
                </div>
            </div>
            <h1 style="font-family: 'Bungee Spice', sans-serif" class="fa-10x text-warning">@yield('code')</h1>
            <h2 class="fa-4x text-white">{{  __tr('Oops!') }} <i class="fa fa-frown text-danger"></i> @yield('title')</h2>
            <h5 class="my-5">@yield('message')</h5>
            <hr>
            <a href="{{ url('') }}" class="btn btn-primary btn-lg mt-5">{{  __tr('Go to home') }}</a>
        </div>
    </section>
</div>
<!-- include footer -->
@include('includes.footer')
<!-- /include footer -->
</body>
</html>
