@section('page-title', __tr('Dashboard'))
@section('head-title', __tr('Dashboard'))
@section('keywordName', __tr('Dashboard'))
@section('keyword', __tr('Dashboard'))
@section('description', __tr('Dashboard'))
@section('keywordDescription', __tr('Dashboard'))
@section('page-image', getAppSettings('logo_image_url'))
@section('twitter-card-image', getAppSettings('logo_image_url'))
@section('page-url', url()->current())

<!-- Page Heading -->
<div class="d-sm-flex align-items-center justify-content-between mb-4">
    <h4 class="h5 mb-0 text-gray-200">
        <span class="text-primary"><i class="fa fa-tachometer"></i></span>
        <?= __tr('Dashboard') ?>
    </h4>
</div>

<div class="d-block text-center lw-credit-balance">
    <h2 class="text-gray-200">
        <?= __tr('Your Wallet Balance') ?>
    </h2>
    <h1 class="text-primary">
        <?php $totalUserCreditsAvailable = totalUserCredits(); ?>
        <i class="fas fa-wallet fa-fw mr-2"></i>
        <?= __trn('__creditBalance__ Credit', '__creditBalance__ Credits', $totalUserCreditsAvailable, ['__creditBalance__' => $totalUserCreditsAvailable]) ?>
    </h1>
    <hr>
    <p class="text-muted">
        <?= __tr("You can use these credits on this website for the various") ?>
    </p>
    <a href="{{ route('user.credit_wallet.read.view') }}"
        class="btn btn-primary lw-ajax-link-action lw-action-with-url">{{ __tr("Buy More Credits") }}</a>
</div>

<form method="post" action="{{ route('user.read.dashboard_data') }}" class="lw-ajax-form lw-form lw-dashboard-date-picker" data-callback="onDashboardDataCallback">
    <div class="input-group mb-3">
        <input type="text" class="form-control lw-date-range-picker date-text" data-start-date="{{ $firstOfMonth }}"
            data-end-date="{{ $lastOfMonth }}" name="daterange" value='' />
        <div class="input-group-append">
            <button type="submit" class="btn btn-secondary show-btn">{{ __tr('Show') }}</button>
        </div>
    </div>
</form>



{{-- dashboard cards starts --}}
<div class="row" x-cloak x-data="{textGenerationCount:'{{ __tr($textGenerationCount) }}',imageGenerationCount:'{{ __tr($imageGenerationCount) }}',codeGenerationCount:'{{ __tr($codeGenerationCount) }}',speechToTextGenerationCount:'{{ __tr($speechToTextGenerationCount) }}',textToSpeechGenerationCount:'{{ __tr($textToSpeechGenerationCount) }}', creditsEarnedReferral : '{{ __tr($creditsEarnedReferral) }}', totalTranslations : '{{ __tr($totalTranslations) }}',totalImageAnimation : '{{ __tr($totalImageAnimation) }}'
}">
    <!-- Total Text Generated -->
    <div class="col-xl-3 col-md-6 mb-4">
        <div class="card border-left-success shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <a class="nav-link p-0" href="#">
                            <div class="font-weight-bold text-success text-uppercase mb-1">
                                <?= __tr('Total Text Generated') ?>
                            </div>
                        </a>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" x-text="textGenerationCount"></div>
                    </div>
                    <div class="col-auto">
                        <i class="fas fa-file-alt fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- / Total Text Generated -->

    <!-- Total Image Generated -->
    <div class="col-xl-3 col-md-6 mb-4">
        <div class="card border-left-info shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <a class="nav-link p-0" href="#">
                            <div class="font-weight-bold text-info text-uppercase mb-1">
                                <?= __tr('Total Image Generated') ?>
                            </div>
                        </a>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" x-text="imageGenerationCount"></div>
                    </div>
                    <div class="col-auto">
                        <i class="fas fa-images fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- / Total Image Generated -->

    <!-- Total Code Generated -->
    <div class="col-xl-3 col-md-6 mb-4">
        <div class="card border-left-danger shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <a class="nav-link p-0" href="#">
                            <div class="font-weight-bold text-danger text-uppercase mb-1">
                                <?= __tr('Total Code Generated') ?>
                            </div>
                        </a>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" x-text="codeGenerationCount"></div>
                    </div>
                    <div class="col-auto">
                        <i class="fas fa-code fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--/Total Code Generated -->

    <!-- speech To Text -->
    <div class="col-xl-3 col-md-6 mb-4">
        <div class="card border-left-warning shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <div class="font-weight-bold text-warning text-uppercase mb-1">
                            <?= __tr('Total Speech To Text Generated') ?>
                        </div>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" x-text="speechToTextGenerationCount"></div>
                    </div>
                    <div class="col-auto">
                        <i class="fas fa-solid fa-microphone fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- / speech To Text -->
    <!--Translations Count -->
    <div class="col-xl-3 col-md-6 mb-4">
        <div class="card border-left-danger shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <div class="font-weight-bold text-danger text-uppercase mb-1">
                            <?= __tr("Total Translations") ?>
                        </div>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" x-text="totalTranslations">
                        </div>
                    </div>
                    <div class="col-auto">
                        <i class="fas fa-fas fa-language fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /Translations Count -->
     <!--Image Animation Count -->
     <div class="col-xl-3 col-md-6 mb-4">
        <div class="card border-left-warning shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <div class="font-weight-bold text-warning text-uppercase mb-1">
                            <?= __tr("Total Image Animations") ?>
                        </div>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" x-text="totalImageAnimation">
                        </div>
                    </div>
                    <div class="col-auto">
                        <i class="fas fa-film fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /Image Animation Count -->
     <!--Text to Speech Count -->
     <div class="col-xl-3 col-md-6 mb-4">
        <div class="card border-left-success shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <div class="font-weight-bold text-success text-uppercase mb-1">
                            <?= __tr("Total Text to Speech generated") ?>
                        </div>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" x-text="textToSpeechGenerationCount">
                        </div>
                    </div>
                    <div class="col-auto">
                        <i class="fas fa-volume-up fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- /Text to Speech Count -->

    <!-- Credits earned by Referral -->
    <div class="col-xl-3 col-md-6 mb-4">
        <div class="card border-left-info shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <div class="font-weight-bold text-info text-uppercase mb-1">
                            <?= __tr('Referral Earning') ?>
                        </div>
                        <div class="h5 mb-0 font-weight-bold text-gray-800" x-text="creditsEarnedReferral"></div>
                    </div>
                    <div class="col-auto">
                        <i class="fas fa-hand-holding-usd fa-2x text-gray-300"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- / Credits earned by Referral -->

</div>
{{-- /dshboard cards end --}}
{{-- dashboard graph start --}}
<div class="row">
    <div class="col-xl-12 mb-4">
        <div class="card shadow mb-4">
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                <h6 class="m-0 font-weight-bold text-primary">
                    <?= __tr('Total Credits Spent') ?>
                </h6>
            </div>
            <!-- Card Body -->
            <div class="card-body">
                <div class="chart-area">
                    <div class="chartjs-size-monitor">
                        <div class="chartjs-size-monitor-expand">
                            <div class=""></div>
                        </div>
                        <div class="chartjs-size-monitor-shrink">
                            <div class=""></div>
                        </div>
                    </div>
                    <canvas id="myAreaChart2" style="display: block; width: 668px; height: 320px;" width="668"
                        height="320" class="chartjs-render-monitor"></canvas>
                </div>
            </div>
        </div>
    </div>
</div>
{{-- /dashboard graph end --}}


@lwPush('appScripts')
<script>
    (function($) {
    "use strict";
    $('input.lw-date-range-picker').each(function(index, element) {
    $(element).daterangepicker({
        "startDate": $(element).data('startDate'),
        "endDate": $(element).data('endDate'),
        locale : {
            "format": "YYYY-MM-DD",
            "separator": " - ",
            "applyLabel": "{{ __tr('Apply') }}",
            "cancelLabel": "{{ __tr('Cancel') }}",
            "fromLabel": "{{ __tr('From') }}",
            "toLabel": "{{ __tr('To') }}",
            "customRangeLabel": "{{ __tr('Custom') }}",
            "weekLabel": "{{ 'W' }}",
            "daysOfWeek": [
                "{{ __tr('Su') }}",
                "{{ __tr('Mo') }}",
                "{{ __tr('Tu') }}",
                "{{ __tr('We') }}",
                "{{ __tr('Th') }}",
                "{{ __tr('Fr') }}",
                "{{ __tr('Sa') }}"
            ],
            "monthNames": [
                "{{ __tr('January') }}",
                "{{ __tr('February') }}",
                "{{ __tr('March') }}",
                "{{ __tr('April') }}",
                "{{ __tr('May') }}",
                "{{ __tr('June') }}",
                "{{ __tr('July') }}",
                "{{ __tr('August') }}",
                "{{ __tr('September') }}",
                "{{ __tr('October') }}",
                "{{ __tr('November') }}",
                "{{ __tr('December') }}"
            ],
        },
        ranges: {
            '{{ __tr("Today") }}': [moment(),moment()],
            '{{ __tr("Yesterday") }}': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
            '{{ __tr("Last 7 Days") }}': [moment().subtract(6, 'days'), moment()],
            '{{ __tr("Last 30 Days") }}': [moment().subtract(29, 'days'), moment()],
            '{{ __tr("This Month") }}': [moment().startOf('month'), moment().endOf('month')],
            '{{ __tr("Last Month") }}': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
        },
        opens: 'right',
    }, function(start, end, label) {
        start.format('YYYY-MM-DD') + ',' + end.format('YYYY-MM-DD');
    });
});
//initialize graph
spentCreditsGraph(Object.values(<?= json_encode($dashboardCounts['data']) ?>));
})(jQuery);
</script>
@lwPushEnd