<!-- Footer -->
<footer class="sticky-footer bg-dark">
    <div class="container my-auto">
        <div class="copyright text-center my-auto">
            <span><?= __tr('Copyright © __siteName__ __copyrightYear__', [
                        '__siteName__' => getAppSettings('name'),
                        '__copyrightYear__' => date('Y')
                    ]) ?> </span>
            <a href="<?= route('user.read.contact') ?>" class="pl-1"><?= __tr('Contact') ?></a>
        </div>
    </div>
</footer>
<!-- End of Footer -->

<img src="<?= asset('imgs/ajax-loader.gif') ?>" style="height:1px;width:1px;">

<script>
    (function() {
"use strict";
window.appConfig = {
    debug: "<?= config('app.debug') ?>",
    csrf_token: "<?= csrf_token() ?>",
    locale: "<?= config('app.locale') ?>"
}
})();
</script>
<?= __yesset([
    'dist/js/vendorlibs-public.js',
    'dist/js/vendorlibs-photoswipe.js',
], true) ?>
@if(isLoggedIn())
<?= __yesset([
    './static-assets/trumbowyg/dist/trumbowyg.min.js',
    'dist/js/vendorlibs-datatable.js',
    'static-assets/highlight.js/highlight.min.js',
    'static-assets/easymde/easymde.min.js',
    'static-assets/green-audio-player/green-audio-player.min.js',
], true) ?>
@endif
@stack('footer')
<script>
    (function() {
        "use strict";
        $.validator.messages = $.extend({}, $.validator.messages, {
            required: '<?= __tr("This field is required.") ?>',
            remote: '<?= __tr("Please fix this field.") ?>',
            email: '<?= __tr("Please enter a valid email address.") ?>',
            url: '<?= __tr("Please enter a valid URL.") ?>',
            date: '<?= __tr("Please enter a valid date.") ?>',
            dateISO: '<?= __tr("Please enter a valid date (ISO).") ?>',
            number: '<?= __tr("Please enter a valid number.") ?>',
            digits: '<?= __tr("Please enter only digits.") ?>',
            equalTo: '<?= __tr("Please enter the same value again.") ?>',
            maxlength: $.validator.format('<?= __tr("Please enter no more than {0} characters.") ?>'),
            minlength: $.validator.format('<?= __tr("Please enter at least {0} characters.") ?>'),
            rangelength: $.validator.format('<?= __tr("Please enter a value between {0} and {1} characters long.") ?>'),
            range: $.validator.format('<?= __tr("Please enter a value between {0} and {1}.") ?>'),
            max: $.validator.format('<?= __tr("Please enter a value less than or equal to {0}.") ?>'),
            min: $.validator.format('<?= __tr("Please enter a value greater than or equal to {0}.") ?>'),
            step: $.validator.format('<?= __tr("Please enter a multiple of {0}.") ?>')
        });
    })();
</script>
<?= __yesset([
    'dist/js/common-app*.js'
], true) ?>
<script>
    (function() {
        "use strict";
    __Utils.setTranslation({
        'processing': "<?= __tr('processing') ?>",
        'uploader_default_text': "<span class='filepond--label-action'><?= __tr('Drag & Drop Files or Browse') ?></span>",
    });

    showCookiePolicyDialog();

    $("#lwCookiePolicyButton").on('click', function() {
        __Cookie.set('cookie_policy_terms_accepted', '1', 1000);
        showCookiePolicyDialog();
    });
    @if(isLoggedIn())
    // Translations for DataTables
    $.extend( $.fn.dataTable.defaults, {
        "language"        : {
            "decimal":        "",
            "emptyTable":     '<?= __tr("No data available in table") ?>',
            "info":           '<?= __tr("Showing _START_ to _END_ of _TOTAL_ entries") ?>',
            "infoEmpty":      "<?= __tr('Showing 0 to 0 of 0 entries') ?>",
            "infoFiltered":   "<?= __tr('(filtered from _MAX_ total entries)') ?>",
            "infoPostFix":    "",
            "thousands":      ",",
            "lengthMenu":     "<?= __tr('Show _MENU_ entries') ?>",
            "loadingRecords": "<?= __tr('Loading...') ?>",
            "processing":     '<?= __tr("Processing...") ?>',
            "search":         "<?= __tr('Search:') ?>",
            "zeroRecords":    "<?= __tr('No matching records found') ?>",
            "paginate": {
                "first":      "<?= __tr('First') ?>",
                "last":       "<?= __tr('Last') ?>",
                "next":      "<?= __tr('Next') ?>",
                "previous":   "<?= __tr('Previous') ?>"
            },
            "aria": {
                "sortAscending":  "<?= __tr(': activate to sort column ascending') ?>",
                "sortDescending": "<?= __tr(': activate to sort column descending') ?>"
            }
            }
    });
    @endif
})();
</script>
@stack('appScripts')
<script defer src="https://unpkg.com/alpinejs@3.13.3/dist/cdn.min.js"></script>