<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" dir="<?= config('CURRENT_LOCALE_DIRECTION') ?>">

<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no, maximum-scale=1.0, user-scalable=no">
	<meta name="description" content="">
	<meta name="author" content="">
	<title>@yield('head-title') : <?= getAppSettings('name') ?></title>
	<!-- Custom fonts for this template-->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=AR+One+Sans:wght@400;600;700&family=Bungee&family=Bungee+Spice&display=swap" rel="stylesheet">
	<link rel="shortcut icon" href="<?= getAppSettings('favicon_image_url') ?>" type="image/x-icon">
	<link rel="icon" href="<?= getAppSettings('favicon_image_url') ?>" type="image/x-icon">
	@if(getAppSettings('allow_recaptcha'))
	<script src="https://www.google.com/recaptcha/api.js" async defer></script>
	@endif

	<!-- Primary Meta Tags -->
	<meta name="title" content="@yield('page-title')">
	<meta name="description" content="@yield('description')">
	<meta name="keywordDescription" property="og:keywordDescription" content="@yield('keywordDescription')">
	<meta name="keywordName" property="og:keywordName" content="@yield('keywordName')">
	<meta name="keyword" content="@yield('keyword')">
	<!-- Google Meta -->
	<meta itemprop="name" content="@yield('page-title')">
	<meta itemprop="description" content="@yield('description')">
	<meta itemprop="image" content="@yield('page-image')">
	<!-- Open Graph / Facebook -->
	<meta property="og:type" content="website">
	<meta property="og:url" content="@yield('page-url')">
	<meta property="og:title" content="@yield('page-title')">
	<meta property="og:description" content="@yield('description')">
	<meta property="og:image" content="@yield('page-image')">
	<!-- Twitter -->
	<meta property="twitter:card" content="@yield('twitter-card-image')">
	<meta property="twitter:url" content="@yield('page-url')">
	<meta property="twitter:title" content="@yield('page-title')">
	<meta property="twitter:description" content="@yield('description')">
	<meta property="twitter:image" content="@yield('page-image')">

	<!-- Custom styles for this template-->
	<?= __yesset([
		'dist/css/bootstrap-assets-app*.css',
		'dist/css/public-assets-app*.css',
		'dist/fa/css/all.min.css',
        "dist/css/vendorlibs-photoswipe.css",
	], true) ?>
    @if(isLoggedIn())
        <?= __yesset([
            "dist/css/vendorlibs-datatable.css",
            'static-assets/trumbowyg/dist/ui/trumbowyg.min.css',
            'static-assets/highlight.js/styles/github.min.css',
            'static-assets/easymde/easymde.min.css',
            'static-assets/green-audio-player/green-audio-player.min.css',
            'dist/css/dashboard.css',
             'dist/css/custom*.css',
        ], true) ?>
        @else
        <?= __yesset([
            'dist/css/custom*.css',
            'dist/css/login-register*.css',
            'dist/css/home.css'
        ], true) ?>
    @endif
    <style>
        body:not(.lw-ajax-form-ready) form.lw-ajax-form:before {
            content: "{{ __tr('please wait ...') }}";
        }
        .lw-page-header {
            background: linear-gradient(to bottom, rgba(22, 22, 22, 0.3) 0%, rgba(22, 22, 22, 0.7) 75%, #161616 100%), url(<?= __yesset('imgs/home/random/*.{jpg,png}', false, [
 'random'=> true,
 'multiple_extensions' => true,
                ]) ?>);
            background-position: center center;
            background-repeat: no-repeat;
            background-attachment: scroll;
            background-size: cover;
        }
    </style>
	@stack('header')
</head>
