<nav class="navbar navbar-expand-lg navbar-dark fixed-top" id="mainNav">
    <div class="container-fluid">
        <a class="navbar-brand js-scroll-trigger" href="{{ url('/') }}">
            <img class="lw-logo-img" src="<?= getAppSettings('logo_image_url') ?>"
                alt="<?= getAppSettings('name') ?>">
        </a>
        <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse"
            data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false"
            aria-label="{{ __tr('Toggle navigation') }}">
            Menu
            <i class="fas fa-bars"></i>
        </button>
        <?php $translationLanguages = getActiveTranslationLanguages(); ?>
        <div class="collapse navbar-collapse " id="navbarResponsive">
            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                    <a class="nav-link" href="{{ url('') }}"><?= __tr('Home') ?></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('user.read.contact') }}"><?= __tr('Contact') ?></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="<?= route('pricing_page') ?>"><?= __tr('Pricing') ?></a>
                </li>
                <!-- Language Menu -->
                @if (!__isEmpty($translationLanguages) and count($translationLanguages) > 1)
                    <?php $translationLanguages['en_US'] = configItem('default_translation_language'); ?>
                    <li class="nav-item dropdown no-arrow">
                        <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <span class="d-none d-md-inline-block"><?= isset($translationLanguages[config('CURRENT_LOCALE')]) ? $translationLanguages[config('CURRENT_LOCALE')]['name'] : '' ?></span>&nbsp; <i class="fas fa-language"></i>
                        </a>
                        <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                            aria-labelledby="userDropdown">
                            <h6 class="dropdown-header">
                                <?= __tr('Choose your language') ?>
                            </h6>
                            <div class="dropdown-divider"></div>
                            <?php foreach ($translationLanguages as $languageId => $language) {
            if ($languageId == config('CURRENT_LOCALE') or (isset($language['status']) and $language['status'] == false)) continue;
          ?>
                            <a class="dropdown-item"
                                href="<?= route('locale.change', ['localeID' => $languageId]) . '?redirectTo=' . base64_encode(Request::fullUrl()) ?>">
                                <?= $language['name'] ?>
                            </a>
                            <?php } ?>
                        </div>
                    </li>
                @endif
                <!-- Language Menu -->
                @if(!isLoggedIn())
                <li class="nav-item">
                    <a class="nav-link lw-outer-nav-login" href="<?= route('user.login') ?>"><?= __tr('Login') ?></a>
                </li>
                @endif
            </ul>
        </div>
    </div>
</nav>