<!-- Sidebar -->
<ul class="navbar-nav sidebar sidebar-dark accordion" id="accordionSidebar">
    <!-- Sidebar - Brand -->
    <li>
        <a class="sidebar-brand d-flex align-items-center bg-dark" href="<?= url('/dashboard') ?>">
            <div class="sidebar-brand-icon">
                <img class="lw-logo-img" src="<?= getAppSettings('small_logo_image_url') ?>" alt="<?= getAppSettings('name') ?>">
            </div>
            <img class="lw-logo-img d-sm-none d-none d-md-block" src="<?= getAppSettings('logo_image_url') ?>" alt="<?= getAppSettings('name') ?>">
            <img class="lw-logo-img d-sm-block d-md-none" src="<?= getAppSettings('small_logo_image_url') ?>" alt="<?= getAppSettings('name') ?>">
        </a>
    </li>
    <!-- Nav Item - Messages -->
    <li class="nav-item d-sm-block d-md-none">
        <a class="nav-link lw-ajax-link-action lw-action-with-url" href="<?= route('user.credit_wallet.read.view') ?>">
            <i class="fas fa-coins fa-fw mr-2"></i>
            <span><?= __tr('Credit Wallet') ?></span>
            <span class="badge badge-success badge-counter"><?= totalUserCredits() ?></span>
        </a>
    </li>
    <hr class="sidebar-divider mt-2 mb-2 d-sm-block d-md-none">
    <!-- Heading -->
    <li class="mt-4 nav-item <?= makeLinkActive('dashboard_page') ?>">
        <a class="nav-link lw-ajax-link-action lw-action-with-url text-success" href="<?= route('dashboard_page') ?>">
            <i class="fa fa-tachometer-alt"></i>
            <span><?= __tr('Dashboard') ?></span>
        </a>
    </li>
    @if(getAppSettings('features_availability_users_settings')['use_templates_text_generation'] == 1)
        <li class="nav-item <?= makeLinkActive('templates.display_list') ?>">
            <a class="nav-link lw-ajax-link-action lw-action-with-url text-warning" href="<?= route('templates.display_list') ?>">
                <i class="fas fa-boxes"></i>
                <span><?= __tr('Templates') ?></span>
            </a>
        </li>
    @endif
    @if(getAppSettings('features_availability_users_settings', 'use_text_generation') == 1)
        <li class="nav-item <?= makeLinkActive([
            'name' => 'text.generation.view',
            'parameters' => [
                'contentType' => 'text'
            ]
        ]) ?>">
            <a class="nav-link lw-ajax-link-action lw-action-with-url text-danger" href="<?= route('text.generation.view', [
                'contentType' => 'text'
            ]) ?>">
                <i class="fas fa-file-alt"></i>
                <span><?= __tr('AI Text Generation') ?></span>
            </a>
        </li>
    @endif
    @if(getAppSettings('features_availability_users_settings', 'use_translation_generation') == 1)
        <li class="nav-item <?= makeLinkActive([
            'name' => 'text.generation.view',
            'parameters' => [
                'contentType' => 'translation'
            ]
        ]) ?>">
            <a class="nav-link lw-ajax-link-action lw-action-with-url text-info" href="<?= route('text.generation.view', [
                'contentType' => 'translation'
            ]) ?>">
                <i class="fas fa-fas fa-language"></i>
                <span><?= __tr('AI Translation') ?></span>
            </a>
        </li>
    @endif
    @if(getAppSettings('features_availability_users_settings', 'use_image_generation') == 1)
        <li class="nav-item <?= makeLinkActive('image.generation.view') ?>">
            <a class="nav-link lw-ajax-link-action lw-action-with-url text-warning" href="<?= route('image.generation.view') ?>">
                <i class="fas fa-images"></i>
                <span><?= __tr('AI Image Generation') ?></span>
            </a>
        </li>
    @endif
    @if(getAppSettings('features_availability_users_settings', 'use_image_to_animation_conversion') == 1)
        <li class="nav-item <?= makeLinkActive('image.conversion_animation.view') ?>">
            <a class="nav-link lw-ajax-link-action lw-action-with-url text-danger" data-event-callback="lwPrepareUploadPlugIn" href="<?= route('image.conversion_animation.view') ?>" title="{{ __tr('Bring life your images') }}">
                <i class="fas fa-film"></i>
                <span><?= __tr('Image Depth Animation') ?></span>
            </a>
        </li>
    @endif
    @if(getAppSettings('features_availability_users_settings', 'use_speech_generation') == 1)
        <li class="nav-item <?= makeLinkActive('speech.generation.view') ?>">
            <a class="nav-link lw-ajax-link-action lw-action-with-url text-warning" href="<?= route('speech.generation.view') ?>">
                <i class="fas fa-volume-up"></i>
                <span><?= __tr('AI Text To Speech') ?></span>
            </a>
        </li>
    @endif
    @if(getAppSettings('features_availability_users_settings', 'use_speech_to_text_generation') == 1)
        <li class="nav-item <?= makeLinkActive('speech_to_text.read.view') ?>">
            <a class="nav-link lw-ajax-link-action lw-action-with-url text-success" href="<?= route('speech_to_text.read.view') ?>" data-event-callback="lwPrepareUploadPlugIn">
                <i class="fas fa-solid fa-microphone"></i>
                <span><?= __tr('AI Speech To Text') ?></span>
            </a>
        </li>
    @endif
    @if(getAppSettings('features_availability_users_settings', 'use_code_generation') == 1)
        <li class="nav-item <?= makeLinkActive([
            'name' => 'text.generation.view',
            'parameters' => [
                'contentType' => 'code'
            ]
        ]) ?>">
            <a class="nav-link lw-ajax-link-action lw-action-with-url text-warning" href="<?= route('text.generation.view', [
                'contentType' => 'code'
            ]) ?>">
                <i class="fas fa-code"></i>
                <span><?= __tr('AI Code Generation') ?></span>
            </a>
        </li>
    @endif
    <li class="nav-item <?= makeLinkActive('user.credit_wallet.read.view') ?>">
        <a class="nav-link lw-ajax-link-action lw-action-with-url text-info" href="<?= route('user.credit_wallet.read.view') ?>">
            <i class="fas fa-wallet mr-2"></i>
            <span><?= __tr('Credit Wallet') ?></span>
        </a>
    </li>
    <li class="nav-item <?= makeLinkActive('manage.history',['historyType' => 'text']) ?>">
        <a class="nav-link lw-ajax-link-action lw-action-with-url text-secondary" href="<?= route('manage.history',['historyType' => 'text']) ?>">
            <i class="fa fa-history"></i>
            <span><?= __tr('History') ?></span>
        </a>
    </li>
    @if(getAppSettings('enable_referral_system') == 1)
    <li class="nav-item <?= makeLinkActive('manage.referral') ?>">
        <a class="nav-link lw-ajax-link-action lw-action-with-url text-success" href="<?= route('manage.referral') ?>">
            <i class="fa fa-coins"></i>
            <span><?= __tr('Refer and Earn') ?></span>
        </a>
    </li>
@endif
@if(getAppSettings('user_sidebar_advertisement', 'status') == 'enabled')
    <!-- Sidebar Toggler (Sidebar) -->
    <li class="nav-item lw-sidebar-ads-container d-none d-md-block">
        <!-- sidebar advertisement content -->
        <div>
            <?= getAppSettings('user_sidebar_advertisement', 'content') ?>
        </div>
        <!-- /sidebar advertisement content -->
    </li>
    <!-- sidebar advertisement -->
     @endif
</ul>
<!-- End of Sidebar -->