<?php
$pageType = request()->pageType;
$currentRouteName = Route::getCurrentRoute()->getName();
?>
<!-- Sidebar -->
<ul class="navbar-nav bg-dark sidebar sidebar-dark accordion" id="accordionSidebar">

    <!-- Sidebar - Brand -->
    <a class="sidebar-brand d-flex align-items-center" href="<?= route('dashboard_page') ?>">
        <div class="sidebar-brand-icon">
            <img src="<?= getAppSettings('small_logo_image_url') ?>" alt="<?= getAppSettings('name') ?>">
        </div>
        <img class="lw-logo-img" src="<?= getAppSettings('logo_image_url') ?>" alt="<?= getAppSettings('name') ?>">
    </a>

    <!-- Divider -->
    <hr class="sidebar-divider my-0">

    <!-- Nav Item - Dashboard -->
    <li class="nav-item  mt-2">
        <a class="nav-link lw-ajax-link-action lw-action-with-url <?= makeLinkActive('manage.dashboard', $currentRouteName) ?>" href="<?= route('manage.dashboard') ?>">
            <i class="fas fa-fw fa-tachometer-alt"></i>
            <span><?= __tr('Dashboard') ?></span>
        </a>
    </li>
    <li class="nav-item ">
        <a class="nav-link lw-ajax-link-action lw-action-with-url <?= makeLinkActive('manage.page.view', $currentRouteName) ?>" href="<?= route('manage.page.view') ?>">
            <i class="fas fa-file"></i>
            <span><?= __tr('Pages') ?></span>
        </a>
    </li>
    <li class="nav-item ">
        <a class="nav-link lw-ajax-link-action lw-action-with-url <?= makeLinkActive('manage.credit_package.read.list', $currentRouteName) ?>" href="<?= route('manage.credit_package.read.list') ?>">
            <i class="fas fa-box"></i>
            <span><?= __tr('Credit Packages') ?></span>
        </a>
    </li>
    <li class="nav-item">
        <a class="nav-link lw-ajax-link-action lw-action-with-url <?= makeLinkActive('manage.user.view_list', $currentRouteName) ?>" href="<?= route('manage.user.view_list', ['status' => 1]) ?>">
            <i class="fas fa-users"></i>
            <span><?= __tr('Users') ?></span>
        </a>
    </li>
    <li class="nav-item ">
        <a class="nav-link lw-ajax-link-action lw-action-with-url <?= makeLinkActive('categories.list', $currentRouteName) ?>" href="<?= route('categories.list') ?>">
            <i class="fas fa-users"></i>
            <span><?= __tr('Manage Templates') ?></span>
        </a>
    </li>

    <!-- Nav Item - Utilities Collapse Menu -->
    <li class="nav-item lw-settings-sub-menu-items">
        <a class="nav-link @click.prevent='' <?= makeLinkActive('manage.configuration.read', $currentRouteName) ?> <?= makeLinkActive('manage.configuration.read', $currentRouteName,'', 'collapsed') ?>" href="#" data-toggle="collapse" data-target="#collapseUtilities"
            aria-expanded="<?= trim(makeLinkActive('manage.configuration.read', $currentRouteName,'true', 'false')) ?>" aria-controls="collapseUtilities">
            <i class="fas fa-fw fa-cogs"></i>
            <span>{{  __tr('Settings') }}</span>
        </a>
        <div id="collapseUtilities" class="collapse <?= makeLinkActive('manage.configuration.read', $currentRouteName, 'show') ?>" data-parent="#accordionSidebar">
            <div class="py-2 mx-3 collapse-inner rounded">
                <a class="nav-link lw-ajax-link-action lw-action-with-url {{ $pageType == 'general' ? 'active' : '' }}" href="<?= route('manage.configuration.read', ['pageType' => 'general']) ?>" data-event-callback="lwPrepareUploadPlugIn">
                    <i class="fas fa-wrench"></i>
                    <span><?= __tr('General') ?></span>
                </a>
                <a class="nav-link lw-ajax-link-action lw-action-with-url {{ $pageType == 'user' ? 'active' : '' }}" href="<?= route('manage.configuration.read', ['pageType' => 'user']) ?>">
                    <i class="fas fa-user"></i>
                    <span><?= __tr('Users') ?></span>
                </a>
                 <!-- Currency & Credit Packages -->
                <a class="nav-link lw-ajax-link-action lw-action-with-url {{ $pageType == 'currency' ? 'active' : '' }}" href="<?= route('manage.configuration.read', ['pageType' => 'currency']) ?>">
                <i class="fas fa-money-bill-alt"></i>
                <span> <?= __tr('Currency') ?></span>
                </a>
                <!-- /Currency & Credit Packages -->
                  <!-- Payment Settings -->
               <a class="nav-link lw-ajax-link-action lw-action-with-url {{$pageType == 'payment' ? 'active' : '' }}" href="<?= route('manage.configuration.read', ['pageType' => 'payment']) ?>">
                <i class="fas fa-credit-card"></i>
                <span> <?= __tr('Payment Gateways') ?></span>
              </a>
            <!-- /Payment Settings -->
             <!-- Social Login Settings -->
             <a class="nav-link lw-ajax-link-action lw-action-with-url {{$pageType == 'social-login' ? 'active' : '' }}"  href="<?= route('manage.configuration.read', ['pageType' => 'social-login']) ?>">
                <i class="fas fa-share-alt"></i>
                <span><?= __tr('Social Logins') ?></span>
            </a>
             <!-- /Social Login Settings -->
            <!-- Integration Settings -->
            <a class="nav-link lw-ajax-link-action lw-action-with-url {{$pageType == 'integration' ? 'active' : '' }}"  href="<?= route('manage.configuration.read', ['pageType' => 'integration']) ?>">
                <i class="far fa-sun"></i>
                <span><?= __tr('Other Integrations') ?></span>
            </a>
            <!-- /Integration Settings -->
            <!-- AI Provider Settings -->
            <a class="nav-link lw-ajax-link-action lw-action-with-url text-warning {{$pageType == 'ai-provider' ? 'active' : '' }}"  href="<?= route('manage.configuration.read', ['pageType' => 'ai-provider']) ?>">
                <i class="far fa-sun"></i>
                <span><strong><?= __tr('AI Providers') ?></strong></span>
            </a>
            <!-- /AI Provider Settings -->
             <!-- Email Settings -->
             <a class="nav-link lw-ajax-link-action lw-action-with-url {{ $pageType == 'email' ? 'active' : ''}}"  href="<?= route('manage.configuration.read', ['pageType' => 'email']) ?>">
                <i class="fas fa-envelope-open"></i>
                <span><?= __tr('Email & SMS') ?></span>
            </a>
             <!-- /Email Settings -->
             <!-- Advertisement Settings -->
             <a class="nav-link lw-ajax-link-action lw-action-with-url {{ $pageType == 'advertisement' ? 'active' : ''}}"  href="<?= route('manage.configuration.read', ['pageType' => 'advertisement']) ?>">
                <i class="far fa-newspaper"></i>
                <span><?= __tr('Advertisement') ?></span>
            </a>
             <!-- /Advertisement Settings -->
             <!-- Usage Pricing Settings -->
             <a class="nav-link lw-ajax-link-action lw-action-with-url {{ $pageType == 'usage-pricing' ? 'active' : ''}}"  href="<?= route('manage.configuration.read', ['pageType' => 'usage-pricing']) ?>">
                <i class="fas fa-solid fa-dollar-sign"></i>
                <span><?= __tr('Usage Pricing') ?></span>
            </a>
             <!--/ Usage Pricing Settings -->
             <!--Referral Settings -->
             <a class="nav-link lw-ajax-link-action lw-action-with-url {{ $pageType == 'referral' ? 'active' : ''}}" href="<?= route('manage.configuration.read', ['pageType' => 'referral']) ?>">
                 <i class="fa fa-user-plus"></i>
                 <span><?= __tr('Referral') ?></span>
             </a>
             <!--/Referral Settings -->
            <!--Referral Settings -->
            <a class="nav-link lw-ajax-link-action lw-action-with-url {{ $pageType == 'terms-and-policies' ? 'active' : ''}}" href="<?= route('manage.configuration.read', ['pageType' => 'terms-and-policies']) ?>">
                <i class="fas fa-tasks"></i>
                <span><?= __tr('Terms & Policies') ?></span>
            </a>
            <!--/Referral Settings -->
            </div>
        </div>
    </li>
    <li class="nav-item">
        <a class="nav-link lw-ajax-link-action lw-action-with-url <?= makeLinkActive('manage.financial_transaction.read.view_list', $currentRouteName) ?>" href="<?= route('manage.financial_transaction.read.view_list', ['transactionType' => 'live']) ?>">
            <i class="fas fa-university"></i>
            <span><?= __tr('Financial Transactions') ?></span>
        </a>
    </li>
    <li class="nav-item">
        <a class="nav-link lw-ajax-link-action lw-action-with-url <?= makeLinkActive('manage.translations.languages', $currentRouteName) ?>" href="<?= route('manage.translations.languages') ?>">
            <i class="fas fa-language"></i>
            <span><?= __tr('App Languages') ?></span>
        </a>
    </li>
    <li class="nav-item">
        <a class="nav-link lw-ajax-link-action lw-action-with-url <?= makeLinkActive('manage.users.history',['historyType' => 'text'], $currentRouteName) ?>" href="<?= route('manage.users.history',['historyType' => 'text']) ?>">
            <i class="fa fa-history"></i>
            <span><?= __tr('Manage History') ?></span>
        </a>
    </li>
    <li class="nav-item">
        <a class="nav-link lw-ajax-link-action lw-action-with-url <?= makeLinkActive('manage.referral.system', $currentRouteName) ?>" href="<?= route('manage.referral.system') ?>">
            <i class="fa fa-user-plus"></i>
            <span><?= __tr('Referral') ?></span>
        </a>
    </li>
    <li class="nav-item">
        <a class="nav-link lw-ajax-link-action lw-action-with-url <?= makeLinkActive('manage.help.read', $currentRouteName) ?>" href="<?= route('manage.help.read') ?>">
            <i class="fas fa-cogs text-blue"></i>
            <span><?= __tr('View References') ?></span>
        </a>
    </li>
    <li class="nav-item">
        <a class="nav-link" title="<?= __tr("If you have made changes which doesn't reflecting this link may help to clear all the cache.") ?>" href="<?= route('manage.configuration.clear_cache', []) . '?redirectTo=' . base64_encode(Request::fullUrl()); ?>">
            <i class="fas fa-broom"></i>
            <span><?= __tr('Clear System Cache') ?></span>
        </a>
    </li>
    <li class="nav-item <?= Request::fullUrl() == route('manage.configuration.read', ['pageType' => 'licence-information']) ? 'active' : '' ?>">
        <a class="nav-link"  href="<?= route('manage.configuration.read', ['pageType' => 'licence-information']) ?>">
            <i class="fas fa-certificate"></i>
            <span><?= __tr('License') ?></span>
        </a>
    </li>
    <!-- Divider -->
    <hr class="sidebar-divider d-none d-md-block">
    <!-- Sidebar Toggler (Sidebar) -->
    <div class="text-center d-none d-md-inline">
        <button class="rounded-circle border-0" id="sidebarToggle"></button>
    </div>
</ul>
<!-- End of Sidebar -->