<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" dir="<?= config('CURRENT_LOCALE_DIRECTION') ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Primary Meta Tags -->
    <title>{{ getAppSettings('name') }}</title>
    <meta name="title" content="{{ getAppSettings('name') }}">
    <meta name="description" content="{{ getAppSettings('name') }}">

    <!-- Open Graph / Facebook -->
    <meta property="og:type" content="website">
    <meta property="og:url" content="{{ url('/') }}">
    <meta property="og:title" content="{{ getAppSettings('name') }}">
    <meta property="og:description" content="{{ getAppSettings('name') }}">
    <meta property="og:image" content="{{ getAppSettings('logo_image_url') }}">

    <!-- Twitter -->
    <meta property="twitter:card" content="summary_large_image">
    <meta property="twitter:url" content="{{ url('/') }}">
    <meta property="twitter:title" content="{{ getAppSettings('name') }}">
    <meta property="twitter:description" content="{{ getAppSettings('name') }}">
    <meta property="twitter:image" content="{{ getAppSettings('logo_image_url') }}">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=AR+One+Sans:wght@400;600;700&family=Bungee+Spice&family=Bungee&display=swap" rel="stylesheet">

    <?= __yesset([
        'dist/fa/css/all.min.css',
        'dist/css/bootstrap-assets-app*.css',
        'dist/css/public-assets-app*.css',
        'dist/css/custom*.css',
        'dist/css/home*.css'
        ], true) ?>

    <link rel="shortcut icon" href="<?= getAppSettings('favicon_image_url') ?>" type="image/x-icon">
    <link rel="icon" href="<?= getAppSettings('favicon_image_url') ?>" type="image/x-icon">
    <style>
    .masthead {
        @include('includes.bg-image-css')
    }
    </style>
</head>

<body id="page-top">
    <!-- Navigation -->
    @include('includes.outer-nav-bar')
    <!-- Header -->
    @php
        $mainSlogan = Arr::random([
                    __tr('The future of creativity is now'),
                    __tr('Generate anything you can imagine'),
                    __tr('Let your creativity run wild'),
                    __tr('The power of AI, in your hands'),
                    __tr('Unlock your creative potential'),
                    __tr('The power of AI, at your fingertips'),
                    __tr('Where imagination meets reality'),
                    __tr('The possibilities are endless'),
                    __tr('Empowering your creativity'),
                    __tr('Create anything you can think of'),
                    __tr('Make your ideas come to life'),
]);
$numberOfWordsInSlogan = count(explode(' ', $mainSlogan)) + 3;
    @endphp
     <style>
    @for($sloganIndex = 1; $sloganIndex < $numberOfWordsInSlogan; $sloganIndex++)
        .masthead h1 span:nth-child({{ $sloganIndex }}) {
        animation: fade-in 0.8s 0.{{ $sloganIndex }}s forwards cubic-bezier(0.11, 0, 0.5, 0);
        }
   @endfor;
</style>
    <header class="masthead">
        <div class="container d-flex h-100 align-items-center pt-5 lw-featured-text-block px-5">
            <div class="mx-auto lw-main-text-block">
                <h1 class="mx-auto"><span>{!! strtr($mainSlogan, [
                    ' ' => '</span> <span>'
                ]) !!}</span> <section class="lw-text-animation lw-animated-section">
                    <div class="text-info"><div>{{  __tr('Text') }}</div></div>
                    <div class="text-warning"><div>{{  __tr('Image') }}</div></div>
                    <div class="text-danger"><div>{{  __tr('Translate') }}</div></div>
                  </section></h1>
                <h4 class="mt-2 mb-5">
                    <span>{{ __tr(
                        '__serviceName__ is a powerful AI generator that can help you create anything you can imagine, like you can write stories, poems, scripts, musical pieces, email, letters, and more.',
                        [
                            '__serviceName__' => getAppSettings('name'),
                        ],
                    ) }}
                    </span>
                </h4>
                <a href="{{ route('user.sign_up') }}"
                    class="btn btn-primary lw-special-btn"><?= __tr('Get Started') ?></a>
            </div>
        </div>
    </header>
    </div>
    <!-- /Header  -->
    <section class="lw-section-content lw-gradient-bg">
       <div class="container">
        <h1 class="text-center text-warning mb-3  lw-scroll-reveal">{{  __tr('Pre-built Templates Categories') }}</h1>
        <hr>
        <h4 class="text-center mb-5  lw-scroll-reveal">
            <?= __tr("Make the most of our ready-to-use text templates designed, making your creative journey simpler and smoother.") ?>
        </h4>
        <div class="row row-cols-1 row-cols-md-3 g-4 text-center">
            @foreach ($categoriesList as $categoryKey => $category)
            <div class="col mb-4">
                <div class="card p-5  h-100 lw-home-template-box  lw-scroll-reveal">
                    {!! processIconDisplay($category, [
                        'fa' => 'fa-4x mb-4 text-primary'
                    ]) !!}
                <h3>{{ $category['title'] }}</h3>
                <hr>
                <p>{{ $category['description'] }}</p>
                </div>
            </div>
            @endforeach
            <div class="col mb-4">
                <div class="card p-5  h-100 lw-home-template-box  lw-scroll-reveal">
                    <i class="fa fa-file fa-4x mb-4 text-primary"></i>
                <h3>{{  __tr('Custom Templates') }}</h3>
                <hr>
                <p>{{  __tr('Functionality to create your own templates') }}</p>
                </div>
            </div>
            <div class="col mb-4">
                <div class="card p-5  h-100 lw-home-template-box  lw-scroll-reveal">
                    <i class="fa fa-th-large fa-4x mb-4 text-primary"></i>
                <h3>{{  __tr('More ...') }}</h3>
                <hr>
                <p>{{  __tr('more pre built templates are coming soon') }}</p>
                </div>
            </div>
        </div>
       </div>
    </section>
    {{-- templates end --}}
    <div class="lw-section-content  lw-gradient-bg">
        <div class="container">
            <h1 class="text-center text-warning mb-3  lw-scroll-reveal">{{  __tr('Image Depth Animation') }}</h1>
            <hr>
            <h4 class="text-center  lw-scroll-reveal">{{  __tr("Make your designs stand out with it's Image Depth Animation. Simply put, it adds cool movements and depth to your pictures.") }}</h4>
            <div class="row">
                <div class="col-12">
                    <video class="rounded lw-side-videos h-100 w-100 my-3" autoplay muted loop>
                        <source src="{{ __yesset('imgs/home/image-and-depth/*.mp4', false, ['random' => true]) }}" type="video/mp4">
                    </video>
                </div>
            </div>
        </div>
    </div>
    <!-- code-generation-section -->
    <section class="lw-code-generation-section lw-gradient-bg ">
        <div class="container">
            <h1 class="text-center text-warning mb-3">{{  __tr('AI Code Generation') }}</h1>
            <hr>
            <h4 class="text-center">{{  __tr("Simplify coding at any expertise level with it. Let AI code generation streamline the process, saving you valuable time and effort.") }}</h4>
            <div class="row align-items-center my-4">
                <div class="col-sm-12 col-md-12 col-lg-5 col-xl-5">
                    <h1 class="mb-4"><?= __tr('Write code like a Pro') ?></h1>
                </div>
                <div class="col-sm-12 col-md-12 col-lg-7 col-xl-7">
                    <div class="heading">
                            <h5 class="text-secondary">{{  __tr('Write a code to see if person is minor, adult or senior citizen.') }}</h5>
                        </div>
                    <code>
                        <div class="lw-php-code">
                            <h5>$age = 20;</h5><br><br>
                           <h5> if ($age < 18) {</h5>
                            <h6>echo <span>"You are a minor."</span>;</h6><br>
                            <h5>} elseif ($age >= 18 && $age < 60) {</h5>
                           <h6> echo <span>"You are an adult."</span>;</h6><br>
                           <h5> } else {</h5>
                            <h6>echo <span>"You are a senior citizen."</span>;</h6><br>
                            <h5>}</h5><br><br>
                            </div>
                    </code>
                </div>
            </div>
        </div>
    </section>
    <!-- /code-generation-section -->
    <!-- footer -->
    <footer class="lw-footer text-center lw-gradient-bg">
        <h1 class="text-white my-5"><?= __tr('Save time. Get Started Now.') ?></h1>
        <!-- logo -->
        <img class="lw-logo-img " src="<?= getAppSettings('logo_image_url') ?>" alt="<?= getAppSettings('name') ?>">
        <!-- /logo -->
        <div class="d-flex justify-content-center mt-5  ">
            <a class="mx-4 text-white"
                href="{{ route('terms.conditions', ['type' => 'terms-and-conditions']) }}">{{ __tr('Terms of Use') }}</a>
            <a class="mx-4 text-white"
                href="{{ route('terms.conditions', ['type' => 'privacy-policy']) }}">{{ __tr('Privacy Policy') }}</a>
            <a class="mx-4 text-white" href="{{ route('user.read.contact') }}">{{ __tr('Contact Us') }}</a>
        </div>
        <div class="lw-border"></div>
        <div class="container text-center small mt-5">
            <div class="row">
                <div class="col-6">
                    <div class="text-center">
                        <i class="fab fa-facebook mx-2 h4" style="color: #1a6eff;"></i>
                        <i class="fab fa-linkedin mx-2 h4" style="color: #1f71ff;"></i>
                        <i class="fab fa-youtube mx-2 h4" style="color: #ff0f0f;"></i>
                        <i class="fab fa-twitter mx-2 h4" style="color: #2474ff;"></i>
                    </div>
                </div>

                <div class="col-6">
                    <?= __tr('Copyright © __siteName__ __year__', [
                '__year__' => date('Y'),
                '__siteName__' => getAppSettings('name'),
            ]) ?>
                </div>
            </div>
        </div>
    </footer>
    <!-- /footer -->
    <!-- footer -->
    <?= __yesset([
        'dist/js/vendorlibs-public.js',
        'dist/js/home-app.js'
        ], true) ?>

</body>

</html>