@section('page-title', __tr('Pricing'))
@section('head-title', __tr('Pricing'))
@section('keywordName', strip_tags(__tr('Pricing')))
@section('keyword', strip_tags(__tr('Pricing')))
@section('description', strip_tags(__tr('Pricing')))
@section('keywordDescription', strip_tags(__tr('Pricing')))
@section('page-image', getAppSettings('logo_image_url'))
@section('twitter-card-image', getAppSettings('logo_image_url'))
@section('page-url', url()->current())

<!-- include header -->
@include('includes.header')
<!-- /include header -->
<body class="lw-login-register-page lw-pricing-page lw-gradient-bg">
<!-- Navigation -->
    @include('includes.outer-nav-bar')
    <div class="container">
        <div class="lw-container">
            <div class="row align-items-center">
                <div class="col-sm-12 col-md-12 col-lg-6 col-xl-6">
                    <!-- content -->
                    <h2 class="mb-4 text-white"><?= __tr('Usages Pricing') ?></h2>
                    <p><?= __tr('Usage credits typically refer to a system where feature  are allocated a certain amount of credits  that they can consume based on their usage of a particular service.') ?>
                    </p>
                    <!-- content -->
                    <!-- buy credit btn -->
                    <a class="btn btn-primary btn-lg my-3"
                        href="<?= route('user.credit_wallet.read.view') ?>"><?= __tr('Buy Credits') ?> </a>
                    <!-- /buy credit btn -->
                </div>
                <!-- image -->
                <div class="col-sm-12 col-md-12 col-lg-6 col-xl-6">
                    <img src="{{ asset('imgs/home/other-imgs/pricing1.png') }}" class="rounded w-100 h-50" alt="image">
                </div>
                <!-- image -->
            </div>

            <div class="row lw-space text-center">
                <!-- /Text Generation -->
                <div class="col-sm-12 col-md-6 col-lg-4 col-xl-4">
                    @if(getAppSettings('features_availability_users_settings', 'use_text_generation') == 1)
                    <div class="lw-public-price-block position-relative ">
                        <div class="lw-pricing lw-card">
                            <img src="{{ asset('imgs/home/other-imgs/text.png') }}" class="rounded h-25 w-25 mb-4"
                                alt="image">
                            <h3 class="text-warning"><?= __tr('AI Text Generation') ?></h3>
                            <hr>
                            <p class="text-white">{{ __trn('__credits__ credit per response word', '__credits__ credits per response word',  getAppSettings('per_word_pricing'), [
                               '__credits__' => getAppSettings('per_word_pricing')
                                 ]) }}</p>
                        </div>
                    </div>
                    @endif
                </div>
                <!-- /Text Generation -->
                <!-- translation -->
                <div class="col-sm-12 col-md-6 col-lg-4 col-xl-4">
                    @if(getAppSettings('features_availability_users_settings', 'use_translation_generation') == 1)
                    <div class="lw-public-price-block ">
                        <div class="lw-pricing lw-card">
                            <img src="{{ asset('imgs/home/other-imgs/translation.png') }}"
                                class="rounded h-25 w-25 mb-4" alt="image">
                            <h3 class="text-warning"><?= __tr('AI Translation') ?></h3>
                            <hr>
                            <p class="text-white">{{ __trn('__credits__ credit per response word', '__credits__ credits per response word',  getAppSettings('per_word_pricing'), [
                                                    '__credits__' => getAppSettings('per_word_pricing')
                                                ]) }}</p>
                        </div>
                    </div>
                    @endif
                </div>
                <!-- /translation -->
                <!-- depth -->
                <div class="col-sm-12 col-md-6 col-lg-4 col-xl-4">
                    @if(getAppSettings('features_availability_users_settings', 'use_image_to_animation_conversion') ==
                    1)
                    <div class="lw-public-price-block ">
                        <div class="lw-pricing lw-card">
                            <img src="{{ asset('imgs/home/other-imgs/depth.png') }}" class="rounded h-25 w-25 mb-4 "
                                alt="image">
                            <h3 class="text-warning"><?= __tr('Image Depth Animation') ?></h3>
                            <hr>
                            <p class="text-white">{{ __trn('__credits__ credit per word', '__credits__ credit per word',  getAppSettings('image_animation_pricing'), [
                             '__credits__' => getAppSettings('image_animation_pricing')
                              ]) }}</p>
                        </div>
                    </div>
                    @endif
                </div>
                <!-- /depth -->
                <!-- text-to-speech -->
                <div class="col-sm-12 col-md-6 col-lg-4 col-xl-4">
                    @if(getAppSettings('features_availability_users_settings', 'use_speech_generation') == 1)
                    <div class="lw-public-price-block ">
                        <div class="lw-pricing lw-card">
                            <img src="{{ asset('imgs/home/other-imgs/text-speech.png') }}"
                                class="rounded h-25 w-25 mb-4" alt="image">
                            <h3 class="text-warning"><?= __tr('AI Text To Speech') ?></h3>
                            <hr>
                            <p class="text-white">{{ __trn('__credits__ credit per input word', '__credits__ credits per input input word',  getAppSettings('text_to_speech_pricing'), [
                                                    '__credits__' => getAppSettings('text_to_speech_pricing')
                                                ]) }}</p>
                        </div>
                    </div>
                    @endif
                </div>
                <!-- /text-to-speech -->
                <!--  speech-to-text-->
                <div class="col-sm-12 col-md-6 col-lg-4 col-xl-4">
                    @if(getAppSettings('features_availability_users_settings', 'use_speech_to_text_generation') == 1)
                    <div class="lw-public-price-block position-relative  lw-side-card ">
                        <div class="lw-pricing lw-card">
                            <img src="{{ asset('imgs/home/other-imgs/speech-to-text.png') }}"
                                class="rounded lw-image mb-4" alt="image">
                            <h3 class="text-warning"><?= __tr('AI Speech To Text') ?></h3>
                            <hr>
                            <p class="text-white">{{ __trn('__credits__ credit per input audio second', '__credits__ credits per input audio second',  getAppSettings('speech_to_text_pricing'), [
                                                    '__credits__' => getAppSettings('speech_to_text_pricing')
                                                ]) }}</p>
                        </div>
                    </div>
                    @endif
                </div>
                <!-- /speech-to-text -->
                <!-- code  generation -->
                <div class="col-sm-12 col-md-6 col-lg-4 col-xl-4">
                    @if(getAppSettings('features_availability_users_settings', 'use_code_generation') == 1)
                    <div class="lw-public-price-block position-relative lw-side-card">
                        <div class="lw-pricing lw-card">
                            <img src="{{ asset('imgs/home/other-imgs/code.png') }}" class="rounded lw-image-size mb-4"
                                alt="image">
                            <h3 class="text-warning"><?= __tr('AI Code Generation') ?></h3>
                            <hr>
                            <p class="text-white">{{ __trn('__credits__ credit per response word', '__credits__ credits per response word',  getAppSettings('per_word_pricing'), [
                                                    '__credits__' => getAppSettings('per_word_pricing')
                                                ]) }}</p>
                        </div>

                    </div>
                    @endif
                </div>
                <!-- / code generation -->
                <!-- image generation -->
                <div class="col-12">
                    @if(getAppSettings('features_availability_users_settings', 'use_image_generation') == 1)
                    <div class="lw-public-price-block">
                        <div class="lw-pricing lw-card lw-image-generation-box  position-relative">
                            <img src="{{ asset('imgs/home/other-imgs/image-g.png') }}" class="rounded lw-img mb-4 lw-image-size"
                                alt="image">
                            <h3 class="text-warning"><?= __tr('AI Image Generation') ?></h3>
                            <hr>
                            </a>
                            <div class="row">
                                <div class="col-sm-12 col-md-6 col-lg-4 col-xl-4">
                                    <i class="fa fa-image fa-3x p-4 text-danger"></i>
                                    <p class="text-white">{{ __trn('__credits__ credit per 1024x1024 size image', '__credits__ credits per 1024x1024 size image',  getAppSettings('image_pricing', '1024x1024'), [
                                        '__credits__' => getAppSettings('image_pricing', '1024x1024')
                                    ]) }}</p>
                                </div>
                                <div class="col-sm-12 col-md-6 col-lg-4 col-xl-4">
                                    <i class="fa fa-image fa-3x p-4 text-info"></i>
                                    <p class="text-white">{{ __trn('__credits__ credit per 512x512 size image', '__credits__ credits per 512x512 size image',  getAppSettings('image_pricing', '512x512'), [
                                        '__credits__' => getAppSettings('image_pricing', '512x512')
                                    ]) }}</p>
                                </div>
                                <div class="col-sm-12 col-md-6 col-lg-4 col-xl-4">
                                    <i class="fa fa-image fa-3x p-4 text-success"></i>
                                    <p class="text-white">{{ __trn('__credits__ credit per 256x256 size image', '__credits__ credits per 256x256 size image',  getAppSettings('image_pricing', '256x256'), [
                                        '__credits__' => getAppSettings('image_pricing', '256x256')
                                    ]) }}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                    @endif
                </div>
                <!-- /image generation -->
            </div>

            <!-- alert message -->
            <div class="text-center">
                <div class="alert alert-white my-2">
                    {{  __tr('No monthly bills, just buy credits and use it') }}
                </div>
                <!-- buy credit btn -->
                <a class="btn btn-primary btn-lg my-3"
                href="<?= route('user.credit_wallet.read.view') ?>"><?= __tr('Buy Credits') ?> </a>
            <!-- /buy credit btn -->
            </div>
            <!-- alert message -->

        </div>
<!-- include footer -->
@include('includes.footer')
<!-- /include footer -->
</body>
