@section('page-title', __tr("Manage Referral System"))
@section('head-title', __tr("Manage Referral System"))
@section('keywordName', strip_tags(__tr("Manage Referral System")))
@section('keyword', strip_tags(__tr("Manage Referral System")))
@section('description', strip_tags(__tr("Manage Referral System")))
@section('keywordDescription', strip_tags(__tr("Manage Referral System")))
@section('page-image', getAppSettings('logo_image_url'))
@section('twitter-card-image', getAppSettings('logo_image_url'))
@section('page-url', url()->current())

<?php $referralRoute = route('referral-url', ['ref_by' => getUserAuthInfo('profile.username') ]); ?>

@if(getAppSettings('enable_referral_system') == 0)
    <div class="col-12 mb-3 alert alert-danger">
        {{ __tr("As of now your referral system is off.") }}
    </div>
@endif

<h2>{{ __tr('Referral List') }}</h2>

<!-- Start of Referral Wrapper -->
<div class="card mb-4">
    <div class="card-body">
        <x-lw.datatable id="lwReferralTable" :url="route('all.referral.read.list')">
            <th  data-orderable="true" data-template="#referredByFullNameColumnTemplate" data-name="referred_by_full_name"><?= __tr('Referred By') ?></th>
            <th  data-orderable="true" data-template="#referredToFullNameColumnTemplate"  data-name="referred_to_full_name"><?= __tr('Referred To') ?></th>
            <th data-order-by="true" data-order-type="desc" data-orderable="true" data-name="created_at"><?= __tr('Date') ?></th>
    </x-lw.datatable>
    </div>
</div>
<!-- End of Referral Wrapper -->
<script type="text/template" id="referredByFullNameColumnTemplate">
    <a target="_blank" href="<%= __Utils.apiURL("<?= route('user.profile_view', ['username' => 'username']) ?>", {'username': __tData.referred_by_users_username }) %>"><%= __tData.referred_by_full_name %></a>
</script>

<script type="text/template" id="referredToFullNameColumnTemplate">
    <a target="_blank" href="<%= __Utils.apiURL("<?= route('user.profile_view', ['username' => 'username']) ?>", {'username': __tData.referred_to_users_username}) %>"><%= __tData.referred_to_full_name %></a>
</script>