@section('page-title', __tr("Refer and Earn"))
@section('head-title', __tr("Refer and Earn"))
@section('keywordName', strip_tags(__tr("Refer and Earn")))
@section('keyword', strip_tags(__tr("Refer and Earn")))
@section('description', strip_tags(__tr("Refer and Earn")))
@section('keywordDescription', strip_tags(__tr("Refer and Earn")))
@section('page-image', getAppSettings('logo_image_url'))
@section('twitter-card-image', getAppSettings('logo_image_url'))
@section('page-url', url()->current())

<?php $referralRoute = route('referral-url', ['ref_by' => getUserAuthInfo('profile.username') ]); ?>
<!-- Page Heading -->
<div class="d-sm-flex align-items-center justify-content-between mb-4 lw-page-header">
    <h1 class="h3 mb-0 text-gray-200">
        {{ __tr("Refer and Earn") }}</h5>
    </h1>
</div>
<div class="row">
    <div class="col-xl-12 mb-4">
        <div class="card mb-4">
            <div class="card-body">
                <h3 class="text-warning text-center">{{  __tr('Give __giveBonus__ and Get __bonusAmount__ credits', [
                    '__bonusAmount__' => getAppSettings('give_bonus', 'referred_by'),
                    '__giveBonus__' => getAppSettings('give_bonus', 'referred_to'),
                ]) }}</h3>
                <hr>
                <h4 class="text-success text-center">
                    @if(getAppSettings('give_bonus', 'select_type') == 1)
                        {{  __tr('You will get __bonusAmount__ credits once your referred user registered successfully and they will get __giveBonus__ credits.', [
                            '__bonusAmount__' => getAppSettings('give_bonus', 'referred_by'),
                            '__giveBonus__' => getAppSettings('give_bonus', 'referred_to'),
                        ]) }}
                    @elseif(getAppSettings('give_bonus', 'select_type') == 2)
                        {{  __tr('You will get __bonusAmount__ credits once your referred user makes the first payment and they will get __giveBonus__ credits.', [
                            '__bonusAmount__' => getAppSettings('give_bonus', 'referred_by'),
                            '__giveBonus__' => getAppSettings('give_bonus', 'referred_to'),
                        ]) }}
                    @endif
                </h4>
                <!-- Referral URL settings -->
                <fieldset class="lw-fieldset mb-3">
                    <div class="form-group mt-3">
                        <div class="d-flex">
                            <label for="lwReferralUrl">{{ __tr('Share the Referral URL') }}</label>
                        </div>
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                <span class="input-group-text" id="basic-addon1">{{ __tr('Referral URL') }}</span>
                            </div>
                            <input type="text" class="form-control p-2" readonly id="lwReferralUrl"
                                value="{{ $referralRoute }}">
                            <div class="input-group-append">
                                <button class="btn btn-outline-secondary" type="button" onclick="copyToClipboardUrlRefUrl()">
                                    <i class="fas fa-solid fa-copy"></i>
                                </button>
                            </div>
                            <div class="input-group-append">
                                <a href="https://www.facebook.com/sharer.php?u={!! $referralRoute !!}" target="_blank"
                                class="btn btn-outline-secondary" title="<?= __tr('Share on Facebook') ?>">
                                <i class="fab fa-facebook text-lg"></i>
                            </a>
                            </div>
                            <div class="input-group-append">
                                <a href="https://twitter.com/share?url={!! $referralRoute !!}&text=referral-url"
                                    target="_blank" class="btn btn-outline-secondary"
                                    title="<?= __tr('Share on Twitter') ?>">
                                    <i class="fab fa-twitter text-lg"></i>
                                </a>
                            </div>
                            <div class="input-group-append">
                                <a href="https://api.whatsapp.com/send?text={{ __tr('Get register using my link __referralRoute__ for __siteName__ and get __bonusAmount__ credits as bonus.', [
                                    '__bonusAmount__' => getAppSettings('give_bonus', 'referred_by'),
                                    '__siteName__' => getAppSettings('name'),
                                    '__referralRoute__' => urlencode($referralRoute)
                                ]) }}"
                                  target="_blank" class="btn btn-outline-secondary"
                                    title="<?= __tr('Share using WhatsApp') ?>">
                                    <i class="fab fa-whatsapp text-lg"></i>
                                </a>
                            </div>
                        </div>
                </fieldset>
                <!-- / Referral URL settings -->
            </div>
        </div>
    </div>
</div>
<!-- Start of Referral Wrapper -->
<div class="card mb-4">
    <div class="card-body">
        <x-lw.datatable id="lwReferralTable" :url="route('user.referral.read.list')">
            <th  data-orderable="true"  data-name="full_name"><?= __tr('Full Name') ?></th>
            <th  data-orderable="true"  data-order-by="true" data-order-type="desc" data-name="created_at"><?= __tr('Date') ?></th>
    </x-lw.datatable>
    </div>
</div>
<!-- End of Referral Wrapper -->