@section('page-title', __tr("Templates"))
@section('head-title', __tr("Templates"))
@section('keywordName', strip_tags(__tr("Templates")))
@section('keyword', strip_tags(__tr("Templates")))
@section('description', strip_tags(__tr("Templates")))
@section('keywordDescription', strip_tags(__tr("Templates")))
@section('page-image', getAppSettings('logo_image_url'))
@section('twitter-card-image', getAppSettings('logo_image_url'))
@section('page-url', url()->current())

<!-- Page Heading -->
<div class="d-sm-flex align-items-center justify-content-between mb-4">
    <h1 class="h3 mb-0 text-gray-200">
        <?= __tr('Manage Templates') ?>
    </h1>
    <div>
        <a href class="btn btn-primary btn-sm" data-toggle="modal" data-target="#addNewCategoryDialog"
            title="{{ __tr('Add New Category') }}" id="lwAddNewCategory">
            <?= __tr('Add New Category') ?>
        </a>
        <div class="btn-group">
			<button type="button" class="btn btn-dark btn-sm dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
				<i class="fa fa-cog"></i>
			</button>
            <div class="dropdown-menu dropdown-menu-right">
                {{-- Reset templates button --}}
                <a href="{{ route('template.file.default_reset.write') }}" class="dropdown-item lw-ajax-link-action" data-confirm="{{ __tr('Are you sure, you want to reset to default templates? it will destroy all your current templates and categories.') }}" data-method="post" data-show-processing="true">{{  __tr('Reset to Default Templates') }}</a>
                {{-- /Reset templates button --}}
                {{-- Reset templates button --}}
                <a href="{{ route('template.file.merge_default_reset.write') }}" class="dropdown-item lw-ajax-link-action" data-confirm="{{ __tr('Are you sure, you want to merge with default templates? It is recommend that you should download current template file before proceed.') }}" data-method="post" data-show-processing="true">{{  __tr('Merge with Default Templates') }}</a>
                {{-- /Reset templates button --}}
                {{-- download current collection file --}}
                <a href="{{ route('template.file.download.read') }}" class="dropdown-item">{{  __tr('Download Current Template File') }}</a>
                {{-- /download current collection file --}}
            </div>
        </div>
    </div>
</div>
<!-- Report Moderation Modal-->
<div class="modal fade" id="addNewCategoryDialog" tabindex="-1" role="dialog" aria-labelledby="addNewCategoryLabel"
    aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addNewCategoryLabel">
                    <?= __tr('Add New Category') ?>
                </h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <!-- Add new category Form -->
                <form class="lw-ajax-form lw-form" method="post" action="<?= route('category.write.create') ?>"
                    data-callback="onCategorySuccessCallback" data-show-processing="true" id="lwCreateCategoryForm">
                    <!-- title input field -->
                    <div class="form-group">
                        <label for="title">
                            <?= __tr('Title') ?>
                        </label>
                        <input type="text" class="form-control" name="title" id="title"
                            placeholder="<?= __tr('Title') ?>" required>
                    </div>
                    <!-- title input field -->
                    <!-- slug input field -->
                    <div class="form-group">
                        <label for="slug">
                            <?= __tr('Slug') ?>
                        </label>
                        <input type="text" class="form-control" name="slug" id="slug" placeholder="<?= __tr('Slug') ?>"
                            required>
                    </div>
                    <!-- slug input field -->
                    <!-- icon input field -->
                    <div class="form-group">
                        <label for="lwAddIcon">
                            <?= __tr('Icon') ?>
                        </label>
                        <select class="form-control lw-select-icon-field" id="lwAddIcon" placeholder="{{ __tr('Icon ...') }}" name="icon" required></select>
                    </div>
                    <!-- icon input field -->
                    <!-- description input field -->
                    <div class="form-group">
                        <label for="lwDescription">
                            <?= __tr('Description') ?>
                        </label>
                        <textarea name="description" id="lwDescription" class="form-control" required></textarea>
                    </div>
                    <!-- description input field -->
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light btn-sm" data-dismiss="modal">
                            <?= __tr('Cancel') ?>
                        </button>
                        <button type="submit" class="btn btn-primary btn-sm btn-user lw-btn-block-mobile">
                            <?= __tr("Submit") ?>
                        </button>
                    </div>
                </form>
                <!-- /Add new category Form -->
            </div>
        </div>
    </div>
</div>
<!-- Report Moderation Modal-->
<!-- Report Moderation Modal-->
<div class="modal fade" id="editCategoryDialog" tabindex="-1" role="dialog" aria-labelledby="reportModalLabel"
    aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div id="lw-report-content"></div>
            <script type="text/template" id="lw-category-data" data-replace-target="#lw-report-content"
                data-modal-id="#editCategoryDialog">
                <div class="modal-header">
					<h5 class="modal-title" id="reportModalLabel"><?= __tr('Edit Category') ?></h5>
					<button class="close" type="button" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body">
					<form class="lw-ajax-form lw-form" method="post" data-callback="onCategoryUpdateSuccessCallback" action="<?= route('manage.category.write.update') ?>">
						<div class="modal-body">
							<!-- for slug input hidden field -->
							<input type="hidden" name="slug" value="<%- __tData.categorySlug %>">
							<!-- /for slug input hidden field -->

                            <!-- title input field -->
                            <div class="form-group">
                                <label for="title"><?= __tr('Title') ?></label>
                                <input type="text" class="form-control" name="title" id="title"
                                    placeholder="<?= __tr('Title') ?>" value="<%- __tData.categoryData.title %>" required>
                            </div>
                            <!-- title input field -->
                            <!-- icon input field -->
                            <div class="form-group">
                                <label for="lwEditIcon">
                                    <?= __tr('Icon') ?> <small class="text-muted">{{  __tr('Current Icon:') }} <%- __tData.categoryData.icon %></small>
                                </label>
                                <select class="form-control lw-select-icon-field" id="lwEditIcon" placeholder="{{ __tr('New Icon ...') }}" name="icon"></select>
                            </div>
                            <!-- icon input field -->
                            <!-- description input field -->
                            <div class="form-group">
                                <label for="lwDescription">
                                    <?= __tr('Description') ?>
                                </label>
                            <textarea name="description" id="lwDescription" class="form-control" required><%- __tData.categoryData.description %></textarea>
                        </div>
                        <!-- description input field -->
						</div>
						<div class="modal-footer">
                            <button type="button" class="btn btn-light btn-sm" data-dismiss="modal">
                                <?= __tr('Cancel') ?>
                            </button>
							<button type="submit" class="lw-ajax-form-submit-action btn btn-primary btn-sm btn-user lw-btn-block-mobile"><?= __tr("Submit") ?></button>
						</div>
					</form>
				</div>
			</script>
        </div>
    </div>
</div>
<!-- Report Moderation Modal-->

<div class="row">
    <div class="col-xl-12">
        <!-- card -->
        <div class="card mb-4">
            <!-- card body -->
            <div class="card-body">
                <div class="lw-nav-content" id="categoryList">
                    @include('template.table')
                </div>
            </div>
        </div>
    </div>
</div>

<div id="lwCategoryDeleteConfirmationMessage" style="display: none;">
    <h3 class="text-white">
        <?= __tr('Are You Sure!') ?>
    </h3>
    <strong class="text-white">
        <?= __tr("you want to delete this Category?") ?>
    </strong>
</div>

@lwPush('appScripts')
<script>
(function($) {
"use strict";
__Utils.modalTemplatize('#lw-category-data', function(e, data) {
        return {
			'categoryData': data['categoryData'],
			'categorySlug': data['categorySlug']
		};
	}, function(e, myData) {}, function(e, myData) {
        _.defer(function() {
            initializeFontAwesomeIconsDropdown('#lwEditIcon');
        });
    });
})(jQuery);
</script>
@lwPushEnd