@section('page-title', __tr("Templates"))
@section('head-title', __tr("Templates"))
@section('keywordName', strip_tags(__tr("Templates")))
@section('keyword', strip_tags(__tr("Templates")))
@section('description', strip_tags(__tr("Templates")))
@section('keywordDescription', strip_tags(__tr("Templates")))
@section('page-image', getAppSettings('logo_image_url'))
@section('twitter-card-image', getAppSettings('logo_image_url'))
@section('page-url', url()->current())
@php
    $selectedCategory = $selectedCategoryKey ? $categoriesList[$selectedCategoryKey] : null;
@endphp
<!-- Page Heading -->
<div class="d-sm-flex align-items-center justify-content-between mb-4 lw-page-header">
    <h1 class="h3 mb-0 text-gray-200">
        {{ __tr('Templates') }}
    </h1>
       {{-- history button --}}
   <a class="btn btn-dark btn-sm lw-ajax-link-action lw-action-with-url" href="{{ route('manage.history',[
    'historyType' => 'text'
]) }}"><i class="fa fa-history" aria-hidden="true"></i> <?= __tr('Text Generation History') ?></a>
   {{-- /history button --}}
</div>
<div class="d-flex m-auto">
    <input id="lwFilterInput" placeholder="{{ __tr('Type to filter ... ') }}" type="search" class="form-control form-control-lg lw-category-filter-input offset-md-3 col-md-6">
</div>
<br>
<div class="row mt-4">
    <div class="lw-category-sidebar col-md-3 col-sm-12 p-0 pl-3 pr-3 mb-sm-4">
        <div class="lw-category-list">
            <div class="list-group list-group-flush">
                <?php $activeClass = ""; if(!$selectedCategoryKey) $activeClass = "active"; ?>
                <a href="{{ route('templates.display_list') }}" class="list-group-item list-group-item-action lw-ajax-link-action lw-action-with-url lw-category-list-item {{ $activeClass }}" >
                    {{ __tr('All') }} <small>({{ __tr($totalTemplateCount) }})</small>
                </a>
                @foreach ($categoriesList as $categoryKey => $category)
                <?php $activeClass = ""; if($selectedCategoryKey == $categoryKey) $activeClass = "active"; ?>
                <a class="list-group-item list-group-item-action lw-ajax-link-action lw-action-with-url lw-category-list-item {{ $activeClass }}" href="{{ route('templates.display_list', ['category' => $categoryKey]) }}">
                    {!! processIconDisplay($category) !!}
                    {{ $category['title'] }} <small>({{ __tr($category['template_count']) }})</small>
                </a>
                @endforeach
            </div>
        </div>
    </div>
    <div class="lw-category-content col-md-9 col-sm-12">
        <div class="row row-cols-1 row-cols-sm-1 row-cols-md-2 row-cols-lg-3 row-cols-xl-4 g-4">
            {{-- selectedCategoryKey --}}
            @if(!__isEmpty($categoriesList))
                @foreach ($categoriesList as $categoryTemplateKey => $categoryTemplates)
                @if($selectedCategoryKey and ($selectedCategoryKey != $categoryTemplateKey))
                @continue
            @endif
            @isset ($categoryTemplates['templates'])
            @foreach ($categoryTemplates['templates'] as $templateKey => $template)
            <div class="lw-template-item-box col card-group">
                <a class="card lw-ajax-link-action lw-action-with-url text-decoration-none" href="{{ route('text.generation.page',['promptKey' => $templateKey]) }}">
                    {!! processIconDisplay($template, [
                        'fa' => 'pt-4 fa-3x',
                        'http' => 'card-img-top',
                    ]) !!}
                        <div class="card-body">
                            <h5 class="card-title">{{ $template['title'] }}</h5>
                        </div>
                        <div class="card-footer">
                            <small class="text-info">{{ $template['description'] }}</small>
                          </div>
                </a>
            </div>
            @endforeach
            @endisset
            @endforeach
            @else
            <div class="col d-flex justify-content-center align-items-center text-danger h3 mt-5 lw-nothing-container">
                {{ __tr('Nothing found') }}
            </div>
            @endif
        </div>
        <div style="display: none" class="col-md-9 col-sm-12 text-center text-danger h3 mt-2 lw-nothing-container">
            {{ __tr('Nothing found') }}
        </div>
    </div>
</div>