@section('page-title', __tr("Templates"))
@section('head-title', __tr("Templates"))
@section('keywordName', strip_tags(__tr("Templates")))
@section('keyword', strip_tags(__tr("Templates")))
@section('description', strip_tags(__tr("Templates")))
@section('keywordDescription', strip_tags(__tr("Templates")))
@section('page-image', getAppSettings('logo_image_url'))
@section('twitter-card-image', getAppSettings('logo_image_url'))
@section('page-url', url()->current())
<?php
$category = request()->category;
$selectedCategoryTemplates = getPromptTemplates($category, null, ['gettext' => false]);
abortIf(!$selectedCategoryTemplates);
$title = isset($selectedCategoryTemplates['title']) ? $selectedCategoryTemplates['title'] : null
?>

<!-- Page Heading -->
<div class="d-sm-flex align-items-center justify-content-between mb-4">
    <h1 class="h3 mb-0 text-gray-200">
        <a href="<?= route('categories.list') ?>"><?= __tr('Manage Templates') ?></a> <small class="text-muted">/</small> <?= $title ?>
    </h1>
    <div>
        <a href class="btn btn-primary btn-sm" data-toggle="modal" data-target="#addNewTemplateDialog"
           id="addNewTemplateBtn" title="{{ __tr('Add New Template') }}">
            <?= __tr('Add New Template') ?>
        </a>
    <!-- back button -->
    <a class="btn btn-light btn-sm lw-ajax-link-action lw-action-with-url" data-title="{{ __tr('Manage Category') }}" href="<?= route('categories.list') ?>">
        <i class="fa fa-arrow-left" aria-hidden="true"></i> <?= __tr('Back to Categories') ?>
    </a>
    <!-- /back button -->
    </div>
</div>

<div class="row">
    <div class="col-xl-12">
        <!-- card -->
        <div class="card mb-4">
            <!-- card body -->
            <div class="card-body">
                <div class="lw-nav-content" id="templatesList">
                    @include('template.prompt-table')
                </div>
            </div>
        </div>
    </div>
</div>


<!-- Create Template Modal-->
<div class="modal fade" id="addNewTemplateDialog" tabindex="-1" role="dialog" aria-labelledby="addNewTemplateLabel"
    aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addNewTemplateLabel">
                    <?= __tr('Add New Template') ?>
                </h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">
                <!-- Add new Template Form -->
                <form class="lw-ajax-form lw-form" method="post" action="<?= route('manage.template.write.create') ?>"
                    id="addNewTemplateForm" data-callback="onTemplateSuccessCallback" data-show-processing="true" x-data='{items : []}'>

                    <div class="form-group">
                        <label for="SelectCategory">
                            <?= __tr('Select Category') ?>
                        </label>
                        <br>
                        <select name="category" class="form-control lw-ai-model-select custom-select" required id="SelectCategory">
                            @foreach (getPromptTemplates(null, null, ['gettext' => false]) as $key => $value)
                                <option value="{{ $key }}" {{ $key == $category ? 'selected' : '' }}><?= $value['title'] ?></option>
                            @endforeach
                        </select>
                    </div>
                    <!-- title input field -->
                    <div class="form-group">
                        <label for="templateTitle">
                            <?= __tr('Title') ?>
                        </label>
                        <input type="text" class="form-control" name="title" id="title"
                            placeholder="<?= __tr('Title') ?>" required>
                    </div>
                    <!-- title input field -->
                    <!-- slug input field -->
                    <div class="form-group">
                        <label for="lwTemplateSlug">
                            <?= __tr('Slug') ?>
                        </label>
                        <input type="text" class="form-control" name="slug" id="lwTemplateSlug" placeholder="<?= __tr('Slug') ?>" required>
                    </div>
                    <!-- slug input field -->
                    <!-- icon input field -->
                    <div class="form-group">
                        <label for="lwTemplateAddIcon">
                            <?= __tr('Icon') ?>
                        </label>
                            <select class="lw-select-icon-field" id="lwTemplateAddIcon" placeholder="{{ __tr('Icon ...') }}" name="icon" required></select>
                    </div>
                    <!-- icon input field -->
                    <!-- description input field -->
                    <div class="form-group">
                        <label for="lwTemplateDescription">
                            <?= __tr('Description') ?>
                        </label>
                        <textarea name="description" id="lwTemplateDescription" class="form-control" required></textarea>
                    </div>
                    <!-- description input field -->
                    <!-- Prompt input field -->
                    <div class="form-group">
                        <label for="lwTemplatePrompt">
                            <?= __tr('Prompt') ?>
                        </label>
                        <textarea name="prompt" id="lwTemplatePrompt" class="form-control" required></textarea>
                    </div>

                    <br>
                    <!-- Prompt input field -->
                    <template x-for="(item, index) in items" :key="index">
                        <div>
                            <div class="input-group">
                                <input type="hidden" x-bind:name="'input_fields[' + item.option_name + '][option_name]'"
                                    x-model="item.option_name"/>
                                {{-- <div class="lw-form-field form-control" x-text="item.option_name"></div> --}}
                                <label x-text="item.option_name"></label>
                            </div>
                            <div class="d-block pl-3">
                                <template x-for="(itemValue, itemValueIndex) in item.itemValues" :key="itemValueIndex">
                                    <div class="mt-2">
                                        <div class="input-group">
                                                <input type="hidden" x-bind:name="'input_fields[' + item.option_name + '][values][' + itemValueIndex + '][key]'"
                                                x-model="itemValueIndex"/>
                                                <div class="lw-form-field form-control" x-text="itemValueIndex"></div>

                                                <template x-if="itemValueIndex === 'type'">
                                                    <select class="lw-form-field form-control  p-2"  x-bind:name="'input_fields[' + item.option_name + '][values][' + itemValueIndex + '][value]'"
                                                    x-model="itemValue">
                                                        <option value="text">{{  __tr('Text Input Field') }}</option>
                                                        <option value="number">{{  __tr('Number Input Field') }}</option>
                                                    </select>
                                                </template>
                                                    <template x-if="itemValueIndex === 'title'">
                                                        <input type="text"
                                                        x-bind:name="'input_fields[' + item.option_name + '][values][' + itemValueIndex + '][value]'"
                                                        x-model="itemValue.value"
                                                        class="lw-form-field form-control  p-2"
                                                            placeholder="{{ __tr('Your input title') }}" />
                                                    </template>
                                                    <template x-if="itemValueIndex === 'default'">
                                                        <input type="text"
                                                        x-bind:name="'input_fields[' + item.option_name + '][values][' + itemValueIndex + '][value]'"
                                                        x-model="itemValue.value"
                                                        class="lw-form-field form-control  p-2"
                                                            placeholder="{{ __tr('Default value if any') }}" />
                                                    </template>
                                        </div>
                                    </div>
                                </template>
                            </div>
                            <hr>
                        </div>
                    </template>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light btn-sm" data-dismiss="modal">
                            <?= __tr('Cancel') ?>
                        </button>
                        <button type="submit" class="btn btn-primary btn-sm btn-user lw-btn-block-mobile">
                            <?= __tr("Submit") ?>
                        </button>
                    </div>
                </form>
                <!-- /Add new category Form -->
            </div>
        </div>
    </div>
</div>
<!-- Create Template Modal-->

<!-- update Template Modal-->
<div class="modal fade" id="editTemplateDialog" tabindex="-1" role="dialog"
    aria-labelledby="editTemplateLabel" aria-hidden="true" x-data='{templatesData : []}'>
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">
                    <?= __tr('Edit Template') ?>
                </h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form class="lw-ajax-form lw-form" data-show-processing="true" method="post"
                data-callback="onTemplateUpdateSuccessCallback" action="{{ route('manage.template.write.update') }}">
                <div class="modal-body" x-data='{newInputFields : []}'>
                    <input type="hidden" name="templateId" x-model="templatesData.slug">
                    <input type="hidden" name="categoryId" value="{{ $category }}">
                    <div class="mt-1">
                        <!-- title input field -->
                        <div class="form-group">
                            <label for="title">
                                <?= __tr('Title') ?>
                            </label>
                            <input type="text" class="form-control" name="title" id="title"
                                x-model="templatesData.title" placeholder="<?= __tr('Title') ?>" required>
                        </div>
                        <!-- title input field -->
                        <!-- icon input field -->
                        <div class="form-group">
                            <label for="lwTemplateEditIcon">
                                <?= __tr('Icon') ?> <small class="text-muted">{{  __tr('Current Icon:') }} <span x-text="templatesData.icon"></span></small>
                            </label>
                                <select class="form-control lw-select-icon-field" id="lwTemplateEditIcon" placeholder="{{ __tr('New Icon') }}" name="icon" x-model="templatesData.icon"></select>
                        </div>
                        <!-- icon input field -->
                        <!-- description input field -->
                        <div class="form-group">
                            <label for="lwDescription">
                                <?= __tr('Description') ?>
                            </label>
                            <textarea name="description" id="lwDescription" class="form-control" required
                                x-model="templatesData.description"></textarea>
                        </div>
                        <!-- description input field -->
                        <!-- Prompt input field -->
                        <div class="form-group">
                            <label for="lwEditPrompt">
                                <?= __tr('Prompt') ?>
                            </label>
                            <textarea name="prompt" id="lwEditPrompt" class="form-control" required
                                x-model="templatesData.prompt"></textarea>
                                <div class="alert alert-secondary mt-4">
                                    {{  __tr('Use __inputFieldName__ like for dynamic input option, so the dynamic input field can be created for the user to insert input values. eg. Generate __numberOfKeyWords__ for __topic__.') }}
                                </div>
                        </div>

                        <br>
                        <template x-for="(item, index) in newInputFields" :key="index">
                            <div>
                                <div class="input-group">
                                    <input type="hidden" required x-bind:name="'input_fields[' + index + '][option_name]'"
                                        x-model="index"/>
                                    <label x-text="index"></label>
                                </div>
                                <div class="d-block pl-3">
                                    <template x-for="(itemValue, itemValueIndex) in item" :key="itemValueIndex">
                                        <div class="mt-2">
                                            <div class="input-group">
                                                <input type="hidden" required
                                                    x-bind:name="'input_fields[' + index + '][values][' + itemValueIndex + '][key]'"
                                                    x-model="itemValueIndex" class="lw-form-field form-control" readonly/>
                                                    {{-- input label --}}
                                                    <div class="lw-form-field form-control" x-text="itemValueIndex"></div>
                                                    {{-- /input label --}}
                                                <template x-if="itemValueIndex === 'type'">
                                                    <select class="lw-form-field form-control  p-2" x-bind:name="'input_fields[' + index + '][values][' + itemValueIndex + '][value]'"
                                                    x-model="itemValue">
                                                        <option value="text">{{  __tr('Text Input Field') }}</option>
                                                        <option value="number">{{  __tr('Number Input Field') }}</option>
                                                    </select>
                                                </template>
                                                <template x-if="itemValueIndex === 'title'">
                                                    <input type="text"
                                                        x-bind:name="'input_fields[' + index + '][values][' + itemValueIndex + '][value]'"
                                                        x-model="itemValue"
                                                        class="lw-form-field form-control  p-2"
                                                        placeholder="{{ __tr('Your input title') }}" />
                                                </template>
                                                <template x-if="itemValueIndex === 'default'">
                                                    <input type="text"
                                                        x-bind:name="'input_fields[' + index + '][values][' + itemValueIndex + '][value]'"
                                                        x-model="itemValue"
                                                        class="lw-form-field form-control  p-2"
                                                        placeholder="{{ __tr('Default value if any') }}" />
                                                </template>
                                            </div>
                                        </div>
                                    </template>
                                </div>
                                <hr>
                            </div>
                        </template>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light btn-sm" data-dismiss="modal">
                        <?= __tr('Cancel') ?>
                    </button>
                    <button type="submit" class="btn btn-primary btn-sm">
                        <?= __tr('Update') ?>
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- update Template Modal-->

<div id="lwTemplateDeleteConfirmationMessage" style="display: none;">
    <h3 class="text-white"><?= __tr('Are You Sure!') ?></h3>
    <strong class="text-white"><?= __tr("you want to delete this Template?") ?></strong>
</div>

@lwPush('appScripts')
<script>
    (function($) {
"use strict";
    var fields = [];
    var patternToSearchInputField = /\b__([^_]+)__/g;
    function editSuccessCallback(responseData) {
        if (responseData.reaction == 1) {
            fields.push(responseData.data.templatesData);
        }

        $("#lwEditPrompt").on("input", function(event) {
            // Get the input value
            var inputValue = $(this).val();
            var res = fields[0];
            var newArr = {};

            var matches = inputValue.match(patternToSearchInputField);
            if (matches) {

                for (let i = 0; i < matches.length; i++) {
                    if (!res.hasOwnProperty(matches[i])) {
                        newArr[matches[i]] = {
                            title: ' ',
                            type: ' ',
                            default: ' '
                        }
                    }
                    else{
                        newArr[matches[i]] = res[matches[i]];
                    }

                    __DataRequest.updateModels({newInputFields : newArr});
                }
            }else{
                __DataRequest.updateModels({newInputFields : newArr});
            }
        });
    }

    $("#addNewTemplateBtn").on('click', function() {
        __DataRequest.updateModels({'items' : {}});
        $("#addNewTemplateForm")[0].reset();
        _.defer(function() {
            initializeFontAwesomeIconsDropdown('#lwTemplateAddIcon');
        });
    });

    _.defer(function() {
        initializeFontAwesomeIconsDropdown('#lwTemplateEditIcon');
    });

    $("#lwAddNewCategoryBtn").on('click', function() {
        $("#lwCreateCategory")[0].reset()
    });


    $("#lwTemplatePrompt").on("input", function() {
        // Get the input value
        var inputValue = $(this).val();
        var res = {};

        var matches = inputValue.match(patternToSearchInputField);
        if (matches) {
            for (let i = 0; i < matches.length; i++) {
               var newArr = {
                    'option_name': matches[i],
                    'itemValues' : {
                        'title' :'',
                        'type' : '',
                        'default' : ''
                    }
                };
                res[i] = newArr;
                // Your code to handle each matched pattern goes here
                __DataRequest.updateModels({items : res});
            }
        }else{
                __DataRequest.updateModels({items : res});
            }
    });


	__Utils.modalTemplatize('#lw-template-data', function(e, data) {
        return {
			'templateData': data['templateData'],
		};
	}, function(e, myData) {}, function(e, myData) {
        _.defer(function() {
            initializeFontAwesomeIconsDropdown();
        });
    });

	//on category update success callback
	window.onTemplateSuccessCallback = function (responseData) {
		if (responseData.reaction == 1) {
			$('#addNewTemplateDialog').modal('hide');
            _.defer(function() {
                __Utils.viewReload();
            });
		}
	};

    window.onTemplateUpdateSuccessCallback = function (responseData) {
        if (responseData.reaction == 1) {
            $("#editTemplateDialog").modal('hide');
            _.defer(function() {
                __Utils.viewReload();
            });
        }
    };
})(jQuery);
</script>
@lwPushEnd