@section('page-title', __tr("AI Text Generation"))
@section('head-title', __tr("AI Text Generation"))
@section('keywordName', strip_tags(__tr("AI Text Generation")))
@section('keyword', strip_tags(__tr("AI Text Generation")))
@section('description', strip_tags(__tr("AI Text Generation")))
@section('keywordDescription', strip_tags(__tr("AI Text Generation")))
@section('page-image', getAppSettings('logo_image_url'))
@section('twitter-card-image', getAppSettings('logo_image_url'))
@section('page-url', url()->current())

<!-- Page Heading -->
<div class="d-sm-flex align-items-center justify-content-between mb-4 lw-page-header">
    <h1 class="h3 mb-0 text-gray-200">
        {{ $promptTemplate['title'] }}
    </h1>
    <a class="btn btn-light btn-sm lw-ajax-link-action lw-action-with-url" data-title="{{ __tr('Templates') }}" href="<?= route('templates.display_list') ?>">
		<i class="fa fa-arrow-left" aria-hidden="true"></i> <?= __tr('Back to Templates') ?>
	</a>
</div>

<!-- Show loader when process payment request -->

<div class="row">
    <!-- Start of Page Wrapper -->
    <div class="col-md-4 mb-4">
        <!-- card -->
        <div class="card mb-4">
            <!-- card body -->
            <div class="card-body">
                <!-- form start -->
                    <form class="lw-ajax-form lw-form" data-event-stream-update="true" method="post" action="{{ route('text.generator.process') }}" data-pre-callback-event="preCallForCodeGeneration" data-callback-event="onSuccessTextGenerationCallback" data-show-processing="true">
                    <input type="hidden" name="type" value="text">
                    <input type="hidden" name="subtype" value="template">
                    @include('user.generator.partials.remaining-credits-partial')
                    {{-- prompt ket --}}
                    <input type="hidden" name="prompt_key" value="{{ request()->promptKey }}">
                     <!-- Select language -->
                     <div class="form-group">
                        <label for="lwLanguage"><?= __tr('Select a language') ?></label>
                        <select id="lwLanguage" class="form-control custom-select" name="language" required>
                            @foreach(getPromptLanguages() as $key => $value)
                                <option value="{{ $key }}" {{ getUserSettings('prompt_response_language')==$value ? 'selected' : '' }}>{{ $value }}</option>
                            @endforeach
                        </select>
                    </div>
                    <!-- /Select language -->

                    @if(isset($promptTemplate['input_fields']))
                    <!-- prompt input fields -->
                    @foreach($promptTemplate['input_fields'] as $fieldKey => $field)
                    @php
                        $field = prepareInputFieldData($field);
                    @endphp
                    <div class="form-group">
                        <label for="lw_{{ $fieldKey }}">{{ $field['title'] }}</label>
                        <input id="lw_{{ $fieldKey }}" type="{{ $field['type'] }}" class="form-control form-control-user mt-1" value="{{ $field['default'] }}" name="{{ $fieldKey }}" {{ implode(' ', (array)Arr::get($field, 'validations', [])) }}>
                    </div>
                    @endforeach
                    <!-- prompt input fields -->
                    @endif

                    <div class="form-group">
                        <!-- Generate Button -->
                        <button type="submit" class="btn btn-primary lw-btn-block-mobile">
                            <?= __tr('Generate') ?>
                        </button>
                        <!-- /Generate Button -->
                    </div>
                </form>
                <!-- /form end -->
            </div>
            <!-- /card body -->
        </div>
        <!-- /card -->
    </div>
    <!-- End of Page Wrapper -->
    <!-- Trumbowyg Start -->
    <div class="lw-generator-content col-md-8">
        <textarea x-cloak x-data="{responseTextData:'{{  __tr('You can ask me to generate the code ...') }}'}" id="textGeneratedDisplay" x-html="responseTextData" class="form-control"></textarea>
        <button type="button" class="lw-show-preview btn btn-light mt-2 ">{{  __tr('Toggle Preview') }}</button>
    </div>
    <!-- Trumbowyg End -->
</div>

<div class="container" x-data="{ latestResponses : [] }">
    <template x-for="(latestResponse, index) in latestResponses" :key="index">
        <div class="row">
            <div class="card mt-4 col-12">
                <div class="card-body">
                    {{-- Copy To Clipboard Image --}}
                    <a @click.prevent="copyToClipboard(latestResponse.prompt_response)" class="btn btn-link text-white float-right" title="{{ __tr('Copy To Clipboard Image') }}"><i class="fas fa-solid fa-copy"></i></a>
                    {{-- /Copy To Clipboard Image --}}
                    <div class="col d-inline">
                        <div class="col-sm mb-2">
                            <span>{{ __tr('Prompt :') }}</span>
                            <span x-text="latestResponse.prompt"></span>
                        </div>
                        <div class="col-sm mb-2">
                            <span>{{ __tr('Created At :') }}</span>
                            <span x-text="latestResponse.formattedCreatedAt"></span>
                        </div>

                        <div class="col-sm mb-2 d-inline">
                            <span>{{ __tr('Response :') }}</span>
                            <span x-data="{ collapse : false }">
                                <span x-show="!collapse" x-text="latestResponse.prompt_response.slice(0, 80)"></span>
                                <span class="lwShowMoreAndLessBtn" x-show="!collapse" @click="collapse = true" x-text="'Show more'"></span>

                                <span x-show="collapse" x-text="latestResponse.prompt_response"></span>
                            </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </template>
</div>
@include('user.generator.partials.generation-script-partial')