<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" dir="<?= config('CURRENT_LOCALE_DIRECTION') ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Primary Meta Tags -->
    <title>{{ getAppSettings('name') }}</title>
    <meta name="title" content="{{ getAppSettings('name') }}">
    <meta name="description" content="{{ getAppSettings('name') }}">

    <!-- Open Graph / Facebook -->
    <meta property="og:type" content="website">
    <meta property="og:url" content="{{ url('/') }}">
    <meta property="og:title" content="{{ getAppSettings('name') }}">
    <meta property="og:description" content="{{ getAppSettings('name') }}">
    <meta property="og:image" content="{{ getAppSettings('logo_image_url') }}">

    <!-- Twitter -->
    <meta property="twitter:card" content="summary_large_image">
    <meta property="twitter:url" content="{{ url('/') }}">
    <meta property="twitter:title" content="{{ getAppSettings('name') }}">
    <meta property="twitter:description" content="{{ getAppSettings('name') }}">
    <meta property="twitter:image" content="{{ getAppSettings('logo_image_url') }}">

    <?= __yesset([
        'dist/css/bootstrap-assets-app*.css',
        'dist/css/public-assets-app*.css',
        'dist/fa/css/all.min.css',
        'dist/css/custom*.css',
        'dist/css/home*.css',
        'dist/css/login-register*.css'
        ], true) ?>

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css?family=Varela+Round" rel="stylesheet">

    <link rel="shortcut icon" href="<?= getAppSettings('favicon_image_url') ?>" type="image/x-icon">
    <link rel="icon" href="<?= getAppSettings('favicon_image_url') ?>" type="image/x-icon">
</head>

<body id="page-top" class="bg-dark lw-login-register-page">
    <!-- Navigation -->
    @include('includes.outer-nav-bar')
    @php $pagetype = request()->type; @endphp
    <!-- Page Wrapper -->
    <!-- Begin Page Content -->
    <div class="lw-page-content lw-other-page-content">
        <section class="section">
            <div class="container">
                <div class="row">
                    <div class="content-area col-md-12 mx-auto">
                        <div class="site-content" role="main">
                            <article>
                                @if($pagetype == 'terms-and-conditions')
                                <div class="lw-page-description">
                                    {!! getAppSettings('terms_and_conditions') !!}
                                </div>
                                @elseif($pagetype == 'privacy-policy')
                                <div class="lw-page-description">
                                    {!! getAppSettings('privacy_policy') !!}
                                </div>
                                @endif
                            </article>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
    @include('includes.footer')

</body>

</html>