<?php $pageTitle = __tr('Contact'); ?>
@section('page-title', $pageTitle)
@section('head-title', $pageTitle)
@section('keywordName', $pageTitle)
@section('keyword', $pageTitle)
@section('description', $pageTitle)
@section('keywordDescription', $pageTitle)
@section('page-image', getAppSettings('logo_image_url'))
@section('twitter-card-image', getAppSettings('logo_image_url'))
@section('page-url', url()->current())
<!-- include header -->
@lwPush('header')
@if(isLoggedIn())
<?= __yesset([
    'dist/css/home.css',
    'dist/css/login-register*.css',
], true) ?>
@endif
@lwPushEnd
@include('includes.header')
<!-- /include header -->
<body class="lw-login-register-page">
<!-- Navigation -->
    @include('includes.outer-nav-bar')
    <img class="lw-logo-img-on-bg" src="<?= getAppSettings('logo_image_url') ?>" alt="<?= getAppSettings('name') ?>">
	<div class="lw-page-bg lw-lazy-img" data-src="<?= getRandomFeaturedImageUrl() ?>"></div>
	<div class="container">
		<!-- Outer Row -->
		<div class="row justify-content-center">
            <div class="card o-hidden border-0 shadow-lg col-xl-4 col-lg-4 col-md-4 mr-md-2 mb-sm-2">
                <div class="card-body">
                    <div class="text-center">
                        <i class="fa fa-envelope fa-4x text-primary"></i>
                        <p>
                            {{  __tr('Please feel free to contact, we will get back to you as soon as possible.') }}
                        </p>
                    </div>
                </div>
            </div>
			<div class="card o-hidden border-0 shadow-lg col-xl-6 col-lg-6 col-md-8">
                <div class="card-body ">
                    <!-- Nested Row within Card Body -->
                    <div class="row">
                        <div class="col-12">
                            <div class="p-4">
                                <!-- heading -->
                                <div class="text-center">
                                    <h2 class="text-gray-200 mb-4"><?= __tr('Contact Us') ?></h2>
                                    <hr class="mt-4 mb-4">
                                </div>
                                <!-- / heading -->
                                <!-- change password form -->
                                <form class="user lw-ajax-form lw-form" method="post" action="<?= route('user.contact.process') ?>" data-show-processing="true" data-callback="onContactMailCallback" id="lwContactMailForm">
                                    <!-- Full Name input field -->
                                    <div class="form-group">
                                        <label for="lwFullName"><?= __tr('Full Name') ?></label>
                                        <input type="text" class="form-control form-control-user" name="fullName" value="<?= isset($userFullName) ? $userFullName : '' ?>" required id="lwFullName"
                                         placeholder="">
                                    </div>
                                    <!-- / Full Name input field -->

                                    <!-- Email input field -->
                                    <div class="form-group">
                                        <label for="lwEmail"><?= __tr('Email') ?></label>
                                        <input type="email" class="form-control form-control-user" name="email" 
                                        required id="lwEmail" value="<?= isset($contactEmail) ? $contactEmail : '' ?>" placeholder="">
                                    </div>
                                    <!-- / Email input field -->

                                    <!-- Subject field -->
                                    <div class="form-group">
                                        <label for="lwSubject"><?= __tr('Subject') ?></label>
                                        <input type="text" class="form-control form-control-user" name="subject" 
                                        required id="lwSubject" placeholder="">
                                    </div>
                                    <!-- / Subject field -->

                                    <!-- Message field -->
                                    <div class="form-group">
                                        <label for="lwMessage"><?= __tr('Message') ?></label>
                                        <textarea cols="10" rows="3" class="form-control form-control-user" name="message" 
                                         id="lwMessage" placeholder=""></textarea>
                                    </div>
                                    <!-- / Message field -->
                                    @if(getAppSettings('allow_recaptcha'))
                                    <div class="form-group text-center">

                                        <div class="g-recaptcha d-inline-block" data-sitekey="{{ getAppSettings('recaptcha_site_key') }}"></div>
                                    </div>
                                    @endif
                                    <div class="text-center">
                                    <!-- Submit button -->
                                    <button type="submit" class="lw-ajax-form-submit-action btn btn-primary btn-user"><?= __tr('Submit') ?></button>
                                    <!-- / Submit button -->
                                    </div>
                                </form>
                                <!-- /change password form -->
                                <hr class="my-4">
                                <div class="text-center">
                                @if(!isLoggedIn())
                                <!-- account and login page link -->
                                <a class="btn btn-small btn-secondary" href="<?= route('user.login') ?>">
                                    <?= __tr('Back to Login') ?>
                                </a>
                                <!-- / account and login page link -->
                                @else
                                    <!-- Login Link -->
                                    <a class="btn btn-small btn-secondary" href="<?= route('dashboard_page') ?>">
                                        <?= __tr('Back to Home') ?>
                                    </a>
                                @endif
                            </div>
                            </div>
                        </div>
                    </div>
                    <!-- /Nested Row within Card Body -->
                </div>
            </div>
		</div>
		<!-- / Outer Row -->
	</div>
    @lwPush('appScripts')
<script>
(function($) {
    "use strict";
    var recaptchaInstance = "<?= getAppSettings('allow_recaptcha') ?>";
    //on contact mail form callback
    window.onContactMailCallback = function (response) {
        //check reaction code is 1
        if (response.reaction == 1) {
            //reset form
            $("#lwContactMailForm")[0].reset();
        }
        if(recaptchaInstance){
            grecaptcha.reset();
        }
    };
})(jQuery);
</script>
@lwPushEnd
@include('includes.footer')
</body>