@section('page-title', __tr("AI Code Generation"))
@section('head-title', __tr("AI Code Generation"))
@section('keywordName', strip_tags(__tr("AI Code Generation")))
@section('keyword', strip_tags(__tr("AI Code Generation")))
@section('description', strip_tags(__tr("AI Code Generation")))
@section('keywordDescription', strip_tags(__tr("AI Code Generation")))
@section('page-image', getAppSettings('logo_image_url'))
@section('twitter-card-image', getAppSettings('logo_image_url'))
@section('page-url', url()->current())
<!-- Page Heading -->
<div class="d-sm-flex align-items-center justify-content-between mb-4 lw-page-header">
    <h1 class="h3 mb-0 text-gray-200">
        {{ __tr("AI Code Generation") }}
    </h1>
    {{-- history button --}}
   <a class="btn btn-dark btn-sm lw-ajax-link-action lw-action-with-url" href="{{ route('manage.history',[
    'historyType' => 'code'
]) }}"><i class="fa fa-history" aria-hidden="true"></i> <?= __tr('Code Generation History') ?></a>
   {{-- /history button --}}
</div>
<div class="row">
    <!-- Start of Page Wrapper -->
    <div class="col-md-4 mb-4">
        <!-- card -->
        <div class="card mb-4">
            <!-- card body -->
            <div class="card-body">
                <!-- form start -->
                <form class="lw-ajax-form lw-form" data-event-stream-update="true" method="post" action="{{ route('text.generator.process') }}" data-pre-callback-event="preCallForCodeGeneration" data-callback-event="onSuccessTextGenerationCallback" data-show-processing="true">
                    @include('user.generator.partials.remaining-credits-partial')
                    <!-- Prompt field -->
                    <div class="form-group">
                        <label for="lwPrompt"><?= __tr('Prompt') ?></label>
                            <textarea name="prompt" id="lwPrompt" class="form-control" required></textarea>
                    </div>
                    <!-- / Prompt field -->

                    <!-- Select language -->
                    <div class="form-group">
                        <label for="lwLanguage">
                            <?= __tr('Select a language') ?>
                        </label>
                        <select id="lwLanguage" class="form-control custom-select" name="language" required>
                            @foreach(configItem('programming_languages_list') as $key => $value)
                            <option value="{{ $key }}" {{ getUserSettings('programming_language') == $key ? 'selected' : '' }}>{{ $value }}</option>
                            @endforeach
                        </select>
                    </div>
                    <!-- /Select language -->

                    <input type="hidden" name="type" value="code">
                    <div class="form-group">
                        <!-- Generate Button -->
                        <button type="submit" class="btn btn-primary lw-btn-block-mobile">
                            <?= __tr('Generate') ?>
                        </button>
                        <!-- /Generate Button -->
                    </div>
                </form>
                <!-- /form end -->
            </div>
            <!-- /card body -->
        </div>
        <!-- /card -->
    </div>
    <!-- End of Page Wrapper -->
    <div class="lw-generator-content col-md-8">
        <textarea x-data="{responseTextData:'{{  __tr('You can ask me to generate the code ...') }}'}" id="textGeneratedDisplay" x-html="responseTextData" class="text-muted"></textarea>
    </div>
</div>

<div class="container" x-data="{ latestCodeResponses : [] }">
    <template x-for="latestCodeResponse in latestCodeResponses" :key="index">
        <div class="row">
            <div class="card mt-4 col-12">
                <div class="card-body">
                    {{-- Copy To Clipboard Image --}}
                    <a @click.prevent="copyToClipboard(latestCodeResponse.prompt_response)" class="btn btn-link text-white float-right" title="{{ __tr('Copy To Clipboard Image') }}"><i class="fas fa-solid fa-copy"></i></a>
                    {{-- /Copy To Clipboard Image --}}
                    <div class="col d-inline">
                        <div class="col-sm mb-2">
                            <span>{{ __tr('Prompt :') }}</span>
                            <span x-text="latestCodeResponse.prompt"></span>
                        </div>
                        <div class="col-sm mb-2">
                            <span>{{ __tr('Created At :') }}</span>
                            <span x-text="latestCodeResponse.formattedCreatedAt"></span>
                        </div>

                        <div class="col-sm mb-2 d-inline">
                            <span>{{ __tr('Response :') }}</span>
                            <span x-text="latestCodeResponse.prompt_response"></span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </template>
</div>
@include('user.generator.partials.generation-script-partial')