@section('page-title', __tr("Image Depth Animation"))
@section('head-title', __tr("Image Depth Animation"))
@section('keywordName', strip_tags(__tr("Image Depth Animation")))
@section('keyword', strip_tags(__tr("Image Depth Animation")))
@section('description', strip_tags(__tr("Image Depth Animation")))
@section('keywordDescription', strip_tags(__tr("Image Depth Animation")))
@section('page-image', getAppSettings('logo_image_url'))
@section('twitter-card-image', getAppSettings('logo_image_url'))
@section('page-url', url()->current())
<?php
   $allowedFileTypes = config('yes-file-storage.element_config')['image_animation']['restrictions']['allowedFileTypes'];
?>
<!-- Page Heading -->
<div class="d-sm-flex align-items-center justify-content-between mb-4 lw-page-header">
    <h1 class="h3 mb-0 text-gray-200">
        {{ __tr("Image Depth Animation") }}
    </h1>
    {{-- history button --}}
   <a class="btn btn-dark btn-sm lw-ajax-link-action lw-action-with-url" href="{{ route('manage.history',[
    'historyType' => 'image-animation'
]) }}"><i class="fa fa-history" aria-hidden="true"></i> <?= __tr('Image Animation History') ?></a>
   {{-- /history button --}}
</div>
<div x-data="{tempUploadedImage:null,animationVideoPath:null,requestFailedOrComplete:false,tempImageFileName:null}">
    <div class="row">
        <div class="col">
            @include('user.generator.partials.remaining-credits-partial', ['contentType' => 'image_animation'])
        </div>
    </div>
    <div class="row" x-cloak>
        <div class="col my-5">
            <div class="card lw-profile-image-card-container align-items-center">
                <div class="col-12 text-center mt-3">
                    <h2 class="text-warning">{{  __tr('Bring life to your images') }}</h2>
                    <div class="lw-transition ">
                        <h3 x-show="animationVideoPath"  class="text-success">{{  __tr('Congratulations!! Your image animation is ready') }}</h3>
                        <a x-show="animationVideoPath" class="btn btn-primary" :href="animationVideoPath" download>{{ __tr('Download') }}</a>
                        <a x-show="requestFailedOrComplete" class="btn btn-secondary lw-ajax-link-action lw-action-with-url" data-event-callback="lwPrepareUploadPlugIn" href="<?= route('image.conversion_animation.view') ?>" >{{ __tr('Create New') }}</a>
                    </div>
                    <hr>
                </div>
                {{-- upload container --}}
                <div x-show="!tempUploadedImage && !animationVideoPath" class="col-lg-9 p-5 lw-transition ">
                    <input type="file" name="filepond" class="filepond lw-file-uploader mt-3" id="lwFileUploader"
                        data-instant-upload="true" data-action="<?= route('user.upload_source_animation_image') ?>"
                        data-allowed-media='<?= getMediaRestriction('image_animation') ?>'
                        data-event-callback="tempAnimationFileUploaded" data-label-idle="<?= __tr(" Drag & Drop your Image or __browseAction__", [ '__browseAction__'=> "<span class='filepond--label-action'>" . __tr('Browse') . "</span>"]) ?>">
                </div>
                {{-- /upload container --}}
                {{-- Form for the processing request --}}
                <form method="post" id="lwImageAnimationRequestForm" data-event-stream-update="true" action="{{ route('image.conversion_animation.process') }}" class="lw-ajax-form lw-image-generator-block col-lg-12" data-callback="onImageAnimationRequestSuccessCallback" data-show-processing="true">
                    <input type="hidden" name="temp_image_uploaded" :value="tempUploadedImage">
                    <input type="hidden" name="temp_image_file_name" :value="tempImageFileName">
                    <div class="col-lg-10 offset-lg-1 p-5" >
                        <video id="lwAnimationVideo" x-show="animationVideoPath" width="100%" height="100%" loop>
                            <source :src="animationVideoPath" type="video/mp4">{{ __tr('Your browser does not support the video tag.') }}
                        </video>
                        <img class="img-fluid" x-show="tempUploadedImage && !animationVideoPath" :src="tempUploadedImage">
                    </div>
                </form>
                {{-- /Form for the processing request --}}
            </div>
        </div>
    </div>
</div>
    <!-- End of Page Wrapper -->