@section('page-title', __tr("AI Speech To Text Generation"))
@section('head-title', __tr("AI Speech To Text Generation"))
@section('keywordName', strip_tags(__tr("AI Speech To Text Generation")))
@section('keyword', strip_tags(__tr("AI Speech To Text Generation")))
@section('description', strip_tags(__tr("AI Speech To Text Generation")))
@section('keywordDescription', strip_tags(__tr("AI Speech To Text Generation")))
@section('page-image', getAppSettings('logo_image_url'))
@section('twitter-card-image', getAppSettings('logo_image_url'))
@section('page-url', url()->current())
<?php
   $allowedFileTypes = config('yes-file-storage.element_config')['speech_audio']['restrictions']['allowedFileTypes'];
?>

<!-- Page Heading -->
<div class="d-sm-flex align-items-center justify-content-between mb-4 lw-page-header">
    <h1 class="h3 mb-0 text-gray-200">
        {{ __tr("AI Speech To Text Generation") }}
    </h1>
    {{-- history button --}}
   <a class="btn btn-dark btn-sm lw-ajax-link-action lw-action-with-url" href="{{ route('manage.history',[
    'historyType' => 'speech-to-text'
]) }}"><i class="fa fa-history" aria-hidden="true"></i> <?= __tr('Speech to Text Generation History') ?></a>
   {{-- /history button --}}
</div>
<div class="row">
    <div class="col">
        @include('user.generator.partials.remaining-credits-partial', ['contentType' => 'speech_to_text'])
    </div>
</div>
<div class="row lw-transition" x-data="{requestFailedOrComplete:false}">
    <div x-show="!requestFailedOrComplete" class="card lw-profile-image-card-container align-items-center">
        <div class="col-lg-9 ">
            <input type="file" name="filepond" class="filepond lw-file-uploader mt-3" id="lwFileUploader"
                data-instant-upload="true" data-action="<?= route('user.upload_speech_audio') ?>"
                data-allowed-media='<?= getMediaRestriction('speech_audio') ?>'
                data-callback="speechToTextCallbackResponse" data-label-idle="<?= __tr(" Drag & Drop your Audio or
                __browseAction__", [ '__browseAction__'=> "<span class='filepond--label-action'>" . __tr('Browse') .
                "</span>"]) ?>">
        </div>
    </div>
    <div class="alert alert-secondary col-12 text-center mt-3" role="alert">
        {{ __tr("Note : You can only upload the specified file type for AI speech to text generation as indicated below.") }}
        <div class="font-weight-bold">{{ implode(', ', $allowedFileTypes) }}</div>
    </div>
    <div class="col-12 text-center my-3">
        <a x-show="requestFailedOrComplete" class="btn btn-secondary lw-ajax-link-action lw-action-with-url" data-event-callback="lwPrepareUploadPlugIn" href="<?= route('speech_to_text.read.view') ?>" >{{ __tr('Generate New') }}</a>
    </div>
    <div x-cloak class="lw-generator-content col-md-12">
        <textarea  x-data="{responseTextData:''}" id="textGeneratedDisplay" x-html="responseTextData" class="form-control"></textarea>
        <button type="button" class="lw-show-preview btn btn-light mt-2 ">{{  __tr('Toggle Preview') }}</button>
    </div>
</div>

@include('user.generator.partials.generation-script-partial')
@lwPush('appScripts')
<script>
    // After successfully upload profile picture
	window.speechToTextCallbackResponse = function (responseData) {
		if(responseData.reaction == 1) {
            __DataRequest.get("{{ route('user.credit_wallet_balance.read.view') }}");
            __DataRequest.updateModels({requestFailedOrComplete:true});
            $(document).trigger('updateAiGenerationResponseText', {
                    data: responseData.data.response,
                    // scopeElement: $this
                });
        }
	}
</script>
@lwPushEnd