@section('page-title', __tr('AI Text Generation'))
@section('head-title', __tr('AI Text Generation'))
@section('keywordName', strip_tags(__tr('AI Text Generation')))
@section('keyword', strip_tags(__tr('AI Text Generation')))
@section('description', strip_tags(__tr('AI Text Generation')))
@section('keywordDescription', strip_tags(__tr('AI Text Generation')))
@section('page-image', getAppSettings('logo_image_url'))
@section('twitter-card-image', getAppSettings('logo_image_url'))
@section('page-url', url()->current())

<!-- Page Heading -->
<div class="d-sm-flex align-items-center justify-content-between mb-4 lw-page-header">
    <h1 class="h3 mb-0 text-gray-200">
        {{ __tr('AI Text Generation') }}
    </h1>
   {{-- history button --}}
   <a class="btn btn-dark btn-sm lw-ajax-link-action lw-action-with-url" href="{{ route('manage.history',[
    'historyType' => 'text'
]) }}"><i class="fa fa-history" aria-hidden="true"></i> <?= __tr('Text Generation History') ?></a>
   {{-- /history button --}}
</div>
<div class="row">
    <!-- Start of Page Wrapper -->
    <div class="col-md-4 mb-4">
        <!-- card -->
        <div class="card mb-4">
            <!-- card body -->
            <div class="card-body">
                    @include('user.generator.partials.remaining-credits-partial')
                    <!-- form start -->
                    <form class="lw-ajax-form lw-form" data-event-stream-update="true" method="post" action="{{ route('text.generator.process') }}" data-pre-callback-event="preCallForCodeGeneration" data-callback-event="onSuccessTextGenerationCallback" data-show-processing="true">
                    <!-- Select language -->
                    <div class="form-group">
                        <label for="lwLanguage"><?= __tr('Select a language') ?></label>
                        <select id="lwLanguage" class="form-control custom-select" name="language" required>
                            @foreach (getPromptLanguages() as $key => $value)
                            <option value="{{ $key }}" {{ getUserSettings('prompt_response_language')==$value
                                ? 'selected' : '' }}>
                                {{ $value }}</option>
                            @endforeach
                        </select>
                    </div>
                    <!-- /Select language -->
                    <!-- Prompt field -->
                    <div class="form-group">
                        <label for="lwPrompt"><?= __tr('Prompt') ?></label>
                        <textarea name="prompt" id="lwPrompt" class="form-control" required></textarea>
                    </div>
                    <!-- / Prompt field -->
                    <input type="hidden" name="type" value="text">
                    <div class="form-group">
                        <!-- Generate Button -->
                        <button type="submit" class="btn btn-primary lw-btn-block-mobile">
                            <?= __tr('Generate') ?>
                        </button>
                        <!-- /Generate Button -->
                    </div>
            </div>
        </form>
            <!-- /card body -->
        </div>
        <!-- /card -->
    </div>
    <!-- End of Page Wrapper -->
    <div class="lw-generator-content col-md-8">
        <textarea x-cloak x-data="{responseTextData:'{{  __tr('You can ask me to generate the code ...') }}'}" id="textGeneratedDisplay" x-html="responseTextData" class="form-control"></textarea>
        <button type="button" class="lw-show-preview btn btn-light mt-2 ">{{  __tr('Toggle Preview') }}</button>
    </div>
</div>
<!-- /form end -->
<div class="container" x-data="{ latestResponses : [] }">
    <template x-for="latestResponse in latestResponses" :key="index">
        <div class="row">
            <div class="card mt-4 col-12">
                <div class="card-body">
                    <div>
                        {{-- Copy To Clipboard Image --}}
                        <a @click.prevent="copyToClipboard(latestResponse.prompt_response)" class="btn btn-link text-white float-right" title="{{ __tr('Copy To Clipboard Image') }}"><i class="fas fa-solid fa-copy"></i></a>
                        {{-- /Copy To Clipboard Image --}}
                    </div>
                    <div class="col d-inline">
                        <div class="col-sm mb-2">
                            <span>{{ __tr('Prompt :') }}</span>
                            <span x-text="latestResponse.prompt"></span>
                        </div>
                        <div class="col-sm mb-2">
                            <span>{{ __tr('Created At :') }}</span>
                            <span x-text="latestResponse.formattedCreatedAt"></span>
                        </div>
                        <div class="col-sm mb-2 d-inline">
                            <span>{{ __tr('Response :') }}</span>
                            <span x-data="{ collapse : false }">
                                <span x-show="!collapse" x-text="latestResponse.prompt_response.slice(0, 80)"></span>
                                <span class="lwShowMoreAndLessBtn" x-show="!collapse" @click="collapse = true" x-text="'Show more'"></span>

                                <span x-show="collapse" x-text="latestResponse.prompt_response"></span>
                            </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </template>
</div>
@include('user.generator.partials.generation-script-partial')