<?php $pageTitle = __tr('Login With OTP'); ?>
@section('page-title', $pageTitle)
@section('head-title', $pageTitle)
@section('keywordName', $pageTitle)
@section('keyword', $pageTitle)
@section('description', $pageTitle)
@section('keywordDescription', $pageTitle)
@section('page-image', getAppSettings('logo_image_url'))
@section('twitter-card-image', getAppSettings('logo_image_url'))
@section('page-url', url()->current())
<!-- include header -->
@include('includes.header')
<!-- /include header -->

<body class="lw-login-register-page">
<!-- Navigation -->
    @include('includes.outer-nav-bar')
    <img class="lw-logo-img-on-bg" src="<?= getAppSettings('logo_image_url') ?>" alt="<?= getAppSettings('name') ?>">
    <div class="lw-page-bg lw-lazy-img" data-src="<?= getRandomFeaturedImageUrl() ?>"></div>
    <div class="container">
        <!-- Outer Row -->
        <div class="row justify-content-center">
            <div class="col-lg-6 col-md-9">
                <div class="card o-hidden border-0 shadow-lg">
                    <div class="card-body ">
                        <!-- Nested Row within Card Body -->
                        <div class="row">
                            <div class="col-12">
                                <div class="">
                                    <!-- heading -->
                                    <div class="text-center">
                                        <h2 class="text-gray-200 mb-4">
                                            <?= __tr('Login with OTP') ?>
                                        </h2>
                                        <hr class="mt-4 mb-4">
                                    </div>
                                    <!-- / heading -->
                                    <!-- otp Login form -->
                                    <form class="user lw-ajax-form lw-form" method="post"
                                        action="<?= route('send.otp') ?>" data-show-processing="true"
                                        data-callback="onOtpLoginCallback" id="lwOtpLoginForm">
                                        <div class="form-group">
                                            <label for="lwEmailOrUsername">
                                                @if (getAppSettings('allow_user_login_with_mobile_number')) {{ __tr('Email or Mobile') }} @else {{ __tr('Email ') }} @endif
                                            </label>
                                            <input type="text" class="form-control form-control-user"
                                                name="emailOrMobile" required id="lwEmailOrUsername" value=""
                                                placeholder="">
                                        </div>
                                        <!-- / Message field -->
                                        @if(getAppSettings('allow_recaptcha'))
                                       <div class="form-group text-center">
    
                                        <div class="g-recaptcha d-inline-block"
                                            data-sitekey="{{ getAppSettings('recaptcha_site_key') }}"></div>
                                       </div>
                                        @endif
    
                                        <!-- Submit button -->
                                        <button type="submit"
                                            class="btn btn-lg btn-primary btn-block mt-3">
                                            <?= __tr('Send OTP') ?>
                                        </button>
                                        <!-- / Submit button -->
                                        <!-- / Back to login button -->
                                        <hr class="my-4">
                                    <div class="text-center">
                                        <!-- Login Link -->
                                        <h5 class="mb-3"> <?= __tr('Want to login with Password?') ?></h5>
                                        <a class="btn btn-small btn-secondary" href="<?= route('user.login') ?>">
                                            <?= __tr('Back to Login') ?>
                                        </a>
                                        <!-- /Login Link -->
                                        <!-- / Back to login button -->
                                    </form>
                                    <!-- /otp Login form -->
    
                                </div>
                            </div>
                        </div>
                        <!-- /Nested Row within Card Body -->
                    </div>
                </div>
            </div>
        </div>
        <!-- / Outer Row -->
    </div>
    @lwPush('appScripts')
<script>
    (function($) {
"use strict";
var recaptchaInstance = "<?= getAppSettings('allow_recaptcha') ?>";
    //on otp login form callback
    window.onOtpLoginCallback = function (response) {
        //check reaction code is 1
        if (response.reaction == 1) {
            //reset form
            $("#lwOtpLoginForm")[0].reset();
        }
        if(recaptchaInstance){
            grecaptcha.reset();
        }
    };
})(jQuery);
</script>
@lwPushEnd
@include('includes.footer')
</body>