@section('page-title', strip_tags($userData['userName']))
@section('head-title', strip_tags($userData['userName']))
@section('page-url', url()->current())

@if(isset($userData['aboutMe']))
@section('keywordName', strip_tags($userProfileData['aboutMe']))
@section('keyword', strip_tags($userProfileData['aboutMe']))
@section('description', strip_tags($userProfileData['aboutMe']))
@section('keywordDescription', strip_tags($userProfileData['aboutMe']))
@endif

@if(isset($userData['profilePicture']))
@section('page-image', $userData['profilePicture'])
@endif
{{-- @if(isset($userData['coverPicture']))
@section('twitter-card-image', $userData['coverPicture'])
@endif --}}



<!-- if user block then don't show profile page content -->
<div class="lw-contains-profile-fields">
	<div class="card mb-3">
		<div class="card-header">
			<h4>
				<?= $userData['fullName'] ?>
				@if(!__isEmpty($userData['userAge'])) (<span data-model="userData.userAge">
					<?= __tr($userData['userAge']) ?>
				</span>) @endif

				@if(__ifIsset($userProfileData['isVerified'])
				and $userProfileData['isVerified'] == 1)
				<i class="fas fa-user-check text-info"></i>
				@endif
			</h4>
			<hr>
		</div>
	</div>
	<!-- User Profile and Cover photo -->
	<div class="card mb-4 lw-profile-image-card-container">
		<div class="card-body">
			@if($isOwnProfile)
			<span class="lw-profile-edit-button-container">
				<a class="lw-icon-btn" href role="button" id="lwEditProfileAndCoverPhoto">
					<i class="fa fa-pencil-alt"></i>
				</a>
				<a class="lw-icon-btn" href role="button" id="lwCloseProfileAndCoverBlock" style="display: none;">
					<i class="fa fa-times"></i>
				</a>
			</span>
			@endif
			<div class="row justify-content-center" id="lwProfileAndCoverStaticBlock">
				<div class="col-lg-4">
					<div class="card  lw-profile-image-card-container">
						<img class="lw-profile-thumbnail  lw-photoswipe-gallery-img lw-lazy-img"
							id="lwProfilePictureStaticImage"
							data-src="<?= imageOrNoImageAvailable($userData['profilePicture']) ?>">
						
					</div>
				</div>
			</div>
			@if($isOwnProfile)
			<div class="row justify-content-center" id="lwProfileAndCoverEditBlock" style="display: none;">
				<div class="col-lg-3">
					<input type="file" name="filepond" class="filepond lw-file-uploader" id="lwFileUploader"
						data-remove-media="true" data-instant-upload="true" data-callback="afterUploadedProfilePicture"
						data-action="<?= route('user.upload_profile_image') ?>" data-label-idle="<?= __tr(" Drag & Drop
						your picture or __browseAction__", [ '__browseAction__'=> "<span
						class='filepond--label-action'>" . __tr('Browse') . "</span>"
					]) ?>" data-image-preview-height="170" data-image-crop-aspect-ratio="1:1"
					data-style-panel-layout="compact circle" data-style-load-indicator-position="center bottom"
					data-style-progress-indicator-position="right bottom" data-style-button-remove-item-position="left
					bottom" data-style-button-process-item-position="right bottom"
					data-callback="afterUploadedProfilePicture">
				</div>
				
			</div>
			@endif
		</div>
	</div>
	<!-- /User Profile and Cover photo -->

	@if(isset($userProfileData['aboutMe']) and $userProfileData['aboutMe'])
	<div class="card mb-3">
		<div class="card-header">
			<h5><i class="fas fa-user text-primary"></i>
				<?= __tr('About Me') ?>
			</h5>
		</div>
		<div class="card-body">
			<!-- About Me -->
			<div class="form-group">
				<div class="lw-inline-edit-text" data-model="profileData.aboutMe">
					<?= __ifIsset($userProfileData['aboutMe'], $userProfileData['aboutMe'], '-') ?>
				</div>
			</div>
			<!-- /About Me -->
		</div>
	</div>
	@endif

	<!-- User Basic Information -->
	<div class="card mb-3">
		<!-- Basic information Header -->
		<div class="card-header">
			<!-- Check if its own profile -->
			@if($isOwnProfile)
			<span class="float-right">
				<a class="lw-icon-btn" href role="button" id="lwEditBasicInformation">
					<i class="fa fa-pencil-alt"></i>
				</a>
				<a class="lw-icon-btn" href role="button" id="lwCloseBasicInfoEditBlock" style="display: none;">
					<i class="fa fa-times"></i>
				</a>
			</span>
			@endif
			<!-- /Check if its own profile -->
			<h5><i class="fas fa-info-circle text-info"></i>
				<?= __tr('Basic Information') ?>
			</h5>
		</div>
		<!-- /Basic information Header -->
		<!-- Basic Information content -->
		<div class="card-body">
			<!-- Static basic information container -->
			<div id="lwStaticBasicInformation">
				@if($isOwnProfile)
				<div class="form-group row">
					<!-- First Name -->
					<div class="col-sm-6 mb-3 mb-sm-0">
						<label for="first_name"><strong>
								<?= __tr('First Name') ?>
							</strong></label>
						<div class="lw-inline-edit-text" data-model="userData.first_name">
							<?= __ifIsset($userData['first_name'], $userData['first_name'], '-') ?>
						</div>
					</div>
					<!-- /First Name -->
					<!-- Last Name -->
					<div class="col-sm-6">
						<label for="last_name"><strong>
								<?= __tr('Last Name') ?>
							</strong></label>
						<div class="lw-inline-edit-text" data-model="userData.last_name">
							<?= __ifIsset($userData['last_name'], $userData['last_name'], '-') ?>
						</div>
					</div>
					<!-- /Last Name -->
				</div>
				@endif
				<div class="form-group row">
					<!-- Gender -->
					<div class="col-sm-6 mb-3 mb-sm-0">
						<label for="select_gender"><strong>
								<?= __tr('Gender') ?>
							</strong></label>
						<div class="lw-inline-edit-text" data-model="profileData.gender_text">
							<?= __ifIsset($userProfileData['gender_text'], $userProfileData['gender_text'], '-') ?>
						</div>
					</div>
					<!-- /Gender -->
					<!-- Birthday -->
					<div class="col-sm-6">
						<label for="birthday"><strong>
								<?= __tr('Birthday') ?>
							</strong></label>
						<div class="lw-inline-edit-text d-block" data-model="profileData.birthday">
							<?= __ifIsset($userProfileData['birthday'], $userProfileData['birthday'], '-') ?>
						</div>
					</div>
					<!-- /Birthday -->
				</div>
				{{-- @if(array_get($userProfileData, 'showMobileNumber')) --}}
				<div class="form-group row">
					<!-- Mobile Number -->
					<div class="col-sm-6 mb-3 mb-sm-0">
						<label for="mobile_number"><strong>
								<?= __tr('Mobile Number') ?>
							</strong></label>
						<div class="lw-inline-edit-text" data-model="profileData.mobile_number">
							<?= __ifIsset($userProfileData['mobile_number'], $userProfileData['mobile_number'], '-') ?>
						</div>
					</div>
					<!-- /Mobile Number -->
				</div>
				{{-- @endif --}}
			</div>
			<!-- /Static basic information container -->

			@if($isOwnProfile)
			<!-- User Basic Information Form -->
			<form class="lw-ajax-form lw-form" lwSubmitOnChange method="post" data-show-message="true"
				action="<?= route('user.write.basic_setting') ?>" data-callback="getUserProfileData"
				style="display: none;" id="lwUserBasicInformationForm">
				<div class="form-group row">
					<!-- First Name -->
					<div class="col-sm-6 mb-3 mb-sm-0">
						<label for="first_name">
							<?= __tr('First Name') ?>
						</label>
						<input type="text" value="<?= $userData['first_name'] ?>" class="form-control" name="first_name"
							placeholder="<?= __tr('First Name') ?>">
					</div>
					<!-- /First Name -->
					<!-- Last Name -->
					<div class="col-sm-6">
						<label for="last_name">
							<?= __tr('Last Name') ?>
						</label>
						<input type="text" value="<?= $userData['last_name'] ?>" class="form-control" name="last_name"
							placeholder="<?= __tr('Last Name') ?>">
					</div>
					<!-- /Last Name -->
				</div>
				<div class="form-group row">
					<!-- Gender -->
					<div class="col-sm-6 mb-3 mb-sm-0">
						<label for="select_gender">
							<?= __tr('Gender') ?>
						</label>
						<select name="gender" class="form-control custom-select" id="select_gender">
							<option value="" selected disabled>
								<?= __tr('Choose your gender') ?>
							</option>
							@foreach($genders as $genderKey => $gender)
							<option value="<?= $genderKey ?>" <?=(__ifIsset($userProfileData['gender']) and
								$genderKey==$userProfileData['gender']) ? 'selected' : '' ?>>
								<?= $gender ?>
							</option>
							@endforeach
						</select>
					</div>
					<!-- /Gender -->
					<!-- Birthday -->
					<div class="col-sm-6">
						<label for="birthday">
							<?= __tr('Birthday') ?>
						</label>
						<input type="date" class="form-control d-block" name="birthday"
							placeholder="<?= __tr('DD-MM-YYYY') ?>"
							value="<?= __ifIsset($userProfileData['dob'], $userProfileData['dob']) ?>" required="true">
					</div>
					<!-- /Birthday -->
				</div>
				@if($isOwnProfile)

				<div class="form-group row">
					<!-- Mobile Number -->
					<div class="form-group col-sm-6">
						<label for="lwMobileNUmberField">
							<?= __tr('Mobile Number') ?>
						</label>
						<div class="input-group">
							<select name="country_code" class="custom-select form-control lw-country-code-select"
								id="country_code" required>
								<option value="">{{ __tr('Select Country Code') }}</option>
								@foreach(getCountryPhoneCodes() as $getCountryCode)
								<option value="<?= $getCountryCode['phone_code'] ?>"
									<?=($userData['country_code']==$getCountryCode['phone_code']) ? 'selected' : '' ?>>
									<?= $getCountryCode['name'] ?> (0{{ $getCountryCode['phone_code'] }})
								</option>
								@endforeach
							</select>
							<input type="number" value="{{ $userData['mobile_number'] }}"
								class="form-control lw-remove-spinner" placeholder="{{  __tr('Mobile Number') }}"
								name="mobile_number" required minlength="8" maxlength="15">
						</div>
					</div>
					<!-- /Mobile Number -->
				</div>
				@endif
			</form>
			<!-- /User Basic Information Form -->
			@endif
		</div>
	</div>
	<!-- /User Basic Information -->

	<!-- User block Confirmation text html -->
	<div id="lwBlockUserConfirmationText" style="display: none;">
		<h3>
			<?= __tr('Are You Sure!') ?>
		</h3>
		<strong>
			<?= __tr('You want to block this user.') ?>
		</strong>
	</div>
	<!-- /User block Confirmation text html -->

	<!-- /if user block then don't show profile page content -->

	@lwPush('appScripts')
	<script>
        (function($) {
"use strict";
		// Get user profile data
	window.getUserProfileData = function (response) {
		// If successfully stored data
		if (response.reaction == 1) {
			__DataRequest.get("<?= route('user.get_profile_data', ['username' => getUserAuthInfo('profile.username')]) ?>", {}, function(responseData) {
				var requestData = responseData.data;
				__DataRequest.updateModels('userData', requestData.userData);
				__DataRequest.updateModels('profileData', requestData.userProfileData);
			});
		}
	};

	// Click on edit / close button 
	$('#lwEditBasicInformation, #lwCloseBasicInfoEditBlock').click(function(e) {
		e.preventDefault();
		showHideBasicInfoContainer();
	});
	// Show / Hide basic information container
	window.showHideBasicInfoContainer = function () {
		$('#lwUserBasicInformationForm').toggle();
		$('#lwStaticBasicInformation').toggle();
		$('#lwCloseBasicInfoEditBlock').toggle();
		$('#lwEditBasicInformation').toggle();
	};

	// Click on profile and cover container edit / close button
	$('#lwEditProfileAndCoverPhoto, #lwCloseProfileAndCoverBlock').click(function(e) {
		e.preventDefault();
		showHideProfileAndCoverPhotoContainer();
	});
	// Hide / show profile and cover photo container
	window.showHideProfileAndCoverPhotoContainer = function () {
		$('#lwProfileAndCoverStaticBlock').toggle();
		$('#lwProfileAndCoverEditBlock').toggle();
		$('#lwEditProfileAndCoverPhoto').toggle();
		$('#lwCloseProfileAndCoverBlock').toggle();
	};
	// After successfully upload profile picture
	window.afterUploadedProfilePicture = function (responseData) {
		$('#lwProfilePictureStaticImage, .lw-profile-thumbnail').attr('src', responseData.data.image_url);
	};
})(jQuery);
	</script>
	@lwPushEnd