<?php $pageTitle = __tr('Create an Account'); ?>
@section('page-title', $pageTitle)
@section('head-title', $pageTitle)
@section('keywordName', strip_tags(__tr('Create an Account!')))
@section('keyword', strip_tags(__tr('Create an Account!')))
@section('description', strip_tags(__tr('Create an Account!')))
@section('keywordDescription', strip_tags(__tr('Create an Account!')))
@section('page-image', getAppSettings('logo_image_url'))
@section('twitter-card-image', getAppSettings('logo_image_url'))
@section('page-url', url()->current())

<!-- include header -->
@include('includes.header')
<!-- /include header -->
<body class="lw-login-register-page">
<!-- Navigation -->
    @include('includes.outer-nav-bar')
    <img class="lw-logo-img-on-bg" src="<?= getAppSettings('logo_image_url') ?>" alt="<?= getAppSettings('name') ?>">
    <div class="lw-page-bg lw-lazy-img" data-src="<?= getRandomFeaturedImageUrl() ?>"></div>
    <!-- container start -->
    <div class="container">
        <div class="row justify-content-center">
            <!-- card -->
            <div class="card o-hidden border-0 shadow-lg col-xl-8 col-lg-6 col-md-8">
                <!-- card body -->
                <div class="card-body p-0">
                    <!-- Nested Row within Card Body -->
                    <div class="row">
                        <!-- /background image -->
                        <div class="col-12">
                            <div class="p-4">
                                <!-- page heading -->
                                <div class="text-center">
                                    @if(isset($referredByFullName))
                                    <div class="alert bg-dark border-0 mb-5">
                                        <strong>{{  __tr('Hooray ... you have been referred by __ref_by__', [
                                            '__ref_by__' => $referredByFullName
                                        ]) }}</strong>
                                            <p class="text-success pt-2">
                                            @if(getAppSettings('give_bonus', 'select_type') == 1)
                                                {{  __tr('You will get __bonusAmount__ credits once you register.', [
                                                    '__bonusAmount__' => getAppSettings('give_bonus', 'referred_to'),
                                                ]) }}
                                            @elseif(getAppSettings('give_bonus', 'select_type') == 2)
                                                {{  __tr('You will get __bonusAmount__ credits on your a first payment.', [
                                                    '__bonusAmount__' => getAppSettings('give_bonus', 'referred_to'),
                                                ]) }}
                                            @endif
                                        </p>
                                    </div>
                                    @endif
                                    <h2 class="text-gray-200 mb-4">
                                        <?= __tr('Create an Account!') ?>
                                    </h2>
                                    <hr class="mt-4 mb-4">
                                </div>
                                <!-- /page heading -->
                                <form class="user lw-ajax-form lw-form" method="post" data-callback="onSignUpSuccessCallback"
                                    action="<?= route('user.sign_up.process') ?>" data-show-processing="true"
                                    data-secured="true" data-unsecured-fields="first_name,last_name">
                                    <div class="form-group row">
                                        @php
                                        $referralCookie = request()->cookie('user_referred_by');
                                        @endphp
                                        @if(!__isEmpty( $referralCookie))
                                            <input type="hidden" name="user_referred_by" value="{{  $referralCookie }}">
                                        @endif
                                        <!-- First Name -->
                                        <div class="col-sm-6 mb-3 mb-sm-0">
                                            <label for="lwFirstName"><?= __tr('First Name') ?></label>
                                            <input type="text" class="form-control  d-block d-block" name="first_name"
                                                placeholder="" required minlength="3">
                                        </div>
                                        <!-- /First Name -->

                                        <!-- Last Name -->
                                        <div class="col-sm-6">
                                            <label for="lwLastName"><?= __tr('Last Name') ?></label>
                                            <input type="text" class="form-control  d-block" name="last_name"
                                                placeholder="" required minlength="3">
                                        </div>
                                        <!-- /Last Name -->
                                    </div>
                                   <div class="form-group">
                                    <label for="lwUsernameField"><?= __tr('Username') ?></label>
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                            <span class="input-group-text">@</span>
                                            </div>
                                            <input id="lwUsernameField" type="text" name="username" class="form-control" placeholder="{{ __tr('unique username') }}" aria-label="{{ __tr('Username') }}" aria-describedby="{{ __tr('Unique Username') }}" required minlength="5">
                                      </div>
                                   </div>
                                   <div class="form-group">
                                        <label for="lwMobileNUmberField"><?= __tr('Mobile Number') ?></label>
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                              <label class="input-group-text" for="country_code"><i class="fa fa-mobile"></i></label>
                                            </div>
                                            <select name="country_code" class="custom-select form-control lw-country-code-select" id="country_code" required>
                                                <option value="">{{  __tr('Select Country Code') }}</option>
                                                @foreach(getCountryPhoneCodes() as $getCountryCode)
                                                <option value="<?= $getCountryCode['phone_code'] ?>"><?= $getCountryCode['name'] ?> (0{{ $getCountryCode['phone_code'] }})</option>
                                                @endforeach
                                            </select>
                                            <input type="number" class="form-control lw-remove-spinner" placeholder="{{  __tr('mobile number') }}" name="mobile_number" minlength="8" maxlength="15" required>
                                          </div>
                                   </div>
                                    <!-- /Mobile Number -->
                                    <!-- Email Address -->
                                    <div class="form-group">
                                        <label for="lwUsernameField"><?= __tr('Email') ?></label>
                                            <div class="input-group">
                                                <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fa fa-envelope"></i></span>
                                                </div>
                                                <input id="lwUsernameField" type="email" name="email" class="form-control" placeholder="{{ __tr('email address') }}" aria-label="{{ __tr('Email') }}" aria-describedby="{{ __tr('unique email') }}" required>
                                          </div>
                                       </div>
                                    <!-- /Email Address -->
                                    <div class="form-group row">
                                        <!-- Gender -->
                                        <div class="col-sm-6 mb-3 mb-sm-0">
                                            <label for="lwGender"><?= __tr('Gender') ?></label>
                                            <select name="gender"
                                                class="form-control custom-select d-block lw-user-gender-select-box"
                                                id="select_gender" required>
                                                <option value="">{{  __tr('Select') }}</option>
                                                @foreach($genders as $genderKey => $gender)
                                                <option value="<?= $genderKey ?>">
                                                    <?= $gender ?>
                                                </option>
                                                @endforeach
                                            </select>
                                        </div>
                                        <!-- /Gender -->

                                        <!-- DOB -->
                                        <div class="col-sm-6">
                                            <label for="lwBirthDate"><?= __tr('Date of Birth') ?></label>
                                            <input type="date" id="dob" class="form-control d-block" name="dob"
                                                placeholder="YYYY-MM-DD" required="true">
                                        </div>
                                        <!-- /DOB -->
                                    </div>

                                    <div class="form-group row">
                                        <!-- Password -->
                                        <div class="col-sm-6 mb-3 mb-sm-0">
                                            <label for="lwPassword"><?= __tr('Password') ?></label>
                                            <input type="password" class="form-control  d-block"
                                                name="password" placeholder="" required
                                                minlength="6">
                                        </div>
                                        <!-- /Password -->

                                        <!-- Confirm Password -->
                                        <div class="col-sm-6">
                                            <label for="lwConfirmPassword"><?= __tr('Confirm Password') ?></label>
                                            <input type="password" class="form-control  d-block"
                                                name="repeat_password" placeholder=""
                                                required minlength="6">
                                        </div>
                                        <!-- /Confirm Password -->
                                    </div>

                                    <div class="form-group">
                                        <div class="form-check">
                                            <input type="hidden" name="accepted_terms">
                                            <input type="checkbox" class="form-check-input d-block" id="acceptTerms"
                                                name="accepted_terms" value="1" required>
                                            <label class="form-check-label" for="acceptTerms">
                                                <?= __tr('I accept all ') ?>
                                                <a target="_blank"
                                                    href="{{ route('terms.conditions',['type' => 'terms-and-conditions']) }}">
                                                    <?= __tr('terms and conditions') ?>
                                                </a>@if(!__isEmpty(getAppSettings('privacy_policy'))){{  __tr('and') }} <a target="_blank"
                                                href="{{ route('terms.conditions',['type' => 'privacy-policy']) }}">
                                                <?= __tr('privacy policy') ?>@endif
                                            </a>
                                            </label>
                                        </div>
                                    </div>
                                    <!-- Recaptcha -->
                                    @if(getAppSettings('allow_recaptcha'))
                                    <div class="form-group text-center">
                                        <div class="g-recaptcha d-inline-block" data-sitekey="{{ getAppSettings('recaptcha_site_key') }}"></div>
                                    </div>
                                    @endif
                                    <!-- /Recaptcha -->

                                    <div class="mt-5">
                                        <!-- Register Account Button -->
                                        <button type="submit" class="btn btn-lg btn-primary btn-block mt-3">
                                            <?= __tr('Register') ?>
                                        </button>
                                        <!-- /Register Account Button -->
                                    </div>
                                    <hr class="my-4">
                                    <div class="text-center">
                                        <!-- Login Link -->
                                        <h5 class="mb-3"> <?= __tr('Already have an account?') ?></h5>
                                        <a class="btn btn-small btn-secondary" href="<?= route('user.login') ?>">
                                            <?= __tr('Back to Login') ?>
                                        </a>
                                        <!-- /Login Link -->
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Nested Row within Card Body -->
                </div>
                <!-- /card body -->
            </div>
            <!-- /card -->
        </div>
    </div>
    <!-- /container end -->
    @lwPush('appScripts')
    <script>
        (function($) {
"use strict";
var recaptchaInstance = "<?= getAppSettings('allow_recaptcha') ?>";
    //on signup success callback
    window.onSignUpSuccessCallback = function (response) {
        if(recaptchaInstance){
            grecaptcha.reset();
        }
    };
})(jQuery);
    </script>
    @lwPushEnd
    <!-- include footer -->
    @include('includes.footer')
    <!-- /include footer -->
</body>
</html>